#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 873
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 143
#define ALIAS_COUNT 0
#define TOKEN_COUNT 89
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 13
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 21

enum ts_symbol_identifiers {
  anon_sym_ATclass = 1,
  anon_sym_LPARENexact_RPAREN = 2,
  anon_sym_COLON = 3,
  anon_sym_COMMA = 4,
  anon_sym_ATtype = 5,
  anon_sym_ATparam = 6,
  anon_sym_DOT_DOT_DOT = 7,
  anon_sym_QMARK = 8,
  anon_sym_ATalias = 9,
  anon_sym_PIPE = 10,
  anon_sym_ATreturn = 11,
  anon_sym_ATfield = 12,
  anon_sym_ATpublic = 13,
  anon_sym_ATprotected = 14,
  anon_sym_ATprivate = 15,
  anon_sym_ATgeneric = 16,
  anon_sym_ATvararg = 17,
  anon_sym_ATdiagnostic = 18,
  anon_sym_ATmeta = 19,
  anon_sym_ATmodule = 20,
  anon_sym_ATsource = 21,
  anon_sym_DOT = 22,
  anon_sym_ATversion = 23,
  anon_sym_5_DOT1 = 24,
  anon_sym_5_DOT2 = 25,
  anon_sym_5_DOT3 = 26,
  anon_sym_5_DOT4 = 27,
  anon_sym_JIT = 28,
  anon_sym_ATpackage = 29,
  anon_sym_AToperator = 30,
  anon_sym_LPAREN = 31,
  anon_sym_RPAREN = 32,
  anon_sym_ATnodiscard = 33,
  anon_sym_ATdeprecated = 34,
  anon_sym_ATcast = 35,
  anon_sym_DASH = 36,
  anon_sym_PLUS = 37,
  anon_sym_ATasync = 38,
  anon_sym_AToverload = 39,
  anon_sym_ATenum = 40,
  anon_sym_LPARENkey_RPAREN = 41,
  anon_sym_ATlanguage = 42,
  anon_sym_ATsee = 43,
  aux_sym_link_reference_token1 = 44,
  anon_sym_LBRACE = 45,
  anon_sym_ATlink = 46,
  anon_sym_RBRACE = 47,
  anon_sym_ATsince = 48,
  anon_sym_LBRACK_LBRACK = 49,
  anon_sym_ATas = 50,
  anon_sym_RBRACK_RBRACK = 51,
  anon_sym_LBRACK_EQ_LBRACK = 52,
  anon_sym_RBRACK_EQ_RBRACK = 53,
  anon_sym_public = 54,
  anon_sym_protected = 55,
  anon_sym_private = 56,
  anon_sym_package = 57,
  anon_sym_AT = 58,
  anon_sym_extends = 59,
  sym_comment = 60,
  anon_sym_LBRACK = 61,
  anon_sym_RBRACK = 62,
  anon_sym_table = 63,
  anon_sym_LT = 64,
  anon_sym_GT = 65,
  anon_sym_RBRACK2 = 66,
  anon_sym_fun = 67,
  anon_sym_function = 68,
  anon_sym_self = 69,
  anon_sym_POUND = 70,
  anon_sym_DQUOTE = 71,
  aux_sym_literal_type_token1 = 72,
  anon_sym_SQUOTE = 73,
  aux_sym_literal_type_token2 = 74,
  anon_sym_BQUOTE = 75,
  anon_sym_any = 76,
  anon_sym_boolean = 77,
  anon_sym_CFunction = 78,
  anon_sym_nil = 79,
  anon_sym_number = 80,
  anon_sym_string = 81,
  anon_sym_userdata = 82,
  anon_sym_void = 83,
  sym_string = 84,
  sym_number = 85,
  sym_numeric_literal_type = 86,
  sym_identifier = 87,
  sym_diagnostic_identifier = 88,
  sym_documentation = 89,
  sym_class_annotation = 90,
  sym_type_annotation = 91,
  sym_param_annotation = 92,
  sym_alias_annotation = 93,
  sym_continuation = 94,
  sym_return_annotation = 95,
  sym_field_annotation = 96,
  sym_qualifier_annotation = 97,
  sym_generic_annotation = 98,
  sym_vararg_annotation = 99,
  sym_diagnostic_annotation = 100,
  sym_meta_annotation = 101,
  sym_module_annotation = 102,
  sym_source_annotation = 103,
  sym_version_annotation = 104,
  sym_package_annotation = 105,
  sym_operator_annotation = 106,
  sym_nodiscard_annotation = 107,
  sym_deprecated_annotation = 108,
  sym_cast_annotation = 109,
  sym_async_annotation = 110,
  sym_overload_annotation = 111,
  sym_enum_annotation = 112,
  sym_language_injection = 113,
  sym_see_reference = 114,
  sym_link_reference = 115,
  sym_since_annotation = 116,
  sym_as_annotation = 117,
  sym_qualifier = 118,
  sym_class_at_comment = 119,
  sym_at_comment = 120,
  sym_type = 121,
  sym_array_type = 122,
  sym_table_type = 123,
  sym_table_literal_type = 124,
  sym_union_type = 125,
  sym_parenthesized_type = 126,
  sym_tuple_type = 127,
  sym_function_type = 128,
  sym_parameter = 129,
  sym_member_type = 130,
  sym_optional_type = 131,
  sym_literal_type = 132,
  sym_custom_type = 133,
  sym_builtin_type = 134,
  sym_positional_field = 135,
  sym_indexed_field = 136,
  aux_sym_class_annotation_repeat1 = 137,
  aux_sym_type_annotation_repeat1 = 138,
  aux_sym_diagnostic_annotation_repeat1 = 139,
  aux_sym_cast_annotation_repeat1 = 140,
  aux_sym_table_literal_type_repeat1 = 141,
  aux_sym_function_type_repeat1 = 142,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_ATclass] = "@class",
  [anon_sym_LPARENexact_RPAREN] = "(exact)",
  [anon_sym_COLON] = ":",
  [anon_sym_COMMA] = ",",
  [anon_sym_ATtype] = "@type",
  [anon_sym_ATparam] = "@param",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [anon_sym_ATalias] = "@alias",
  [anon_sym_PIPE] = "|",
  [anon_sym_ATreturn] = "@return",
  [anon_sym_ATfield] = "@field",
  [anon_sym_ATpublic] = "@public",
  [anon_sym_ATprotected] = "@protected",
  [anon_sym_ATprivate] = "@private",
  [anon_sym_ATgeneric] = "@generic",
  [anon_sym_ATvararg] = "@vararg",
  [anon_sym_ATdiagnostic] = "@diagnostic",
  [anon_sym_ATmeta] = "@meta",
  [anon_sym_ATmodule] = "@module",
  [anon_sym_ATsource] = "@source",
  [anon_sym_DOT] = ".",
  [anon_sym_ATversion] = "@version",
  [anon_sym_5_DOT1] = "5.1",
  [anon_sym_5_DOT2] = "5.2",
  [anon_sym_5_DOT3] = "5.3",
  [anon_sym_5_DOT4] = "5.4",
  [anon_sym_JIT] = "JIT",
  [anon_sym_ATpackage] = "@package",
  [anon_sym_AToperator] = "@operator",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_ATnodiscard] = "@nodiscard",
  [anon_sym_ATdeprecated] = "@deprecated",
  [anon_sym_ATcast] = "@cast",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_ATasync] = "@async",
  [anon_sym_AToverload] = "@overload",
  [anon_sym_ATenum] = "@enum",
  [anon_sym_LPARENkey_RPAREN] = "(key)",
  [anon_sym_ATlanguage] = "@language",
  [anon_sym_ATsee] = "@see",
  [aux_sym_link_reference_token1] = "comment",
  [anon_sym_LBRACE] = "{",
  [anon_sym_ATlink] = "@link",
  [anon_sym_RBRACE] = "}",
  [anon_sym_ATsince] = "@since",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_ATas] = "@as",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_LBRACK_EQ_LBRACK] = "[=[",
  [anon_sym_RBRACK_EQ_RBRACK] = "]=]",
  [anon_sym_public] = "public",
  [anon_sym_protected] = "protected",
  [anon_sym_private] = "private",
  [anon_sym_package] = "package",
  [anon_sym_AT] = "@",
  [anon_sym_extends] = "extends",
  [sym_comment] = "comment",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_table] = "table",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_RBRACK2] = "]",
  [anon_sym_fun] = "fun",
  [anon_sym_function] = "function",
  [anon_sym_self] = "self",
  [anon_sym_POUND] = "#",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_literal_type_token1] = "literal_type_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_literal_type_token2] = "literal_type_token2",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_any] = "any",
  [anon_sym_boolean] = "boolean",
  [anon_sym_CFunction] = "CFunction",
  [anon_sym_nil] = "nil",
  [anon_sym_number] = "number",
  [anon_sym_string] = "string",
  [anon_sym_userdata] = "userdata",
  [anon_sym_void] = "void",
  [sym_string] = "string",
  [sym_number] = "number",
  [sym_numeric_literal_type] = "numeric_literal_type",
  [sym_identifier] = "identifier",
  [sym_diagnostic_identifier] = "diagnostic_identifier",
  [sym_documentation] = "documentation",
  [sym_class_annotation] = "class_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym_param_annotation] = "param_annotation",
  [sym_alias_annotation] = "alias_annotation",
  [sym_continuation] = "continuation",
  [sym_return_annotation] = "return_annotation",
  [sym_field_annotation] = "field_annotation",
  [sym_qualifier_annotation] = "qualifier_annotation",
  [sym_generic_annotation] = "generic_annotation",
  [sym_vararg_annotation] = "vararg_annotation",
  [sym_diagnostic_annotation] = "diagnostic_annotation",
  [sym_meta_annotation] = "meta_annotation",
  [sym_module_annotation] = "module_annotation",
  [sym_source_annotation] = "source_annotation",
  [sym_version_annotation] = "version_annotation",
  [sym_package_annotation] = "package_annotation",
  [sym_operator_annotation] = "operator_annotation",
  [sym_nodiscard_annotation] = "nodiscard_annotation",
  [sym_deprecated_annotation] = "deprecated_annotation",
  [sym_cast_annotation] = "cast_annotation",
  [sym_async_annotation] = "async_annotation",
  [sym_overload_annotation] = "overload_annotation",
  [sym_enum_annotation] = "enum_annotation",
  [sym_language_injection] = "language_injection",
  [sym_see_reference] = "see_reference",
  [sym_link_reference] = "link_reference",
  [sym_since_annotation] = "since_annotation",
  [sym_as_annotation] = "as_annotation",
  [sym_qualifier] = "qualifier",
  [sym_class_at_comment] = "class_at_comment",
  [sym_at_comment] = "at_comment",
  [sym_type] = "type",
  [sym_array_type] = "array_type",
  [sym_table_type] = "table_type",
  [sym_table_literal_type] = "table_literal_type",
  [sym_union_type] = "union_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_tuple_type] = "tuple_type",
  [sym_function_type] = "function_type",
  [sym_parameter] = "parameter",
  [sym_member_type] = "member_type",
  [sym_optional_type] = "optional_type",
  [sym_literal_type] = "literal_type",
  [sym_custom_type] = "custom_type",
  [sym_builtin_type] = "builtin_type",
  [sym_positional_field] = "positional_field",
  [sym_indexed_field] = "indexed_field",
  [aux_sym_class_annotation_repeat1] = "class_annotation_repeat1",
  [aux_sym_type_annotation_repeat1] = "type_annotation_repeat1",
  [aux_sym_diagnostic_annotation_repeat1] = "diagnostic_annotation_repeat1",
  [aux_sym_cast_annotation_repeat1] = "cast_annotation_repeat1",
  [aux_sym_table_literal_type_repeat1] = "table_literal_type_repeat1",
  [aux_sym_function_type_repeat1] = "function_type_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_ATclass] = anon_sym_ATclass,
  [anon_sym_LPARENexact_RPAREN] = anon_sym_LPARENexact_RPAREN,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_ATtype] = anon_sym_ATtype,
  [anon_sym_ATparam] = anon_sym_ATparam,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_ATalias] = anon_sym_ATalias,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_ATreturn] = anon_sym_ATreturn,
  [anon_sym_ATfield] = anon_sym_ATfield,
  [anon_sym_ATpublic] = anon_sym_ATpublic,
  [anon_sym_ATprotected] = anon_sym_ATprotected,
  [anon_sym_ATprivate] = anon_sym_ATprivate,
  [anon_sym_ATgeneric] = anon_sym_ATgeneric,
  [anon_sym_ATvararg] = anon_sym_ATvararg,
  [anon_sym_ATdiagnostic] = anon_sym_ATdiagnostic,
  [anon_sym_ATmeta] = anon_sym_ATmeta,
  [anon_sym_ATmodule] = anon_sym_ATmodule,
  [anon_sym_ATsource] = anon_sym_ATsource,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_ATversion] = anon_sym_ATversion,
  [anon_sym_5_DOT1] = anon_sym_5_DOT1,
  [anon_sym_5_DOT2] = anon_sym_5_DOT2,
  [anon_sym_5_DOT3] = anon_sym_5_DOT3,
  [anon_sym_5_DOT4] = anon_sym_5_DOT4,
  [anon_sym_JIT] = anon_sym_JIT,
  [anon_sym_ATpackage] = anon_sym_ATpackage,
  [anon_sym_AToperator] = anon_sym_AToperator,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_ATnodiscard] = anon_sym_ATnodiscard,
  [anon_sym_ATdeprecated] = anon_sym_ATdeprecated,
  [anon_sym_ATcast] = anon_sym_ATcast,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_ATasync] = anon_sym_ATasync,
  [anon_sym_AToverload] = anon_sym_AToverload,
  [anon_sym_ATenum] = anon_sym_ATenum,
  [anon_sym_LPARENkey_RPAREN] = anon_sym_LPARENkey_RPAREN,
  [anon_sym_ATlanguage] = anon_sym_ATlanguage,
  [anon_sym_ATsee] = anon_sym_ATsee,
  [aux_sym_link_reference_token1] = sym_comment,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_ATlink] = anon_sym_ATlink,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_ATsince] = anon_sym_ATsince,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_ATas] = anon_sym_ATas,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_LBRACK_EQ_LBRACK] = anon_sym_LBRACK_EQ_LBRACK,
  [anon_sym_RBRACK_EQ_RBRACK] = anon_sym_RBRACK_EQ_RBRACK,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_extends] = anon_sym_extends,
  [sym_comment] = sym_comment,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_table] = anon_sym_table,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_RBRACK2] = anon_sym_RBRACK,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_literal_type_token1] = aux_sym_literal_type_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_literal_type_token2] = aux_sym_literal_type_token2,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_CFunction] = anon_sym_CFunction,
  [anon_sym_nil] = anon_sym_nil,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_userdata] = anon_sym_userdata,
  [anon_sym_void] = anon_sym_void,
  [sym_string] = sym_string,
  [sym_number] = sym_number,
  [sym_numeric_literal_type] = sym_numeric_literal_type,
  [sym_identifier] = sym_identifier,
  [sym_diagnostic_identifier] = sym_diagnostic_identifier,
  [sym_documentation] = sym_documentation,
  [sym_class_annotation] = sym_class_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym_param_annotation] = sym_param_annotation,
  [sym_alias_annotation] = sym_alias_annotation,
  [sym_continuation] = sym_continuation,
  [sym_return_annotation] = sym_return_annotation,
  [sym_field_annotation] = sym_field_annotation,
  [sym_qualifier_annotation] = sym_qualifier_annotation,
  [sym_generic_annotation] = sym_generic_annotation,
  [sym_vararg_annotation] = sym_vararg_annotation,
  [sym_diagnostic_annotation] = sym_diagnostic_annotation,
  [sym_meta_annotation] = sym_meta_annotation,
  [sym_module_annotation] = sym_module_annotation,
  [sym_source_annotation] = sym_source_annotation,
  [sym_version_annotation] = sym_version_annotation,
  [sym_package_annotation] = sym_package_annotation,
  [sym_operator_annotation] = sym_operator_annotation,
  [sym_nodiscard_annotation] = sym_nodiscard_annotation,
  [sym_deprecated_annotation] = sym_deprecated_annotation,
  [sym_cast_annotation] = sym_cast_annotation,
  [sym_async_annotation] = sym_async_annotation,
  [sym_overload_annotation] = sym_overload_annotation,
  [sym_enum_annotation] = sym_enum_annotation,
  [sym_language_injection] = sym_language_injection,
  [sym_see_reference] = sym_see_reference,
  [sym_link_reference] = sym_link_reference,
  [sym_since_annotation] = sym_since_annotation,
  [sym_as_annotation] = sym_as_annotation,
  [sym_qualifier] = sym_qualifier,
  [sym_class_at_comment] = sym_class_at_comment,
  [sym_at_comment] = sym_at_comment,
  [sym_type] = sym_type,
  [sym_array_type] = sym_array_type,
  [sym_table_type] = sym_table_type,
  [sym_table_literal_type] = sym_table_literal_type,
  [sym_union_type] = sym_union_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_function_type] = sym_function_type,
  [sym_parameter] = sym_parameter,
  [sym_member_type] = sym_member_type,
  [sym_optional_type] = sym_optional_type,
  [sym_literal_type] = sym_literal_type,
  [sym_custom_type] = sym_custom_type,
  [sym_builtin_type] = sym_builtin_type,
  [sym_positional_field] = sym_positional_field,
  [sym_indexed_field] = sym_indexed_field,
  [aux_sym_class_annotation_repeat1] = aux_sym_class_annotation_repeat1,
  [aux_sym_type_annotation_repeat1] = aux_sym_type_annotation_repeat1,
  [aux_sym_diagnostic_annotation_repeat1] = aux_sym_diagnostic_annotation_repeat1,
  [aux_sym_cast_annotation_repeat1] = aux_sym_cast_annotation_repeat1,
  [aux_sym_table_literal_type_repeat1] = aux_sym_table_literal_type_repeat1,
  [aux_sym_function_type_repeat1] = aux_sym_function_type_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_ATclass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPARENexact_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATtype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATparam] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATalias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATfield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATpublic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATprotected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATprivate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATgeneric] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATvararg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATdiagnostic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATmeta] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATmodule] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATsource] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATversion] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_5_DOT1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_5_DOT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_5_DOT3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_5_DOT4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_JIT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATpackage] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AToperator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATnodiscard] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATdeprecated] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATcast] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATasync] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AToverload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATenum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPARENkey_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATlanguage] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATsee] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_link_reference_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATlink] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATsince] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_EQ_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_EQ_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_table] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_literal_type_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_literal_type_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CFunction] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nil] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_userdata] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_numeric_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_diagnostic_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_documentation] = {
    .visible = true,
    .named = true,
  },
  [sym_class_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_param_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_continuation] = {
    .visible = true,
    .named = true,
  },
  [sym_return_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_field_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_qualifier_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_vararg_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_diagnostic_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_module_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_source_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_version_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_package_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_nodiscard_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_deprecated_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_async_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_overload_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_language_injection] = {
    .visible = true,
    .named = true,
  },
  [sym_see_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_link_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_since_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_as_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_at_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_at_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_table_type] = {
    .visible = true,
    .named = true,
  },
  [sym_table_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_member_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_custom_type] = {
    .visible = true,
    .named = true,
  },
  [sym_builtin_type] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_field] = {
    .visible = true,
    .named = true,
  },
  [sym_indexed_field] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_class_annotation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_annotation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_diagnostic_annotation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_annotation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_table_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_type_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_extension = 1,
  field_field = 2,
  field_filename = 3,
  field_key = 4,
  field_major = 5,
  field_minor = 6,
  field_name = 7,
  field_parent_type = 8,
  field_patch = 9,
  field_start_column = 10,
  field_start_line = 11,
  field_value = 12,
  field_version = 13,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_extension] = "extension",
  [field_field] = "field",
  [field_filename] = "filename",
  [field_key] = "key",
  [field_major] = "major",
  [field_minor] = "minor",
  [field_name] = "name",
  [field_parent_type] = "parent_type",
  [field_patch] = "patch",
  [field_start_column] = "start_column",
  [field_start_line] = "start_line",
  [field_value] = "value",
  [field_version] = "version",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 2},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 3},
  [8] = {.index = 10, .length = 3},
  [9] = {.index = 13, .length = 2},
  [10] = {.index = 15, .length = 2},
  [11] = {.index = 17, .length = 2},
  [12] = {.index = 19, .length = 3},
  [13] = {.index = 22, .length = 2},
  [14] = {.index = 24, .length = 1},
  [15] = {.index = 25, .length = 2},
  [16] = {.index = 27, .length = 4},
  [17] = {.index = 31, .length = 4},
  [18] = {.index = 35, .length = 1},
  [19] = {.index = 36, .length = 4},
  [20] = {.index = 40, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_version, 1},
  [1] =
    {field_parent_type, 3},
  [2] =
    {field_extension, 3},
    {field_filename, 1},
  [4] =
    {field_key, 2},
  [5] =
    {field_field, 1},
  [6] =
    {field_parent_type, 5},
  [7] =
    {field_extension, 3},
    {field_filename, 1},
    {field_start_line, 5},
  [10] =
    {field_major, 1},
    {field_minor, 3},
    {field_patch, 5},
  [13] =
    {field_field, 1},
    {field_field, 4, .inherited = true},
  [15] =
    {field_field, 0, .inherited = true},
    {field_field, 1, .inherited = true},
  [17] =
    {field_key, 2},
    {field_value, 4},
  [19] =
    {field_field, 1},
    {field_field, 2},
    {field_field, 3},
  [22] =
    {field_field, 1},
    {field_field, 5, .inherited = true},
  [24] =
    {field_name, 4},
  [25] =
    {field_parent_type, 3},
    {field_parent_type, 7},
  [27] =
    {field_extension, 3},
    {field_filename, 1},
    {field_start_column, 7},
    {field_start_line, 5},
  [31] =
    {field_field, 1},
    {field_field, 2},
    {field_field, 3},
    {field_field, 6, .inherited = true},
  [35] =
    {field_name, 5},
  [36] =
    {field_field, 1},
    {field_field, 2},
    {field_field, 3},
    {field_field, 7, .inherited = true},
  [40] =
    {field_name, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 18,
  [21] = 18,
  [22] = 18,
  [23] = 18,
  [24] = 18,
  [25] = 18,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 29,
  [65] = 29,
  [66] = 29,
  [67] = 29,
  [68] = 29,
  [69] = 29,
  [70] = 30,
  [71] = 47,
  [72] = 48,
  [73] = 51,
  [74] = 55,
  [75] = 56,
  [76] = 59,
  [77] = 61,
  [78] = 30,
  [79] = 47,
  [80] = 51,
  [81] = 55,
  [82] = 56,
  [83] = 59,
  [84] = 61,
  [85] = 30,
  [86] = 47,
  [87] = 51,
  [88] = 55,
  [89] = 56,
  [90] = 59,
  [91] = 61,
  [92] = 92,
  [93] = 47,
  [94] = 51,
  [95] = 55,
  [96] = 56,
  [97] = 59,
  [98] = 61,
  [99] = 99,
  [100] = 43,
  [101] = 26,
  [102] = 40,
  [103] = 41,
  [104] = 44,
  [105] = 45,
  [106] = 50,
  [107] = 54,
  [108] = 43,
  [109] = 26,
  [110] = 40,
  [111] = 41,
  [112] = 44,
  [113] = 45,
  [114] = 50,
  [115] = 54,
  [116] = 43,
  [117] = 26,
  [118] = 40,
  [119] = 41,
  [120] = 44,
  [121] = 45,
  [122] = 50,
  [123] = 54,
  [124] = 43,
  [125] = 40,
  [126] = 41,
  [127] = 44,
  [128] = 45,
  [129] = 50,
  [130] = 54,
  [131] = 43,
  [132] = 26,
  [133] = 40,
  [134] = 41,
  [135] = 44,
  [136] = 45,
  [137] = 50,
  [138] = 54,
  [139] = 43,
  [140] = 26,
  [141] = 40,
  [142] = 41,
  [143] = 44,
  [144] = 45,
  [145] = 50,
  [146] = 54,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 26,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 164,
  [199] = 199,
  [200] = 157,
  [201] = 201,
  [202] = 158,
  [203] = 168,
  [204] = 174,
  [205] = 163,
  [206] = 169,
  [207] = 159,
  [208] = 160,
  [209] = 161,
  [210] = 170,
  [211] = 171,
  [212] = 172,
  [213] = 162,
  [214] = 214,
  [215] = 173,
  [216] = 193,
  [217] = 178,
  [218] = 180,
  [219] = 181,
  [220] = 182,
  [221] = 183,
  [222] = 185,
  [223] = 186,
  [224] = 188,
  [225] = 189,
  [226] = 191,
  [227] = 163,
  [228] = 173,
  [229] = 165,
  [230] = 166,
  [231] = 167,
  [232] = 232,
  [233] = 154,
  [234] = 174,
  [235] = 170,
  [236] = 164,
  [237] = 155,
  [238] = 171,
  [239] = 172,
  [240] = 161,
  [241] = 176,
  [242] = 179,
  [243] = 184,
  [244] = 156,
  [245] = 187,
  [246] = 190,
  [247] = 154,
  [248] = 192,
  [249] = 155,
  [250] = 156,
  [251] = 160,
  [252] = 194,
  [253] = 195,
  [254] = 196,
  [255] = 197,
  [256] = 163,
  [257] = 164,
  [258] = 165,
  [259] = 175,
  [260] = 177,
  [261] = 166,
  [262] = 157,
  [263] = 167,
  [264] = 158,
  [265] = 168,
  [266] = 169,
  [267] = 159,
  [268] = 268,
  [269] = 162,
  [270] = 155,
  [271] = 159,
  [272] = 160,
  [273] = 161,
  [274] = 162,
  [275] = 275,
  [276] = 189,
  [277] = 188,
  [278] = 194,
  [279] = 167,
  [280] = 195,
  [281] = 180,
  [282] = 196,
  [283] = 157,
  [284] = 191,
  [285] = 181,
  [286] = 182,
  [287] = 183,
  [288] = 288,
  [289] = 158,
  [290] = 175,
  [291] = 168,
  [292] = 292,
  [293] = 169,
  [294] = 185,
  [295] = 159,
  [296] = 186,
  [297] = 297,
  [298] = 163,
  [299] = 299,
  [300] = 160,
  [301] = 161,
  [302] = 190,
  [303] = 188,
  [304] = 165,
  [305] = 189,
  [306] = 306,
  [307] = 166,
  [308] = 170,
  [309] = 171,
  [310] = 167,
  [311] = 172,
  [312] = 162,
  [313] = 173,
  [314] = 154,
  [315] = 155,
  [316] = 156,
  [317] = 317,
  [318] = 158,
  [319] = 191,
  [320] = 320,
  [321] = 163,
  [322] = 164,
  [323] = 166,
  [324] = 176,
  [325] = 179,
  [326] = 165,
  [327] = 176,
  [328] = 179,
  [329] = 184,
  [330] = 187,
  [331] = 187,
  [332] = 190,
  [333] = 333,
  [334] = 334,
  [335] = 192,
  [336] = 193,
  [337] = 194,
  [338] = 195,
  [339] = 196,
  [340] = 192,
  [341] = 165,
  [342] = 197,
  [343] = 177,
  [344] = 177,
  [345] = 178,
  [346] = 154,
  [347] = 193,
  [348] = 178,
  [349] = 349,
  [350] = 180,
  [351] = 181,
  [352] = 182,
  [353] = 183,
  [354] = 156,
  [355] = 164,
  [356] = 166,
  [357] = 185,
  [358] = 186,
  [359] = 167,
  [360] = 174,
  [361] = 157,
  [362] = 184,
  [363] = 363,
  [364] = 197,
  [365] = 190,
  [366] = 176,
  [367] = 179,
  [368] = 184,
  [369] = 187,
  [370] = 190,
  [371] = 165,
  [372] = 192,
  [373] = 373,
  [374] = 194,
  [375] = 195,
  [376] = 196,
  [377] = 175,
  [378] = 197,
  [379] = 166,
  [380] = 177,
  [381] = 178,
  [382] = 167,
  [383] = 180,
  [384] = 181,
  [385] = 182,
  [386] = 183,
  [387] = 185,
  [388] = 186,
  [389] = 188,
  [390] = 189,
  [391] = 191,
  [392] = 392,
  [393] = 163,
  [394] = 164,
  [395] = 395,
  [396] = 396,
  [397] = 176,
  [398] = 179,
  [399] = 184,
  [400] = 187,
  [401] = 192,
  [402] = 193,
  [403] = 194,
  [404] = 195,
  [405] = 196,
  [406] = 406,
  [407] = 197,
  [408] = 177,
  [409] = 178,
  [410] = 180,
  [411] = 181,
  [412] = 182,
  [413] = 183,
  [414] = 185,
  [415] = 186,
  [416] = 188,
  [417] = 189,
  [418] = 191,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 392,
  [423] = 395,
  [424] = 406,
  [425] = 420,
  [426] = 426,
  [427] = 421,
  [428] = 392,
  [429] = 395,
  [430] = 406,
  [431] = 420,
  [432] = 426,
  [433] = 426,
  [434] = 421,
  [435] = 392,
  [436] = 395,
  [437] = 406,
  [438] = 420,
  [439] = 426,
  [440] = 421,
  [441] = 392,
  [442] = 395,
  [443] = 406,
  [444] = 420,
  [445] = 426,
  [446] = 421,
  [447] = 392,
  [448] = 395,
  [449] = 406,
  [450] = 420,
  [451] = 426,
  [452] = 421,
  [453] = 392,
  [454] = 395,
  [455] = 406,
  [456] = 420,
  [457] = 426,
  [458] = 458,
  [459] = 421,
  [460] = 421,
  [461] = 193,
  [462] = 187,
  [463] = 185,
  [464] = 464,
  [465] = 186,
  [466] = 466,
  [467] = 188,
  [468] = 189,
  [469] = 191,
  [470] = 470,
  [471] = 464,
  [472] = 466,
  [473] = 473,
  [474] = 474,
  [475] = 464,
  [476] = 466,
  [477] = 477,
  [478] = 464,
  [479] = 466,
  [480] = 176,
  [481] = 464,
  [482] = 179,
  [483] = 184,
  [484] = 484,
  [485] = 349,
  [486] = 486,
  [487] = 466,
  [488] = 190,
  [489] = 192,
  [490] = 193,
  [491] = 194,
  [492] = 195,
  [493] = 464,
  [494] = 466,
  [495] = 495,
  [496] = 196,
  [497] = 197,
  [498] = 177,
  [499] = 178,
  [500] = 180,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 466,
  [506] = 181,
  [507] = 182,
  [508] = 508,
  [509] = 183,
  [510] = 464,
  [511] = 511,
  [512] = 511,
  [513] = 513,
  [514] = 513,
  [515] = 515,
  [516] = 513,
  [517] = 517,
  [518] = 513,
  [519] = 513,
  [520] = 520,
  [521] = 513,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 511,
  [526] = 511,
  [527] = 527,
  [528] = 513,
  [529] = 529,
  [530] = 511,
  [531] = 511,
  [532] = 511,
  [533] = 533,
  [534] = 174,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 173,
  [539] = 539,
  [540] = 171,
  [541] = 541,
  [542] = 169,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 168,
  [547] = 172,
  [548] = 170,
  [549] = 174,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 551,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 551,
  [565] = 565,
  [566] = 566,
  [567] = 165,
  [568] = 568,
  [569] = 552,
  [570] = 554,
  [571] = 555,
  [572] = 556,
  [573] = 557,
  [574] = 551,
  [575] = 556,
  [576] = 561,
  [577] = 561,
  [578] = 563,
  [579] = 566,
  [580] = 568,
  [581] = 552,
  [582] = 554,
  [583] = 555,
  [584] = 556,
  [585] = 557,
  [586] = 557,
  [587] = 566,
  [588] = 561,
  [589] = 563,
  [590] = 566,
  [591] = 568,
  [592] = 166,
  [593] = 552,
  [594] = 594,
  [595] = 554,
  [596] = 555,
  [597] = 556,
  [598] = 557,
  [599] = 568,
  [600] = 167,
  [601] = 551,
  [602] = 561,
  [603] = 555,
  [604] = 563,
  [605] = 566,
  [606] = 563,
  [607] = 568,
  [608] = 552,
  [609] = 554,
  [610] = 555,
  [611] = 556,
  [612] = 557,
  [613] = 551,
  [614] = 561,
  [615] = 563,
  [616] = 566,
  [617] = 568,
  [618] = 552,
  [619] = 535,
  [620] = 554,
  [621] = 555,
  [622] = 556,
  [623] = 557,
  [624] = 551,
  [625] = 561,
  [626] = 626,
  [627] = 563,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 568,
  [633] = 552,
  [634] = 634,
  [635] = 566,
  [636] = 636,
  [637] = 568,
  [638] = 552,
  [639] = 554,
  [640] = 555,
  [641] = 554,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 642,
  [647] = 642,
  [648] = 645,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 645,
  [653] = 645,
  [654] = 642,
  [655] = 645,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 642,
  [661] = 645,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 642,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 642,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 645,
  [681] = 681,
  [682] = 682,
  [683] = 658,
  [684] = 684,
  [685] = 642,
  [686] = 664,
  [687] = 645,
  [688] = 658,
  [689] = 664,
  [690] = 658,
  [691] = 664,
  [692] = 658,
  [693] = 664,
  [694] = 658,
  [695] = 664,
  [696] = 658,
  [697] = 664,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 705,
  [715] = 713,
  [716] = 701,
  [717] = 702,
  [718] = 708,
  [719] = 705,
  [720] = 713,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 701,
  [731] = 702,
  [732] = 708,
  [733] = 733,
  [734] = 713,
  [735] = 735,
  [736] = 705,
  [737] = 713,
  [738] = 738,
  [739] = 739,
  [740] = 702,
  [741] = 741,
  [742] = 699,
  [743] = 743,
  [744] = 744,
  [745] = 699,
  [746] = 743,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 744,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 741,
  [763] = 699,
  [764] = 743,
  [765] = 744,
  [766] = 701,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 741,
  [775] = 775,
  [776] = 743,
  [777] = 744,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 701,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 708,
  [786] = 741,
  [787] = 699,
  [788] = 743,
  [789] = 744,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 741,
  [799] = 699,
  [800] = 743,
  [801] = 744,
  [802] = 705,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 708,
  [810] = 741,
  [811] = 699,
  [812] = 743,
  [813] = 744,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 741,
  [819] = 819,
  [820] = 702,
  [821] = 821,
  [822] = 822,
  [823] = 793,
  [824] = 824,
  [825] = 825,
  [826] = 701,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 723,
  [833] = 701,
  [834] = 793,
  [835] = 702,
  [836] = 723,
  [837] = 708,
  [838] = 793,
  [839] = 705,
  [840] = 723,
  [841] = 713,
  [842] = 793,
  [843] = 843,
  [844] = 723,
  [845] = 845,
  [846] = 793,
  [847] = 847,
  [848] = 723,
  [849] = 849,
  [850] = 793,
  [851] = 851,
  [852] = 723,
  [853] = 741,
  [854] = 790,
  [855] = 702,
  [856] = 790,
  [857] = 708,
  [858] = 790,
  [859] = 705,
  [860] = 790,
  [861] = 713,
  [862] = 790,
  [863] = 863,
  [864] = 790,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(191);
      ADVANCE_MAP(
        '"', 438,
        '#', 437,
        '\'', 441,
        '(', 224,
        ')', 225,
        '+', 230,
        ',', 195,
        '-', 229,
        '.', 214,
        ':', 194,
        '<', 427,
        '>', 428,
        '?', 199,
        '@', 387,
        'C', 47,
        'J', 48,
        '[', 423,
        ']', 424,
        '`', 444,
        'a', 105,
        'b', 115,
        'e', 136,
        'f', 133,
        'n', 88,
        'p', 52,
        's', 78,
        't', 59,
        'u', 122,
        'v', 114,
        '{', 370,
        '|', 201,
        '}', 372,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(462);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '"', 438,
        '#', 437,
        '\'', 441,
        '(', 224,
        '-', 142,
        '.', 213,
        '?', 199,
        'C', 466,
        '[', 422,
        ']', 45,
        '`', 444,
        'a', 511,
        'b', 519,
        'f', 534,
        'n', 497,
        's', 527,
        't', 467,
        'u', 526,
        'v', 518,
        '{', 370,
        '|', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '"', 438,
        '#', 437,
        '\'', 441,
        '(', 223,
        ')', 225,
        '+', 230,
        ',', 195,
        '-', 229,
        '.', 213,
        ':', 194,
        '<', 427,
        '>', 428,
        '?', 199,
        'C', 466,
        '[', 422,
        ']', 430,
        '`', 444,
        'a', 511,
        'b', 519,
        'f', 534,
        'n', 497,
        's', 527,
        't', 467,
        'u', 526,
        'v', 518,
        '{', 370,
        '|', 201,
        '}', 372,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '"', 438,
        '#', 437,
        '\'', 441,
        '(', 223,
        '-', 142,
        '.', 213,
        '?', 199,
        'C', 466,
        '[', 422,
        ']', 429,
        '`', 444,
        'a', 511,
        'b', 519,
        'f', 534,
        'n', 497,
        's', 527,
        't', 467,
        'u', 526,
        'v', 518,
        '{', 370,
        '|', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '"', 438,
        '\'', 441,
        '(', 224,
        '-', 142,
        '.', 213,
        '?', 199,
        'C', 466,
        '[', 422,
        ']', 45,
        '`', 444,
        'a', 511,
        'b', 519,
        'f', 534,
        'n', 497,
        's', 527,
        't', 467,
        'u', 526,
        'v', 518,
        '{', 370,
        '|', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '"', 438,
        '\'', 441,
        '(', 223,
        ')', 225,
        '+', 230,
        ',', 195,
        '-', 229,
        '.', 213,
        ':', 194,
        '<', 427,
        '>', 428,
        '?', 199,
        'C', 466,
        '[', 422,
        ']', 430,
        '`', 444,
        'a', 511,
        'b', 519,
        'f', 534,
        'n', 497,
        's', 527,
        't', 467,
        'u', 526,
        'v', 518,
        '{', 370,
        '|', 201,
        '}', 372,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '"', 438,
        '\'', 441,
        '(', 223,
        ')', 225,
        '-', 142,
        '.', 31,
        ':', 194,
        '@', 56,
        'C', 466,
        ']', 424,
        '`', 444,
        'a', 511,
        'b', 519,
        'f', 534,
        'n', 497,
        's', 488,
        't', 467,
        'u', 526,
        'v', 518,
        '{', 370,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '"', 438,
        '\'', 441,
        '(', 223,
        ')', 225,
        '-', 142,
        '.', 31,
        ':', 194,
        '@', 56,
        'C', 466,
        '`', 444,
        'a', 511,
        'b', 519,
        'f', 534,
        'n', 497,
        's', 488,
        't', 467,
        'u', 526,
        'v', 518,
        '{', 370,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '"', 438,
        '\'', 441,
        '(', 223,
        '-', 142,
        '.', 213,
        '?', 199,
        'C', 466,
        '[', 422,
        ']', 429,
        '`', 444,
        'a', 511,
        'b', 519,
        'f', 534,
        'n', 497,
        's', 527,
        't', 467,
        'u', 526,
        'v', 518,
        '{', 370,
        '|', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(11);
      if (lookahead == '\'') ADVANCE(12);
      if (lookahead == '(') ADVANCE(98);
      if (lookahead == '.') ADVANCE(31);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '}') ADVANCE(372);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(11);
      if (lookahead == '\'') ADVANCE(12);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == 'p') ADVANCE(469);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(463);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(461);
      if (lookahead != 0) ADVANCE(11);
      END_STATE();
    case 12:
      if (lookahead == '\'') ADVANCE(461);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '(', 223,
        ',', 195,
        '.', 213,
        ':', 194,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(13);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(389);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 14:
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(14);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(390);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 15:
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(15);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(391);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 16:
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(16);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(392);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 17:
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(17);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(393);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 18:
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(18);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(394);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 19:
      if (lookahead == ')') ADVANCE(193);
      END_STATE();
    case 20:
      if (lookahead == ')') ADVANCE(234);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        ',', 195,
        '.', 213,
        ':', 194,
        '<', 427,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(21);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(395);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 22:
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(22);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(396);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 23:
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(23);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(397);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 24:
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(24);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(398);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 25:
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(25);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(399);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 26:
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(26);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(400);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 27:
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(27);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(401);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 28:
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(28);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(402);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 29:
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(29);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(403);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 30:
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(30);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(404);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 31:
      if (lookahead == '.') ADVANCE(32);
      END_STATE();
    case 32:
      if (lookahead == '.') ADVANCE(198);
      END_STATE();
    case 33:
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(33);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(405);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 34:
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(34);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(406);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 35:
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(35);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(407);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 36:
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(36);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(408);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 37:
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(37);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(409);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 38:
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(38);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(410);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 39:
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(411);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 40:
      if (lookahead == '.') ADVANCE(42);
      END_STATE();
    case 41:
      if (lookahead == '.') ADVANCE(31);
      if (lookahead == 's') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 42:
      if (lookahead == '1') ADVANCE(216);
      if (lookahead == '2') ADVANCE(217);
      if (lookahead == '3') ADVANCE(218);
      if (lookahead == '4') ADVANCE(219);
      END_STATE();
    case 43:
      if (lookahead == '5') ADVANCE(40);
      if (lookahead == 'J') ADVANCE(48);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      END_STATE();
    case 44:
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(44);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(412);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 45:
      if (lookahead == '=') ADVANCE(51);
      if (lookahead == ']') ADVANCE(376);
      END_STATE();
    case 46:
      if (lookahead == '@') ADVANCE(240);
      if (lookahead == '[') ADVANCE(237);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(46);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(238);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '|') ADVANCE(369);
      END_STATE();
    case 47:
      if (lookahead == 'F') ADVANCE(134);
      END_STATE();
    case 48:
      if (lookahead == 'I') ADVANCE(49);
      END_STATE();
    case 49:
      if (lookahead == 'T') ADVANCE(220);
      END_STATE();
    case 50:
      if (lookahead == '[') ADVANCE(377);
      END_STATE();
    case 51:
      if (lookahead == ']') ADVANCE(378);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(64);
      if (lookahead == 'r') ADVANCE(89);
      if (lookahead == 'u') ADVANCE(61);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(87);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(457);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 56:
      if (lookahead == 'a') ADVANCE(124);
      if (lookahead == 'l') ADVANCE(94);
      END_STATE();
    case 57:
      if (lookahead == 'a') ADVANCE(129);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(63);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(130);
      END_STATE();
    case 61:
      if (lookahead == 'b') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 'b') ADVANCE(80);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(103);
      END_STATE();
    case 64:
      if (lookahead == 'c') ADVANCE(97);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(379);
      END_STATE();
    case 66:
      if (lookahead == 'c') ADVANCE(125);
      END_STATE();
    case 67:
      if (lookahead == 'c') ADVANCE(131);
      END_STATE();
    case 68:
      if (lookahead == 'c') ADVANCE(132);
      END_STATE();
    case 69:
      if (lookahead == 'd') ADVANCE(459);
      END_STATE();
    case 70:
      if (lookahead == 'd') ADVANCE(381);
      END_STATE();
    case 71:
      if (lookahead == 'd') ADVANCE(123);
      END_STATE();
    case 72:
      if (lookahead == 'd') ADVANCE(57);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(425);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(419);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(76);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(414);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(100);
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(119);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(113);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 85:
      if (lookahead == 'f') ADVANCE(435);
      END_STATE();
    case 86:
      if (lookahead == 'g') ADVANCE(455);
      END_STATE();
    case 87:
      if (lookahead == 'g') ADVANCE(74);
      END_STATE();
    case 88:
      if (lookahead == 'i') ADVANCE(99);
      if (lookahead == 'u') ADVANCE(104);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(135);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 90:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(117);
      END_STATE();
    case 92:
      if (lookahead == 'i') ADVANCE(111);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(65);
      END_STATE();
    case 94:
      if (lookahead == 'i') ADVANCE(110);
      END_STATE();
    case 95:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 96:
      if (lookahead == 'k') ADVANCE(371);
      END_STATE();
    case 97:
      if (lookahead == 'k') ADVANCE(53);
      END_STATE();
    case 98:
      if (lookahead == 'k') ADVANCE(77);
      END_STATE();
    case 99:
      if (lookahead == 'l') ADVANCE(451);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(85);
      END_STATE();
    case 101:
      if (lookahead == 'l') ADVANCE(84);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 103:
      if (lookahead == 'l') ADVANCE(73);
      END_STATE();
    case 104:
      if (lookahead == 'm') ADVANCE(62);
      END_STATE();
    case 105:
      if (lookahead == 'n') ADVANCE(138);
      END_STATE();
    case 106:
      if (lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 107:
      if (lookahead == 'n') ADVANCE(447);
      END_STATE();
    case 108:
      if (lookahead == 'n') ADVANCE(433);
      END_STATE();
    case 109:
      if (lookahead == 'n') ADVANCE(449);
      END_STATE();
    case 110:
      if (lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(86);
      END_STATE();
    case 112:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 114:
      if (lookahead == 'o') ADVANCE(90);
      END_STATE();
    case 115:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 116:
      if (lookahead == 'o') ADVANCE(101);
      END_STATE();
    case 117:
      if (lookahead == 'o') ADVANCE(108);
      END_STATE();
    case 118:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(453);
      END_STATE();
    case 120:
      if (lookahead == 'r') ADVANCE(92);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 122:
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 123:
      if (lookahead == 's') ADVANCE(388);
      END_STATE();
    case 124:
      if (lookahead == 's') ADVANCE(375);
      END_STATE();
    case 125:
      if (lookahead == 't') ADVANCE(19);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 127:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 128:
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(54);
      END_STATE();
    case 130:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 132:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 133:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 134:
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 135:
      if (lookahead == 'v') ADVANCE(60);
      END_STATE();
    case 136:
      if (lookahead == 'x') ADVANCE(126);
      END_STATE();
    case 137:
      if (lookahead == 'x') ADVANCE(55);
      END_STATE();
    case 138:
      if (lookahead == 'y') ADVANCE(445);
      END_STATE();
    case 139:
      if (lookahead == 'y') ADVANCE(20);
      END_STATE();
    case 140:
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(140);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(420);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 141:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(539);
      END_STATE();
    case 142:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      END_STATE();
    case 143:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(465);
      END_STATE();
    case 144:
      if (eof) ADVANCE(191);
      ADVANCE_MAP(
        '"', 438,
        '\'', 441,
        '(', 224,
        ')', 225,
        '+', 230,
        ',', 195,
        '-', 229,
        '.', 214,
        ':', 194,
        '<', 427,
        '>', 428,
        '?', 199,
        '@', 387,
        'C', 47,
        'J', 48,
        '[', 423,
        ']', 429,
        '`', 444,
        'a', 105,
        'b', 115,
        'e', 136,
        'f', 133,
        'n', 88,
        'p', 52,
        's', 78,
        't', 59,
        'u', 122,
        'v', 114,
        '{', 370,
        '|', 201,
        '}', 372,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(462);
      END_STATE();
    case 145:
      if (eof) ADVANCE(191);
      ADVANCE_MAP(
        '#', 437,
        '(', 223,
        ',', 195,
        '.', 213,
        ':', 194,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(165);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(389);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 146:
      if (eof) ADVANCE(191);
      ADVANCE_MAP(
        '#', 437,
        '(', 223,
        ',', 195,
        '.', 213,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(166);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(390);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 147:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(167);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(391);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 148:
      if (eof) ADVANCE(191);
      ADVANCE_MAP(
        '#', 437,
        '(', 223,
        '.', 213,
        ':', 194,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(168);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(392);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 149:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(169);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(393);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 150:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(170);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(394);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 151:
      if (eof) ADVANCE(191);
      ADVANCE_MAP(
        '#', 437,
        ',', 195,
        '.', 213,
        ':', 194,
        '<', 427,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(171);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(395);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 152:
      if (eof) ADVANCE(191);
      ADVANCE_MAP(
        '#', 437,
        ',', 195,
        '.', 213,
        ':', 194,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(172);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(396);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 153:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(173);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(397);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 154:
      if (eof) ADVANCE(191);
      ADVANCE_MAP(
        '#', 437,
        ',', 195,
        '.', 213,
        '<', 427,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(174);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(398);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 155:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(175);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(399);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 156:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(176);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(400);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 157:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(177);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(401);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 158:
      if (eof) ADVANCE(191);
      ADVANCE_MAP(
        '#', 437,
        '.', 213,
        ':', 194,
        '<', 427,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(181);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(405);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 159:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(182);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(406);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 160:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(183);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(407);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 161:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(184);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(408);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 162:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(185);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(409);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 163:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(186);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(410);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 164:
      if (eof) ADVANCE(191);
      if (lookahead == '#') ADVANCE(437);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(187);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(411);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 165:
      if (eof) ADVANCE(191);
      ADVANCE_MAP(
        '(', 223,
        ',', 195,
        '.', 213,
        ':', 194,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(165);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(389);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 166:
      if (eof) ADVANCE(191);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(166);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(390);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 167:
      if (eof) ADVANCE(191);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(167);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(391);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 168:
      if (eof) ADVANCE(191);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(168);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(392);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 169:
      if (eof) ADVANCE(191);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(169);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(393);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 170:
      if (eof) ADVANCE(191);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(170);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(394);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 171:
      if (eof) ADVANCE(191);
      ADVANCE_MAP(
        ',', 195,
        '.', 213,
        ':', 194,
        '<', 427,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(171);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(395);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 172:
      if (eof) ADVANCE(191);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(172);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(396);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 173:
      if (eof) ADVANCE(191);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(173);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(397);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 174:
      if (eof) ADVANCE(191);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(174);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(398);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 175:
      if (eof) ADVANCE(191);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(175);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(399);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 176:
      if (eof) ADVANCE(191);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(176);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(400);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 177:
      if (eof) ADVANCE(191);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(177);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(401);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 178:
      if (eof) ADVANCE(191);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(178);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(402);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 179:
      if (eof) ADVANCE(191);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(179);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(403);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 180:
      if (eof) ADVANCE(191);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(180);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(404);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 181:
      if (eof) ADVANCE(191);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(181);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(405);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 182:
      if (eof) ADVANCE(191);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(182);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(406);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 183:
      if (eof) ADVANCE(191);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(183);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(407);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 184:
      if (eof) ADVANCE(191);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(184);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(408);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 185:
      if (eof) ADVANCE(191);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(185);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(409);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 186:
      if (eof) ADVANCE(191);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(186);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(410);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 187:
      if (eof) ADVANCE(191);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(187);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(411);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 188:
      if (eof) ADVANCE(191);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(188);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(412);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 189:
      if (eof) ADVANCE(191);
      if (lookahead == 'e') ADVANCE(419);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(189);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(414);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 190:
      if (eof) ADVANCE(191);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(190);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(420);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_ATclass);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_LPARENexact_RPAREN);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_ATtype);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_ATparam);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_ATalias);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_ATreturn);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_ATfield);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_ATpublic);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_ATprotected);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_ATprivate);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_ATgeneric);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_ATvararg);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_ATdiagnostic);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_ATmeta);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_ATmodule);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_ATsource);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(32);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_ATversion);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_5_DOT1);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_5_DOT2);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_5_DOT3);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_5_DOT4);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_JIT);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_ATpackage);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_AToperator);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == 'e') ADVANCE(137);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_ATnodiscard);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_ATdeprecated);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_ATcast);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_ATasync);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_AToverload);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_ATenum);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_LPARENkey_RPAREN);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_ATlanguage);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_ATsee);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == '=') ADVANCE(239);
      if (lookahead == '[') ADVANCE(374);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == '@') ADVANCE(240);
      if (lookahead == '[') ADVANCE(237);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(46);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(238);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '|') ADVANCE(369);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == '[') ADVANCE(377);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      ADVANCE_MAP(
        'a', 311,
        'c', 241,
        'd', 276,
        'e', 318,
        'f', 303,
        'g', 287,
        'l', 248,
        'm', 277,
        'n', 326,
        'o', 332,
        'p', 242,
        'r', 288,
        's', 292,
        't', 367,
        'v', 243,
      );
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(347);
      if (lookahead == 'l') ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(259);
      if (lookahead == 'r') ADVANCE(302);
      if (lookahead == 'u') ADVANCE(258);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(339);
      if (lookahead == 'e') ADVANCE(335);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(299);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(210);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(349);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(317);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(323);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(300);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(345);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(270);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(354);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(336);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(338);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(301);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(356);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'a') ADVANCE(358);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'b') ADVANCE(314);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'c') ADVANCE(310);
      if (lookahead == 'r') ADVANCE(247);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'c') ADVANCE(231);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'c') ADVANCE(204);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'c') ADVANCE(207);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'c') ADVANCE(209);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'c') ADVANCE(281);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'c') ADVANCE(283);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'c') ADVANCE(254);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'c') ADVANCE(357);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'c') ADVANCE(257);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'd') ADVANCE(203);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'd') ADVANCE(232);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'd') ADVANCE(226);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'd') ADVANCE(205);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'd') ADVANCE(227);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'd') ADVANCE(306);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'd') ADVANCE(362);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(331);
      if (lookahead == 'i') ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(353);
      if (lookahead == 'o') ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(313);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(236);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(196);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(373);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(211);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(221);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(206);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(235);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(325);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(359);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(268);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(337);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(267);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(363);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(272);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(344);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(273);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'e') ADVANCE(341);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'g') ADVANCE(208);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'g') ADVANCE(365);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'g') ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'g') ADVANCE(284);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'g') ADVANCE(286);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'i') ADVANCE(366);
      if (lookahead == 'o') ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'i') ADVANCE(278);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'i') ADVANCE(327);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'i') ADVANCE(261);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'i') ADVANCE(351);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'i') ADVANCE(262);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'i') ADVANCE(263);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'i') ADVANCE(250);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'k') ADVANCE(249);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'l') ADVANCE(309);
      if (lookahead == 's') ADVANCE(368);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'l') ADVANCE(328);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'l') ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'l') ADVANCE(305);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'l') ADVANCE(282);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'm') ADVANCE(233);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'm') ADVANCE(197);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'n') ADVANCE(361);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'n') ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'n') ADVANCE(202);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'n') ADVANCE(215);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'n') ADVANCE(330);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'n') ADVANCE(298);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'n') ADVANCE(260);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'n') ADVANCE(294);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'o') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'o') ADVANCE(321);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'o') ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'o') ADVANCE(350);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'p') ADVANCE(342);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'p') ADVANCE(296);
      if (lookahead == 'v') ADVANCE(290);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'p') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'r') ADVANCE(222);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'r') ADVANCE(348);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'r') ADVANCE(297);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'r') ADVANCE(312);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'r') ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'r') ADVANCE(253);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'r') ADVANCE(320);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'r') ADVANCE(252);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'r') ADVANCE(289);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'r') ADVANCE(265);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'r') ADVANCE(307);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 's') ADVANCE(200);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 's') ADVANCE(192);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 's') ADVANCE(352);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 's') ADVANCE(304);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 's') ADVANCE(346);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 's') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 's') ADVANCE(266);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 't') ADVANCE(228);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 't') ADVANCE(245);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 't') ADVANCE(329);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 't') ADVANCE(291);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 't') ADVANCE(285);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 't') ADVANCE(293);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 't') ADVANCE(295);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 't') ADVANCE(364);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 't') ADVANCE(308);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'u') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'u') ADVANCE(315);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'u') ADVANCE(343);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'u') ADVANCE(340);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'u') ADVANCE(255);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'v') ADVANCE(256);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'y') ADVANCE(333);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead == 'y') ADVANCE(324);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym_link_reference_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(369);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_ATlink);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_ATsince);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_ATas);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_LBRACK_EQ_LBRACK);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_RBRACK_EQ_RBRACK);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_public);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_protected);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_private);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_package);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_comment);
      ADVANCE_MAP(
        '(', 223,
        ',', 195,
        '.', 213,
        ':', 194,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(13);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(389);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(14);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(390);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(15);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(391);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(16);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(392);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(17);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(393);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '(') ADVANCE(223);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(18);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(394);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_comment);
      ADVANCE_MAP(
        ',', 195,
        '.', 213,
        ':', 194,
        '<', 427,
        '?', 199,
        '@', 387,
        '[', 422,
        '|', 201,
      );
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(21);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(395);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(22);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(396);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(23);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(397);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(24);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(398);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(25);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(399);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(26);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(400);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(27);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(401);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(28);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(402);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(29);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(403);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == ',') ADVANCE(195);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(30);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(404);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(33);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(405);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(34);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(406);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(35);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(407);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(36);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(408);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '<') ADVANCE(427);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(37);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(409);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '@') ADVANCE(387);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(38);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(410);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '.') ADVANCE(213);
      if (lookahead == '?') ADVANCE(199);
      if (lookahead == '[') ADVANCE(422);
      if (lookahead == '|') ADVANCE(201);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(411);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == ':') ADVANCE(194);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(44);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(412);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == 'd') ADVANCE(417);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(421);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == 'e') ADVANCE(419);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(76);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(414);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == 'e') ADVANCE(416);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(421);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == 'n') ADVANCE(413);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(421);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == 's') ADVANCE(388);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(421);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == 't') ADVANCE(415);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(421);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == 'x') ADVANCE(418);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(421);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(140);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(420);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(421);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '=') ADVANCE(50);
      if (lookahead == '[') ADVANCE(374);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_table);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_table);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_RBRACK2);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_RBRACK2);
      if (lookahead == '=') ADVANCE(51);
      if (lookahead == ']') ADVANCE(376);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(528);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(128);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_function);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_self);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(aux_sym_literal_type_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(439);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(440);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(aux_sym_literal_type_token1);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(440);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(aux_sym_literal_type_token2);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(442);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(443);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(aux_sym_literal_type_token2);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(443);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_any);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_boolean);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_CFunction);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_CFunction);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_nil);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_nil);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_string);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_userdata);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_userdata);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_void);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(sym_string);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(462);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(463);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_numeric_literal_type);
      if (lookahead == '.') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(464);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_numeric_literal_type);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(465);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'F') ADVANCE(535);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(474);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(458);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(499);
      if (lookahead == 'u') ADVANCE(475);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(529);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(515);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(531);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b') ADVANCE(508);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b') ADVANCE(509);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b') ADVANCE(491);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(504);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(532);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(533);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(460);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(470);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(426);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(384);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(472);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(506);
      if (lookahead == 't') ADVANCE(524);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(506);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(525);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(523);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(482);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(479);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(456);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(485);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(505);
      if (lookahead == 'u') ADVANCE(510);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(481);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(536);
      if (lookahead == 'o') ADVANCE(530);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(478);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(514);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(521);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(522);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'k') ADVANCE(471);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(494);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(487);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(500);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm') ADVANCE(476);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(537);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(431);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(480);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(495);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(434);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(450);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(498);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(520);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(507);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(516);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(517);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(454);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(501);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(483);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(524);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(502);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(468);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(493);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(486);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(492);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(503);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(512);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(513);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'v') ADVANCE(473);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(538);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_diagnostic_identifier);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(539);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 46},
  [2] = {.lex_state = 6},
  [3] = {.lex_state = 6},
  [4] = {.lex_state = 6},
  [5] = {.lex_state = 6},
  [6] = {.lex_state = 6},
  [7] = {.lex_state = 6},
  [8] = {.lex_state = 6},
  [9] = {.lex_state = 6},
  [10] = {.lex_state = 2},
  [11] = {.lex_state = 2},
  [12] = {.lex_state = 2},
  [13] = {.lex_state = 2},
  [14] = {.lex_state = 2},
  [15] = {.lex_state = 2},
  [16] = {.lex_state = 2},
  [17] = {.lex_state = 3},
  [18] = {.lex_state = 3},
  [19] = {.lex_state = 1},
  [20] = {.lex_state = 3},
  [21] = {.lex_state = 3},
  [22] = {.lex_state = 3},
  [23] = {.lex_state = 3},
  [24] = {.lex_state = 3},
  [25] = {.lex_state = 3},
  [26] = {.lex_state = 2},
  [27] = {.lex_state = 2},
  [28] = {.lex_state = 2},
  [29] = {.lex_state = 2},
  [30] = {.lex_state = 2},
  [31] = {.lex_state = 2},
  [32] = {.lex_state = 2},
  [33] = {.lex_state = 2},
  [34] = {.lex_state = 2},
  [35] = {.lex_state = 2},
  [36] = {.lex_state = 2},
  [37] = {.lex_state = 2},
  [38] = {.lex_state = 2},
  [39] = {.lex_state = 2},
  [40] = {.lex_state = 2},
  [41] = {.lex_state = 2},
  [42] = {.lex_state = 2},
  [43] = {.lex_state = 2},
  [44] = {.lex_state = 2},
  [45] = {.lex_state = 2},
  [46] = {.lex_state = 2},
  [47] = {.lex_state = 2},
  [48] = {.lex_state = 2},
  [49] = {.lex_state = 2},
  [50] = {.lex_state = 2},
  [51] = {.lex_state = 2},
  [52] = {.lex_state = 2},
  [53] = {.lex_state = 2},
  [54] = {.lex_state = 2},
  [55] = {.lex_state = 2},
  [56] = {.lex_state = 2},
  [57] = {.lex_state = 2},
  [58] = {.lex_state = 2},
  [59] = {.lex_state = 2},
  [60] = {.lex_state = 2},
  [61] = {.lex_state = 2},
  [62] = {.lex_state = 2},
  [63] = {.lex_state = 2},
  [64] = {.lex_state = 2},
  [65] = {.lex_state = 2},
  [66] = {.lex_state = 2},
  [67] = {.lex_state = 2},
  [68] = {.lex_state = 2},
  [69] = {.lex_state = 2},
  [70] = {.lex_state = 2},
  [71] = {.lex_state = 2},
  [72] = {.lex_state = 2},
  [73] = {.lex_state = 2},
  [74] = {.lex_state = 2},
  [75] = {.lex_state = 2},
  [76] = {.lex_state = 2},
  [77] = {.lex_state = 2},
  [78] = {.lex_state = 2},
  [79] = {.lex_state = 2},
  [80] = {.lex_state = 2},
  [81] = {.lex_state = 2},
  [82] = {.lex_state = 2},
  [83] = {.lex_state = 2},
  [84] = {.lex_state = 2},
  [85] = {.lex_state = 2},
  [86] = {.lex_state = 2},
  [87] = {.lex_state = 2},
  [88] = {.lex_state = 2},
  [89] = {.lex_state = 2},
  [90] = {.lex_state = 2},
  [91] = {.lex_state = 2},
  [92] = {.lex_state = 2},
  [93] = {.lex_state = 2},
  [94] = {.lex_state = 2},
  [95] = {.lex_state = 2},
  [96] = {.lex_state = 2},
  [97] = {.lex_state = 2},
  [98] = {.lex_state = 2},
  [99] = {.lex_state = 2},
  [100] = {.lex_state = 2},
  [101] = {.lex_state = 2},
  [102] = {.lex_state = 2},
  [103] = {.lex_state = 2},
  [104] = {.lex_state = 2},
  [105] = {.lex_state = 2},
  [106] = {.lex_state = 2},
  [107] = {.lex_state = 2},
  [108] = {.lex_state = 2},
  [109] = {.lex_state = 2},
  [110] = {.lex_state = 2},
  [111] = {.lex_state = 2},
  [112] = {.lex_state = 2},
  [113] = {.lex_state = 2},
  [114] = {.lex_state = 2},
  [115] = {.lex_state = 2},
  [116] = {.lex_state = 2},
  [117] = {.lex_state = 2},
  [118] = {.lex_state = 2},
  [119] = {.lex_state = 2},
  [120] = {.lex_state = 2},
  [121] = {.lex_state = 2},
  [122] = {.lex_state = 2},
  [123] = {.lex_state = 2},
  [124] = {.lex_state = 2},
  [125] = {.lex_state = 2},
  [126] = {.lex_state = 2},
  [127] = {.lex_state = 2},
  [128] = {.lex_state = 2},
  [129] = {.lex_state = 2},
  [130] = {.lex_state = 2},
  [131] = {.lex_state = 2},
  [132] = {.lex_state = 2},
  [133] = {.lex_state = 2},
  [134] = {.lex_state = 2},
  [135] = {.lex_state = 2},
  [136] = {.lex_state = 2},
  [137] = {.lex_state = 2},
  [138] = {.lex_state = 2},
  [139] = {.lex_state = 2},
  [140] = {.lex_state = 2},
  [141] = {.lex_state = 2},
  [142] = {.lex_state = 2},
  [143] = {.lex_state = 2},
  [144] = {.lex_state = 2},
  [145] = {.lex_state = 2},
  [146] = {.lex_state = 2},
  [147] = {.lex_state = 2},
  [148] = {.lex_state = 2},
  [149] = {.lex_state = 2},
  [150] = {.lex_state = 2},
  [151] = {.lex_state = 2},
  [152] = {.lex_state = 2},
  [153] = {.lex_state = 2},
  [154] = {.lex_state = 2},
  [155] = {.lex_state = 2},
  [156] = {.lex_state = 2},
  [157] = {.lex_state = 2},
  [158] = {.lex_state = 2},
  [159] = {.lex_state = 2},
  [160] = {.lex_state = 2},
  [161] = {.lex_state = 2},
  [162] = {.lex_state = 2},
  [163] = {.lex_state = 2},
  [164] = {.lex_state = 2},
  [165] = {.lex_state = 2},
  [166] = {.lex_state = 2},
  [167] = {.lex_state = 2},
  [168] = {.lex_state = 2},
  [169] = {.lex_state = 2},
  [170] = {.lex_state = 2},
  [171] = {.lex_state = 2},
  [172] = {.lex_state = 2},
  [173] = {.lex_state = 2},
  [174] = {.lex_state = 2},
  [175] = {.lex_state = 2},
  [176] = {.lex_state = 2},
  [177] = {.lex_state = 2},
  [178] = {.lex_state = 2},
  [179] = {.lex_state = 2},
  [180] = {.lex_state = 2},
  [181] = {.lex_state = 2},
  [182] = {.lex_state = 2},
  [183] = {.lex_state = 2},
  [184] = {.lex_state = 2},
  [185] = {.lex_state = 2},
  [186] = {.lex_state = 2},
  [187] = {.lex_state = 2},
  [188] = {.lex_state = 2},
  [189] = {.lex_state = 2},
  [190] = {.lex_state = 2},
  [191] = {.lex_state = 2},
  [192] = {.lex_state = 2},
  [193] = {.lex_state = 2},
  [194] = {.lex_state = 2},
  [195] = {.lex_state = 2},
  [196] = {.lex_state = 2},
  [197] = {.lex_state = 2},
  [198] = {.lex_state = 145},
  [199] = {.lex_state = 156},
  [200] = {.lex_state = 152},
  [201] = {.lex_state = 156},
  [202] = {.lex_state = 152},
  [203] = {.lex_state = 152},
  [204] = {.lex_state = 152},
  [205] = {.lex_state = 151},
  [206] = {.lex_state = 152},
  [207] = {.lex_state = 152},
  [208] = {.lex_state = 152},
  [209] = {.lex_state = 152},
  [210] = {.lex_state = 152},
  [211] = {.lex_state = 152},
  [212] = {.lex_state = 152},
  [213] = {.lex_state = 152},
  [214] = {.lex_state = 156},
  [215] = {.lex_state = 152},
  [216] = {.lex_state = 152},
  [217] = {.lex_state = 152},
  [218] = {.lex_state = 152},
  [219] = {.lex_state = 152},
  [220] = {.lex_state = 152},
  [221] = {.lex_state = 152},
  [222] = {.lex_state = 152},
  [223] = {.lex_state = 152},
  [224] = {.lex_state = 152},
  [225] = {.lex_state = 152},
  [226] = {.lex_state = 152},
  [227] = {.lex_state = 158},
  [228] = {.lex_state = 156},
  [229] = {.lex_state = 152},
  [230] = {.lex_state = 152},
  [231] = {.lex_state = 152},
  [232] = {.lex_state = 159},
  [233] = {.lex_state = 152},
  [234] = {.lex_state = 156},
  [235] = {.lex_state = 156},
  [236] = {.lex_state = 148},
  [237] = {.lex_state = 152},
  [238] = {.lex_state = 156},
  [239] = {.lex_state = 156},
  [240] = {.lex_state = 156},
  [241] = {.lex_state = 152},
  [242] = {.lex_state = 152},
  [243] = {.lex_state = 152},
  [244] = {.lex_state = 152},
  [245] = {.lex_state = 152},
  [246] = {.lex_state = 152},
  [247] = {.lex_state = 152},
  [248] = {.lex_state = 152},
  [249] = {.lex_state = 152},
  [250] = {.lex_state = 152},
  [251] = {.lex_state = 156},
  [252] = {.lex_state = 152},
  [253] = {.lex_state = 152},
  [254] = {.lex_state = 152},
  [255] = {.lex_state = 152},
  [256] = {.lex_state = 154},
  [257] = {.lex_state = 146},
  [258] = {.lex_state = 152},
  [259] = {.lex_state = 152},
  [260] = {.lex_state = 152},
  [261] = {.lex_state = 152},
  [262] = {.lex_state = 156},
  [263] = {.lex_state = 152},
  [264] = {.lex_state = 156},
  [265] = {.lex_state = 156},
  [266] = {.lex_state = 156},
  [267] = {.lex_state = 156},
  [268] = {.lex_state = 159},
  [269] = {.lex_state = 156},
  [270] = {.lex_state = 153},
  [271] = {.lex_state = 157},
  [272] = {.lex_state = 157},
  [273] = {.lex_state = 157},
  [274] = {.lex_state = 157},
  [275] = {.lex_state = 163},
  [276] = {.lex_state = 156},
  [277] = {.lex_state = 156},
  [278] = {.lex_state = 159},
  [279] = {.lex_state = 159},
  [280] = {.lex_state = 159},
  [281] = {.lex_state = 159},
  [282] = {.lex_state = 159},
  [283] = {.lex_state = 157},
  [284] = {.lex_state = 156},
  [285] = {.lex_state = 159},
  [286] = {.lex_state = 159},
  [287] = {.lex_state = 159},
  [288] = {.lex_state = 163},
  [289] = {.lex_state = 157},
  [290] = {.lex_state = 156},
  [291] = {.lex_state = 157},
  [292] = {.lex_state = 163},
  [293] = {.lex_state = 157},
  [294] = {.lex_state = 159},
  [295] = {.lex_state = 157},
  [296] = {.lex_state = 159},
  [297] = {.lex_state = 163},
  [298] = {.lex_state = 161},
  [299] = {.lex_state = 163},
  [300] = {.lex_state = 157},
  [301] = {.lex_state = 157},
  [302] = {.lex_state = 159},
  [303] = {.lex_state = 159},
  [304] = {.lex_state = 159},
  [305] = {.lex_state = 159},
  [306] = {.lex_state = 157},
  [307] = {.lex_state = 159},
  [308] = {.lex_state = 157},
  [309] = {.lex_state = 157},
  [310] = {.lex_state = 159},
  [311] = {.lex_state = 157},
  [312] = {.lex_state = 157},
  [313] = {.lex_state = 157},
  [314] = {.lex_state = 153},
  [315] = {.lex_state = 153},
  [316] = {.lex_state = 153},
  [317] = {.lex_state = 163},
  [318] = {.lex_state = 157},
  [319] = {.lex_state = 159},
  [320] = {.lex_state = 157},
  [321] = {.lex_state = 155},
  [322] = {.lex_state = 147},
  [323] = {.lex_state = 159},
  [324] = {.lex_state = 159},
  [325] = {.lex_state = 159},
  [326] = {.lex_state = 159},
  [327] = {.lex_state = 156},
  [328] = {.lex_state = 156},
  [329] = {.lex_state = 156},
  [330] = {.lex_state = 156},
  [331] = {.lex_state = 159},
  [332] = {.lex_state = 156},
  [333] = {.lex_state = 163},
  [334] = {.lex_state = 163},
  [335] = {.lex_state = 156},
  [336] = {.lex_state = 156},
  [337] = {.lex_state = 156},
  [338] = {.lex_state = 156},
  [339] = {.lex_state = 156},
  [340] = {.lex_state = 159},
  [341] = {.lex_state = 153},
  [342] = {.lex_state = 156},
  [343] = {.lex_state = 159},
  [344] = {.lex_state = 156},
  [345] = {.lex_state = 156},
  [346] = {.lex_state = 153},
  [347] = {.lex_state = 159},
  [348] = {.lex_state = 159},
  [349] = {.lex_state = 156},
  [350] = {.lex_state = 156},
  [351] = {.lex_state = 156},
  [352] = {.lex_state = 156},
  [353] = {.lex_state = 156},
  [354] = {.lex_state = 153},
  [355] = {.lex_state = 149},
  [356] = {.lex_state = 153},
  [357] = {.lex_state = 156},
  [358] = {.lex_state = 156},
  [359] = {.lex_state = 153},
  [360] = {.lex_state = 157},
  [361] = {.lex_state = 157},
  [362] = {.lex_state = 159},
  [363] = {.lex_state = 10},
  [364] = {.lex_state = 159},
  [365] = {.lex_state = 157},
  [366] = {.lex_state = 163},
  [367] = {.lex_state = 163},
  [368] = {.lex_state = 163},
  [369] = {.lex_state = 163},
  [370] = {.lex_state = 163},
  [371] = {.lex_state = 160},
  [372] = {.lex_state = 163},
  [373] = {.lex_state = 157},
  [374] = {.lex_state = 163},
  [375] = {.lex_state = 163},
  [376] = {.lex_state = 163},
  [377] = {.lex_state = 157},
  [378] = {.lex_state = 163},
  [379] = {.lex_state = 160},
  [380] = {.lex_state = 163},
  [381] = {.lex_state = 163},
  [382] = {.lex_state = 160},
  [383] = {.lex_state = 163},
  [384] = {.lex_state = 163},
  [385] = {.lex_state = 163},
  [386] = {.lex_state = 163},
  [387] = {.lex_state = 163},
  [388] = {.lex_state = 163},
  [389] = {.lex_state = 163},
  [390] = {.lex_state = 163},
  [391] = {.lex_state = 163},
  [392] = {.lex_state = 2},
  [393] = {.lex_state = 162},
  [394] = {.lex_state = 150},
  [395] = {.lex_state = 2},
  [396] = {.lex_state = 157},
  [397] = {.lex_state = 157},
  [398] = {.lex_state = 157},
  [399] = {.lex_state = 157},
  [400] = {.lex_state = 157},
  [401] = {.lex_state = 157},
  [402] = {.lex_state = 157},
  [403] = {.lex_state = 157},
  [404] = {.lex_state = 157},
  [405] = {.lex_state = 157},
  [406] = {.lex_state = 2},
  [407] = {.lex_state = 157},
  [408] = {.lex_state = 157},
  [409] = {.lex_state = 157},
  [410] = {.lex_state = 157},
  [411] = {.lex_state = 157},
  [412] = {.lex_state = 157},
  [413] = {.lex_state = 157},
  [414] = {.lex_state = 157},
  [415] = {.lex_state = 157},
  [416] = {.lex_state = 157},
  [417] = {.lex_state = 157},
  [418] = {.lex_state = 157},
  [419] = {.lex_state = 157},
  [420] = {.lex_state = 2},
  [421] = {.lex_state = 2},
  [422] = {.lex_state = 2},
  [423] = {.lex_state = 2},
  [424] = {.lex_state = 2},
  [425] = {.lex_state = 2},
  [426] = {.lex_state = 2},
  [427] = {.lex_state = 2},
  [428] = {.lex_state = 2},
  [429] = {.lex_state = 2},
  [430] = {.lex_state = 2},
  [431] = {.lex_state = 2},
  [432] = {.lex_state = 2},
  [433] = {.lex_state = 2},
  [434] = {.lex_state = 2},
  [435] = {.lex_state = 2},
  [436] = {.lex_state = 2},
  [437] = {.lex_state = 2},
  [438] = {.lex_state = 2},
  [439] = {.lex_state = 2},
  [440] = {.lex_state = 2},
  [441] = {.lex_state = 2},
  [442] = {.lex_state = 2},
  [443] = {.lex_state = 2},
  [444] = {.lex_state = 2},
  [445] = {.lex_state = 2},
  [446] = {.lex_state = 2},
  [447] = {.lex_state = 2},
  [448] = {.lex_state = 2},
  [449] = {.lex_state = 2},
  [450] = {.lex_state = 2},
  [451] = {.lex_state = 2},
  [452] = {.lex_state = 2},
  [453] = {.lex_state = 2},
  [454] = {.lex_state = 2},
  [455] = {.lex_state = 2},
  [456] = {.lex_state = 2},
  [457] = {.lex_state = 2},
  [458] = {.lex_state = 2},
  [459] = {.lex_state = 2},
  [460] = {.lex_state = 2},
  [461] = {.lex_state = 163},
  [462] = {.lex_state = 164},
  [463] = {.lex_state = 164},
  [464] = {.lex_state = 2},
  [465] = {.lex_state = 164},
  [466] = {.lex_state = 2},
  [467] = {.lex_state = 164},
  [468] = {.lex_state = 164},
  [469] = {.lex_state = 164},
  [470] = {.lex_state = 2},
  [471] = {.lex_state = 2},
  [472] = {.lex_state = 2},
  [473] = {.lex_state = 164},
  [474] = {.lex_state = 164},
  [475] = {.lex_state = 2},
  [476] = {.lex_state = 2},
  [477] = {.lex_state = 164},
  [478] = {.lex_state = 2},
  [479] = {.lex_state = 2},
  [480] = {.lex_state = 164},
  [481] = {.lex_state = 2},
  [482] = {.lex_state = 164},
  [483] = {.lex_state = 164},
  [484] = {.lex_state = 164},
  [485] = {.lex_state = 2},
  [486] = {.lex_state = 164},
  [487] = {.lex_state = 2},
  [488] = {.lex_state = 164},
  [489] = {.lex_state = 164},
  [490] = {.lex_state = 164},
  [491] = {.lex_state = 164},
  [492] = {.lex_state = 164},
  [493] = {.lex_state = 2},
  [494] = {.lex_state = 2},
  [495] = {.lex_state = 2},
  [496] = {.lex_state = 164},
  [497] = {.lex_state = 164},
  [498] = {.lex_state = 164},
  [499] = {.lex_state = 164},
  [500] = {.lex_state = 164},
  [501] = {.lex_state = 2},
  [502] = {.lex_state = 2},
  [503] = {.lex_state = 2},
  [504] = {.lex_state = 2},
  [505] = {.lex_state = 2},
  [506] = {.lex_state = 164},
  [507] = {.lex_state = 164},
  [508] = {.lex_state = 164},
  [509] = {.lex_state = 164},
  [510] = {.lex_state = 2},
  [511] = {.lex_state = 3},
  [512] = {.lex_state = 3},
  [513] = {.lex_state = 2},
  [514] = {.lex_state = 2},
  [515] = {.lex_state = 179},
  [516] = {.lex_state = 2},
  [517] = {.lex_state = 2},
  [518] = {.lex_state = 2},
  [519] = {.lex_state = 2},
  [520] = {.lex_state = 179},
  [521] = {.lex_state = 2},
  [522] = {.lex_state = 179},
  [523] = {.lex_state = 1},
  [524] = {.lex_state = 1},
  [525] = {.lex_state = 3},
  [526] = {.lex_state = 3},
  [527] = {.lex_state = 2},
  [528] = {.lex_state = 2},
  [529] = {.lex_state = 3},
  [530] = {.lex_state = 3},
  [531] = {.lex_state = 3},
  [532] = {.lex_state = 3},
  [533] = {.lex_state = 43},
  [534] = {.lex_state = 179},
  [535] = {.lex_state = 179},
  [536] = {.lex_state = 9},
  [537] = {.lex_state = 180},
  [538] = {.lex_state = 180},
  [539] = {.lex_state = 180},
  [540] = {.lex_state = 180},
  [541] = {.lex_state = 178},
  [542] = {.lex_state = 180},
  [543] = {.lex_state = 180},
  [544] = {.lex_state = 180},
  [545] = {.lex_state = 41},
  [546] = {.lex_state = 180},
  [547] = {.lex_state = 180},
  [548] = {.lex_state = 180},
  [549] = {.lex_state = 180},
  [550] = {.lex_state = 180},
  [551] = {.lex_state = 0},
  [552] = {.lex_state = 0},
  [553] = {.lex_state = 0},
  [554] = {.lex_state = 0},
  [555] = {.lex_state = 0},
  [556] = {.lex_state = 0},
  [557] = {.lex_state = 0},
  [558] = {.lex_state = 180},
  [559] = {.lex_state = 0},
  [560] = {.lex_state = 0},
  [561] = {.lex_state = 0},
  [562] = {.lex_state = 0},
  [563] = {.lex_state = 0},
  [564] = {.lex_state = 0},
  [565] = {.lex_state = 188},
  [566] = {.lex_state = 9},
  [567] = {.lex_state = 188},
  [568] = {.lex_state = 0},
  [569] = {.lex_state = 0},
  [570] = {.lex_state = 0},
  [571] = {.lex_state = 0},
  [572] = {.lex_state = 0},
  [573] = {.lex_state = 0},
  [574] = {.lex_state = 0},
  [575] = {.lex_state = 0},
  [576] = {.lex_state = 0},
  [577] = {.lex_state = 0},
  [578] = {.lex_state = 0},
  [579] = {.lex_state = 9},
  [580] = {.lex_state = 0},
  [581] = {.lex_state = 0},
  [582] = {.lex_state = 0},
  [583] = {.lex_state = 0},
  [584] = {.lex_state = 0},
  [585] = {.lex_state = 0},
  [586] = {.lex_state = 0},
  [587] = {.lex_state = 9},
  [588] = {.lex_state = 0},
  [589] = {.lex_state = 0},
  [590] = {.lex_state = 9},
  [591] = {.lex_state = 0},
  [592] = {.lex_state = 188},
  [593] = {.lex_state = 0},
  [594] = {.lex_state = 0},
  [595] = {.lex_state = 0},
  [596] = {.lex_state = 0},
  [597] = {.lex_state = 0},
  [598] = {.lex_state = 0},
  [599] = {.lex_state = 0},
  [600] = {.lex_state = 188},
  [601] = {.lex_state = 0},
  [602] = {.lex_state = 0},
  [603] = {.lex_state = 0},
  [604] = {.lex_state = 0},
  [605] = {.lex_state = 9},
  [606] = {.lex_state = 0},
  [607] = {.lex_state = 0},
  [608] = {.lex_state = 0},
  [609] = {.lex_state = 0},
  [610] = {.lex_state = 0},
  [611] = {.lex_state = 0},
  [612] = {.lex_state = 0},
  [613] = {.lex_state = 0},
  [614] = {.lex_state = 0},
  [615] = {.lex_state = 0},
  [616] = {.lex_state = 9},
  [617] = {.lex_state = 0},
  [618] = {.lex_state = 0},
  [619] = {.lex_state = 0},
  [620] = {.lex_state = 0},
  [621] = {.lex_state = 0},
  [622] = {.lex_state = 0},
  [623] = {.lex_state = 0},
  [624] = {.lex_state = 0},
  [625] = {.lex_state = 0},
  [626] = {.lex_state = 0},
  [627] = {.lex_state = 0},
  [628] = {.lex_state = 188},
  [629] = {.lex_state = 0},
  [630] = {.lex_state = 180},
  [631] = {.lex_state = 188},
  [632] = {.lex_state = 0},
  [633] = {.lex_state = 0},
  [634] = {.lex_state = 9},
  [635] = {.lex_state = 9},
  [636] = {.lex_state = 189},
  [637] = {.lex_state = 0},
  [638] = {.lex_state = 0},
  [639] = {.lex_state = 0},
  [640] = {.lex_state = 0},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 0},
  [643] = {.lex_state = 190},
  [644] = {.lex_state = 6},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 0},
  [648] = {.lex_state = 0},
  [649] = {.lex_state = 190},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 190},
  [652] = {.lex_state = 0},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 0},
  [655] = {.lex_state = 0},
  [656] = {.lex_state = 9},
  [657] = {.lex_state = 9},
  [658] = {.lex_state = 0},
  [659] = {.lex_state = 0},
  [660] = {.lex_state = 0},
  [661] = {.lex_state = 0},
  [662] = {.lex_state = 0},
  [663] = {.lex_state = 0},
  [664] = {.lex_state = 0},
  [665] = {.lex_state = 190},
  [666] = {.lex_state = 0},
  [667] = {.lex_state = 190},
  [668] = {.lex_state = 0},
  [669] = {.lex_state = 190},
  [670] = {.lex_state = 190},
  [671] = {.lex_state = 0},
  [672] = {.lex_state = 190},
  [673] = {.lex_state = 190},
  [674] = {.lex_state = 190},
  [675] = {.lex_state = 0},
  [676] = {.lex_state = 9},
  [677] = {.lex_state = 9},
  [678] = {.lex_state = 190},
  [679] = {.lex_state = 190},
  [680] = {.lex_state = 0},
  [681] = {.lex_state = 190},
  [682] = {.lex_state = 190},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 190},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 0},
  [687] = {.lex_state = 0},
  [688] = {.lex_state = 0},
  [689] = {.lex_state = 0},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 0},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 0},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 0},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 439},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 9},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 9},
  [710] = {.lex_state = 9},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 6},
  [714] = {.lex_state = 9},
  [715] = {.lex_state = 6},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 9},
  [720] = {.lex_state = 6},
  [721] = {.lex_state = 10},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 6},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 6},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 9},
  [729] = {.lex_state = 3},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 6},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 9},
  [737] = {.lex_state = 6},
  [738] = {.lex_state = 141},
  [739] = {.lex_state = 190},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 6},
  [742] = {.lex_state = 439},
  [743] = {.lex_state = 442},
  [744] = {.lex_state = 9},
  [745] = {.lex_state = 439},
  [746] = {.lex_state = 442},
  [747] = {.lex_state = 9},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 141},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 0},
  [754] = {.lex_state = 0},
  [755] = {.lex_state = 9},
  [756] = {.lex_state = 0},
  [757] = {.lex_state = 0},
  [758] = {.lex_state = 9},
  [759] = {.lex_state = 3},
  [760] = {.lex_state = 9},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 6},
  [763] = {.lex_state = 439},
  [764] = {.lex_state = 442},
  [765] = {.lex_state = 9},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 9},
  [769] = {.lex_state = 0},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 6},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 442},
  [777] = {.lex_state = 9},
  [778] = {.lex_state = 9},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 10},
  [781] = {.lex_state = 0},
  [782] = {.lex_state = 0},
  [783] = {.lex_state = 0},
  [784] = {.lex_state = 9},
  [785] = {.lex_state = 0},
  [786] = {.lex_state = 6},
  [787] = {.lex_state = 439},
  [788] = {.lex_state = 442},
  [789] = {.lex_state = 9},
  [790] = {.lex_state = 3},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 9},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 0},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 6},
  [799] = {.lex_state = 439},
  [800] = {.lex_state = 442},
  [801] = {.lex_state = 9},
  [802] = {.lex_state = 9},
  [803] = {.lex_state = 0},
  [804] = {.lex_state = 0},
  [805] = {.lex_state = 0},
  [806] = {.lex_state = 9},
  [807] = {.lex_state = 9},
  [808] = {.lex_state = 0},
  [809] = {.lex_state = 0},
  [810] = {.lex_state = 6},
  [811] = {.lex_state = 439},
  [812] = {.lex_state = 442},
  [813] = {.lex_state = 9},
  [814] = {.lex_state = 0},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 6},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 0},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 141},
  [823] = {.lex_state = 0},
  [824] = {.lex_state = 0},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 6},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 0},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 0},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 9},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 6},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 2},
  [844] = {.lex_state = 0},
  [845] = {.lex_state = 3},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 9},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 6},
  [854] = {.lex_state = 3},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 3},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 3},
  [859] = {.lex_state = 9},
  [860] = {.lex_state = 3},
  [861] = {.lex_state = 6},
  [862] = {.lex_state = 3},
  [863] = {.lex_state = 2},
  [864] = {.lex_state = 3},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 0},
  [868] = {.lex_state = 2},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LPARENexact_RPAREN] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_JIT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_EQ_LBRACK] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_table] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_RBRACK2] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_CFunction] = ACTIONS(1),
    [anon_sym_nil] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_userdata] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_numeric_literal_type] = ACTIONS(1),
  },
  [1] = {
    [sym_documentation] = STATE(770),
    [sym_class_annotation] = STATE(821),
    [sym_type_annotation] = STATE(821),
    [sym_param_annotation] = STATE(821),
    [sym_alias_annotation] = STATE(821),
    [sym_continuation] = STATE(821),
    [sym_return_annotation] = STATE(821),
    [sym_field_annotation] = STATE(821),
    [sym_qualifier_annotation] = STATE(821),
    [sym_generic_annotation] = STATE(821),
    [sym_vararg_annotation] = STATE(821),
    [sym_diagnostic_annotation] = STATE(821),
    [sym_meta_annotation] = STATE(821),
    [sym_module_annotation] = STATE(821),
    [sym_source_annotation] = STATE(821),
    [sym_version_annotation] = STATE(821),
    [sym_package_annotation] = STATE(821),
    [sym_operator_annotation] = STATE(821),
    [sym_nodiscard_annotation] = STATE(821),
    [sym_deprecated_annotation] = STATE(821),
    [sym_cast_annotation] = STATE(821),
    [sym_async_annotation] = STATE(821),
    [sym_overload_annotation] = STATE(821),
    [sym_enum_annotation] = STATE(821),
    [sym_language_injection] = STATE(821),
    [sym_see_reference] = STATE(821),
    [sym_link_reference] = STATE(821),
    [sym_since_annotation] = STATE(821),
    [sym_as_annotation] = STATE(821),
    [anon_sym_ATclass] = ACTIONS(3),
    [anon_sym_ATtype] = ACTIONS(5),
    [anon_sym_ATparam] = ACTIONS(7),
    [anon_sym_ATalias] = ACTIONS(9),
    [anon_sym_PIPE] = ACTIONS(11),
    [anon_sym_ATreturn] = ACTIONS(13),
    [anon_sym_ATfield] = ACTIONS(15),
    [anon_sym_ATpublic] = ACTIONS(17),
    [anon_sym_ATprotected] = ACTIONS(17),
    [anon_sym_ATprivate] = ACTIONS(17),
    [anon_sym_ATgeneric] = ACTIONS(19),
    [anon_sym_ATvararg] = ACTIONS(21),
    [anon_sym_ATdiagnostic] = ACTIONS(23),
    [anon_sym_ATmeta] = ACTIONS(25),
    [anon_sym_ATmodule] = ACTIONS(27),
    [anon_sym_ATsource] = ACTIONS(29),
    [anon_sym_ATversion] = ACTIONS(31),
    [anon_sym_ATpackage] = ACTIONS(33),
    [anon_sym_AToperator] = ACTIONS(35),
    [anon_sym_ATnodiscard] = ACTIONS(37),
    [anon_sym_ATdeprecated] = ACTIONS(39),
    [anon_sym_ATcast] = ACTIONS(41),
    [anon_sym_ATasync] = ACTIONS(43),
    [anon_sym_AToverload] = ACTIONS(45),
    [anon_sym_ATenum] = ACTIONS(47),
    [anon_sym_ATlanguage] = ACTIONS(49),
    [anon_sym_ATsee] = ACTIONS(51),
    [aux_sym_link_reference_token1] = ACTIONS(53),
    [anon_sym_ATsince] = ACTIONS(55),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(57),
    [anon_sym_LBRACK_EQ_LBRACK] = ACTIONS(59),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 17,
    ACTIONS(61), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(65), 1,
      anon_sym_RPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(75), 1,
      anon_sym_self,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(87), 1,
      sym_identifier,
    STATE(421), 1,
      sym_type,
    STATE(552), 1,
      sym_parameter,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [70] = 17,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(87), 1,
      sym_identifier,
    ACTIONS(89), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(91), 1,
      anon_sym_RPAREN,
    ACTIONS(93), 1,
      anon_sym_self,
    STATE(459), 1,
      sym_type,
    STATE(633), 1,
      sym_parameter,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [140] = 17,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(87), 1,
      sym_identifier,
    ACTIONS(95), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(97), 1,
      anon_sym_RPAREN,
    ACTIONS(99), 1,
      anon_sym_self,
    STATE(434), 1,
      sym_type,
    STATE(581), 1,
      sym_parameter,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [210] = 17,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(87), 1,
      sym_identifier,
    ACTIONS(101), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(103), 1,
      anon_sym_RPAREN,
    ACTIONS(105), 1,
      anon_sym_self,
    STATE(440), 1,
      sym_type,
    STATE(593), 1,
      sym_parameter,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [280] = 17,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(87), 1,
      sym_identifier,
    ACTIONS(107), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(109), 1,
      anon_sym_RPAREN,
    ACTIONS(111), 1,
      anon_sym_self,
    STATE(446), 1,
      sym_type,
    STATE(608), 1,
      sym_parameter,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [350] = 17,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(87), 1,
      sym_identifier,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(115), 1,
      anon_sym_RPAREN,
    ACTIONS(117), 1,
      anon_sym_self,
    STATE(452), 1,
      sym_type,
    STATE(618), 1,
      sym_parameter,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [420] = 17,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(87), 1,
      sym_identifier,
    ACTIONS(119), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      anon_sym_RPAREN,
    ACTIONS(123), 1,
      anon_sym_self,
    STATE(427), 1,
      sym_type,
    STATE(569), 1,
      sym_parameter,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [490] = 17,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(87), 1,
      sym_identifier,
    ACTIONS(125), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(127), 1,
      anon_sym_RPAREN,
    ACTIONS(129), 1,
      anon_sym_self,
    STATE(460), 1,
      sym_type,
    STATE(638), 1,
      sym_parameter,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [560] = 16,
    ACTIONS(131), 1,
      anon_sym_QMARK,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_DASH,
    ACTIONS(137), 1,
      anon_sym_PLUS,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    STATE(396), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [627] = 16,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    ACTIONS(159), 1,
      anon_sym_QMARK,
    ACTIONS(161), 1,
      anon_sym_DASH,
    ACTIONS(163), 1,
      anon_sym_PLUS,
    STATE(306), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [694] = 14,
    ACTIONS(165), 1,
      anon_sym_QMARK,
    ACTIONS(167), 1,
      anon_sym_LPAREN,
    ACTIONS(169), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      anon_sym_table,
    ACTIONS(173), 1,
      anon_sym_fun,
    ACTIONS(175), 1,
      anon_sym_function,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(181), 1,
      anon_sym_BQUOTE,
    ACTIONS(185), 1,
      sym_numeric_literal_type,
    ACTIONS(187), 1,
      sym_identifier,
    STATE(275), 1,
      sym_type,
    ACTIONS(183), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(367), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [755] = 14,
    ACTIONS(167), 1,
      anon_sym_LPAREN,
    ACTIONS(169), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      anon_sym_table,
    ACTIONS(173), 1,
      anon_sym_fun,
    ACTIONS(175), 1,
      anon_sym_function,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(181), 1,
      anon_sym_BQUOTE,
    ACTIONS(185), 1,
      sym_numeric_literal_type,
    ACTIONS(187), 1,
      sym_identifier,
    ACTIONS(189), 1,
      anon_sym_QMARK,
    STATE(288), 1,
      sym_type,
    ACTIONS(183), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(367), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [816] = 14,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    ACTIONS(191), 1,
      anon_sym_QMARK,
    STATE(320), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [877] = 14,
    ACTIONS(167), 1,
      anon_sym_LPAREN,
    ACTIONS(169), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      anon_sym_table,
    ACTIONS(173), 1,
      anon_sym_fun,
    ACTIONS(175), 1,
      anon_sym_function,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(181), 1,
      anon_sym_BQUOTE,
    ACTIONS(185), 1,
      sym_numeric_literal_type,
    ACTIONS(187), 1,
      sym_identifier,
    ACTIONS(193), 1,
      anon_sym_QMARK,
    STATE(297), 1,
      sym_type,
    ACTIONS(183), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(367), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [938] = 14,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    ACTIONS(195), 1,
      anon_sym_QMARK,
    STATE(419), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [999] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(197), 1,
      sym_number,
    STATE(529), 1,
      sym_type,
    ACTIONS(199), 2,
      sym_numeric_literal_type,
      sym_identifier,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1058] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(201), 1,
      sym_number,
    STATE(525), 1,
      sym_type,
    ACTIONS(199), 2,
      sym_numeric_literal_type,
      sym_identifier,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1117] = 14,
    ACTIONS(203), 1,
      anon_sym_LPARENexact_RPAREN,
    ACTIONS(205), 1,
      anon_sym_LPAREN,
    ACTIONS(207), 1,
      anon_sym_LBRACE,
    ACTIONS(209), 1,
      anon_sym_table,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_function,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_BQUOTE,
    ACTIONS(223), 1,
      sym_numeric_literal_type,
    ACTIONS(225), 1,
      sym_identifier,
    STATE(232), 1,
      sym_type,
    ACTIONS(221), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(325), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1178] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(227), 1,
      sym_number,
    STATE(526), 1,
      sym_type,
    ACTIONS(199), 2,
      sym_numeric_literal_type,
      sym_identifier,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1237] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(229), 1,
      sym_number,
    STATE(511), 1,
      sym_type,
    ACTIONS(199), 2,
      sym_numeric_literal_type,
      sym_identifier,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1296] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      sym_number,
    STATE(530), 1,
      sym_type,
    ACTIONS(199), 2,
      sym_numeric_literal_type,
      sym_identifier,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1355] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(233), 1,
      sym_number,
    STATE(531), 1,
      sym_type,
    ACTIONS(199), 2,
      sym_numeric_literal_type,
      sym_identifier,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1414] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(235), 1,
      sym_number,
    STATE(532), 1,
      sym_type,
    ACTIONS(199), 2,
      sym_numeric_literal_type,
      sym_identifier,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1473] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(237), 1,
      sym_number,
    STATE(512), 1,
      sym_type,
    ACTIONS(199), 2,
      sym_numeric_literal_type,
      sym_identifier,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1532] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(479), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1590] = 13,
    ACTIONS(239), 1,
      anon_sym_LPAREN,
    ACTIONS(241), 1,
      anon_sym_LBRACE,
    ACTIONS(243), 1,
      anon_sym_table,
    ACTIONS(245), 1,
      anon_sym_fun,
    ACTIONS(247), 1,
      anon_sym_function,
    ACTIONS(249), 1,
      anon_sym_DQUOTE,
    ACTIONS(251), 1,
      anon_sym_SQUOTE,
    ACTIONS(253), 1,
      anon_sym_BQUOTE,
    ACTIONS(257), 1,
      sym_numeric_literal_type,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(508), 1,
      sym_type,
    ACTIONS(255), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(482), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1648] = 13,
    ACTIONS(261), 1,
      anon_sym_LPAREN,
    ACTIONS(263), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_table,
    ACTIONS(267), 1,
      anon_sym_fun,
    ACTIONS(269), 1,
      anon_sym_function,
    ACTIONS(271), 1,
      anon_sym_DQUOTE,
    ACTIONS(273), 1,
      anon_sym_SQUOTE,
    ACTIONS(275), 1,
      anon_sym_BQUOTE,
    ACTIONS(279), 1,
      sym_numeric_literal_type,
    ACTIONS(281), 1,
      sym_identifier,
    STATE(199), 1,
      sym_type,
    ACTIONS(277), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(328), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1706] = 13,
    ACTIONS(207), 1,
      anon_sym_LBRACE,
    ACTIONS(209), 1,
      anon_sym_table,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_function,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_BQUOTE,
    ACTIONS(223), 1,
      sym_numeric_literal_type,
    ACTIONS(225), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_LPAREN,
    STATE(278), 1,
      sym_type,
    ACTIONS(221), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(325), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1764] = 13,
    ACTIONS(261), 1,
      anon_sym_LPAREN,
    ACTIONS(263), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_table,
    ACTIONS(267), 1,
      anon_sym_fun,
    ACTIONS(269), 1,
      anon_sym_function,
    ACTIONS(271), 1,
      anon_sym_DQUOTE,
    ACTIONS(273), 1,
      anon_sym_SQUOTE,
    ACTIONS(275), 1,
      anon_sym_BQUOTE,
    ACTIONS(279), 1,
      sym_numeric_literal_type,
    ACTIONS(281), 1,
      sym_identifier,
    STATE(290), 1,
      sym_type,
    ACTIONS(277), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(328), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1822] = 13,
    ACTIONS(167), 1,
      anon_sym_LPAREN,
    ACTIONS(169), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      anon_sym_table,
    ACTIONS(173), 1,
      anon_sym_fun,
    ACTIONS(175), 1,
      anon_sym_function,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(181), 1,
      anon_sym_BQUOTE,
    ACTIONS(185), 1,
      sym_numeric_literal_type,
    ACTIONS(187), 1,
      sym_identifier,
    STATE(292), 1,
      sym_type,
    ACTIONS(183), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(367), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1880] = 13,
    ACTIONS(167), 1,
      anon_sym_LPAREN,
    ACTIONS(169), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      anon_sym_table,
    ACTIONS(173), 1,
      anon_sym_fun,
    ACTIONS(175), 1,
      anon_sym_function,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(181), 1,
      anon_sym_BQUOTE,
    ACTIONS(185), 1,
      sym_numeric_literal_type,
    ACTIONS(187), 1,
      sym_identifier,
    STATE(297), 1,
      sym_type,
    ACTIONS(183), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(367), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1938] = 13,
    ACTIONS(239), 1,
      anon_sym_LPAREN,
    ACTIONS(241), 1,
      anon_sym_LBRACE,
    ACTIONS(243), 1,
      anon_sym_table,
    ACTIONS(245), 1,
      anon_sym_fun,
    ACTIONS(247), 1,
      anon_sym_function,
    ACTIONS(249), 1,
      anon_sym_DQUOTE,
    ACTIONS(251), 1,
      anon_sym_SQUOTE,
    ACTIONS(253), 1,
      anon_sym_BQUOTE,
    ACTIONS(257), 1,
      sym_numeric_literal_type,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(473), 1,
      sym_type,
    ACTIONS(255), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(482), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [1996] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    STATE(373), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2054] = 13,
    ACTIONS(239), 1,
      anon_sym_LPAREN,
    ACTIONS(241), 1,
      anon_sym_LBRACE,
    ACTIONS(243), 1,
      anon_sym_table,
    ACTIONS(245), 1,
      anon_sym_fun,
    ACTIONS(247), 1,
      anon_sym_function,
    ACTIONS(249), 1,
      anon_sym_DQUOTE,
    ACTIONS(251), 1,
      anon_sym_SQUOTE,
    ACTIONS(253), 1,
      anon_sym_BQUOTE,
    ACTIONS(257), 1,
      sym_numeric_literal_type,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(477), 1,
      sym_type,
    ACTIONS(255), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(482), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2112] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(517), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2170] = 13,
    ACTIONS(207), 1,
      anon_sym_LBRACE,
    ACTIONS(209), 1,
      anon_sym_table,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_function,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(217), 1,
      anon_sym_SQUOTE,
    ACTIONS(219), 1,
      anon_sym_BQUOTE,
    ACTIONS(223), 1,
      sym_numeric_literal_type,
    ACTIONS(225), 1,
      sym_identifier,
    ACTIONS(283), 1,
      anon_sym_LPAREN,
    STATE(268), 1,
      sym_type,
    ACTIONS(221), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(325), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2228] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(527), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2286] = 13,
    ACTIONS(261), 1,
      anon_sym_LPAREN,
    ACTIONS(263), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_table,
    ACTIONS(267), 1,
      anon_sym_fun,
    ACTIONS(269), 1,
      anon_sym_function,
    ACTIONS(271), 1,
      anon_sym_DQUOTE,
    ACTIONS(273), 1,
      anon_sym_SQUOTE,
    ACTIONS(275), 1,
      anon_sym_BQUOTE,
    ACTIONS(279), 1,
      sym_numeric_literal_type,
    ACTIONS(281), 1,
      sym_identifier,
    STATE(214), 1,
      sym_type,
    ACTIONS(277), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(328), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2344] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(392), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2402] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(395), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2460] = 13,
    ACTIONS(167), 1,
      anon_sym_LPAREN,
    ACTIONS(169), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      anon_sym_table,
    ACTIONS(173), 1,
      anon_sym_fun,
    ACTIONS(175), 1,
      anon_sym_function,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(181), 1,
      anon_sym_BQUOTE,
    ACTIONS(185), 1,
      sym_numeric_literal_type,
    ACTIONS(187), 1,
      sym_identifier,
    STATE(333), 1,
      sym_type,
    ACTIONS(183), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(367), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2518] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(481), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2576] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(406), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2634] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(513), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2692] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(495), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2750] = 13,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_table,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_function,
    ACTIONS(295), 1,
      anon_sym_DQUOTE,
    ACTIONS(297), 1,
      anon_sym_SQUOTE,
    ACTIONS(299), 1,
      anon_sym_BQUOTE,
    ACTIONS(303), 1,
      sym_numeric_literal_type,
    ACTIONS(305), 1,
      sym_identifier,
    STATE(200), 1,
      sym_type,
    ACTIONS(301), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(242), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2808] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(485), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2866] = 13,
    ACTIONS(239), 1,
      anon_sym_LPAREN,
    ACTIONS(241), 1,
      anon_sym_LBRACE,
    ACTIONS(243), 1,
      anon_sym_table,
    ACTIONS(245), 1,
      anon_sym_fun,
    ACTIONS(247), 1,
      anon_sym_function,
    ACTIONS(249), 1,
      anon_sym_DQUOTE,
    ACTIONS(251), 1,
      anon_sym_SQUOTE,
    ACTIONS(253), 1,
      anon_sym_BQUOTE,
    ACTIONS(257), 1,
      sym_numeric_literal_type,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(486), 1,
      sym_type,
    ACTIONS(255), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(482), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2924] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(420), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [2982] = 13,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_table,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_function,
    ACTIONS(295), 1,
      anon_sym_DQUOTE,
    ACTIONS(297), 1,
      anon_sym_SQUOTE,
    ACTIONS(299), 1,
      anon_sym_BQUOTE,
    ACTIONS(303), 1,
      sym_numeric_literal_type,
    ACTIONS(307), 1,
      sym_identifier,
    STATE(202), 1,
      sym_type,
    ACTIONS(301), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(242), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3040] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(470), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3098] = 13,
    ACTIONS(239), 1,
      anon_sym_LPAREN,
    ACTIONS(241), 1,
      anon_sym_LBRACE,
    ACTIONS(243), 1,
      anon_sym_table,
    ACTIONS(245), 1,
      anon_sym_fun,
    ACTIONS(247), 1,
      anon_sym_function,
    ACTIONS(249), 1,
      anon_sym_DQUOTE,
    ACTIONS(251), 1,
      anon_sym_SQUOTE,
    ACTIONS(253), 1,
      anon_sym_BQUOTE,
    ACTIONS(257), 1,
      sym_numeric_literal_type,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(474), 1,
      sym_type,
    ACTIONS(255), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(482), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3156] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(433), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3214] = 13,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_table,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_function,
    ACTIONS(295), 1,
      anon_sym_DQUOTE,
    ACTIONS(297), 1,
      anon_sym_SQUOTE,
    ACTIONS(299), 1,
      anon_sym_BQUOTE,
    ACTIONS(303), 1,
      sym_numeric_literal_type,
    ACTIONS(309), 1,
      sym_identifier,
    STATE(207), 1,
      sym_type,
    ACTIONS(301), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(242), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3272] = 13,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_table,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_function,
    ACTIONS(295), 1,
      anon_sym_DQUOTE,
    ACTIONS(297), 1,
      anon_sym_SQUOTE,
    ACTIONS(299), 1,
      anon_sym_BQUOTE,
    ACTIONS(303), 1,
      sym_numeric_literal_type,
    ACTIONS(311), 1,
      sym_identifier,
    STATE(208), 1,
      sym_type,
    ACTIONS(301), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(242), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3330] = 13,
    ACTIONS(239), 1,
      anon_sym_LPAREN,
    ACTIONS(241), 1,
      anon_sym_LBRACE,
    ACTIONS(243), 1,
      anon_sym_table,
    ACTIONS(245), 1,
      anon_sym_fun,
    ACTIONS(247), 1,
      anon_sym_function,
    ACTIONS(249), 1,
      anon_sym_DQUOTE,
    ACTIONS(251), 1,
      anon_sym_SQUOTE,
    ACTIONS(253), 1,
      anon_sym_BQUOTE,
    ACTIONS(257), 1,
      sym_numeric_literal_type,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(484), 1,
      sym_type,
    ACTIONS(255), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(482), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3388] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(501), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3446] = 13,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_table,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_function,
    ACTIONS(295), 1,
      anon_sym_DQUOTE,
    ACTIONS(297), 1,
      anon_sym_SQUOTE,
    ACTIONS(299), 1,
      anon_sym_BQUOTE,
    ACTIONS(303), 1,
      sym_numeric_literal_type,
    ACTIONS(309), 1,
      sym_identifier,
    STATE(209), 1,
      sym_type,
    ACTIONS(301), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(242), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3504] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(502), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3562] = 13,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_table,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_function,
    ACTIONS(295), 1,
      anon_sym_DQUOTE,
    ACTIONS(297), 1,
      anon_sym_SQUOTE,
    ACTIONS(299), 1,
      anon_sym_BQUOTE,
    ACTIONS(303), 1,
      sym_numeric_literal_type,
    ACTIONS(309), 1,
      sym_identifier,
    STATE(213), 1,
      sym_type,
    ACTIONS(301), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(242), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3620] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(503), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3678] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(504), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3736] = 13,
    ACTIONS(261), 1,
      anon_sym_LPAREN,
    ACTIONS(263), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_table,
    ACTIONS(267), 1,
      anon_sym_fun,
    ACTIONS(269), 1,
      anon_sym_function,
    ACTIONS(271), 1,
      anon_sym_DQUOTE,
    ACTIONS(273), 1,
      anon_sym_SQUOTE,
    ACTIONS(275), 1,
      anon_sym_BQUOTE,
    ACTIONS(279), 1,
      sym_numeric_literal_type,
    ACTIONS(281), 1,
      sym_identifier,
    STATE(337), 1,
      sym_type,
    ACTIONS(277), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(328), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3794] = 13,
    ACTIONS(167), 1,
      anon_sym_LPAREN,
    ACTIONS(169), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      anon_sym_table,
    ACTIONS(173), 1,
      anon_sym_fun,
    ACTIONS(175), 1,
      anon_sym_function,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(181), 1,
      anon_sym_BQUOTE,
    ACTIONS(185), 1,
      sym_numeric_literal_type,
    ACTIONS(187), 1,
      sym_identifier,
    STATE(374), 1,
      sym_type,
    ACTIONS(183), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(367), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3852] = 13,
    ACTIONS(239), 1,
      anon_sym_LPAREN,
    ACTIONS(241), 1,
      anon_sym_LBRACE,
    ACTIONS(243), 1,
      anon_sym_table,
    ACTIONS(245), 1,
      anon_sym_fun,
    ACTIONS(247), 1,
      anon_sym_function,
    ACTIONS(249), 1,
      anon_sym_DQUOTE,
    ACTIONS(251), 1,
      anon_sym_SQUOTE,
    ACTIONS(253), 1,
      anon_sym_BQUOTE,
    ACTIONS(257), 1,
      sym_numeric_literal_type,
    ACTIONS(259), 1,
      sym_identifier,
    STATE(491), 1,
      sym_type,
    ACTIONS(255), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(482), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3910] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(194), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [3968] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    STATE(403), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4026] = 13,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_table,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_function,
    ACTIONS(295), 1,
      anon_sym_DQUOTE,
    ACTIONS(297), 1,
      anon_sym_SQUOTE,
    ACTIONS(299), 1,
      anon_sym_BQUOTE,
    ACTIONS(303), 1,
      sym_numeric_literal_type,
    ACTIONS(309), 1,
      sym_identifier,
    STATE(252), 1,
      sym_type,
    ACTIONS(301), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(242), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4084] = 13,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_table,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_function,
    ACTIONS(295), 1,
      anon_sym_DQUOTE,
    ACTIONS(297), 1,
      anon_sym_SQUOTE,
    ACTIONS(299), 1,
      anon_sym_BQUOTE,
    ACTIONS(303), 1,
      sym_numeric_literal_type,
    ACTIONS(309), 1,
      sym_identifier,
    STATE(259), 1,
      sym_type,
    ACTIONS(301), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(242), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4142] = 13,
    ACTIONS(261), 1,
      anon_sym_LPAREN,
    ACTIONS(263), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_table,
    ACTIONS(267), 1,
      anon_sym_fun,
    ACTIONS(269), 1,
      anon_sym_function,
    ACTIONS(271), 1,
      anon_sym_DQUOTE,
    ACTIONS(273), 1,
      anon_sym_SQUOTE,
    ACTIONS(275), 1,
      anon_sym_BQUOTE,
    ACTIONS(279), 1,
      sym_numeric_literal_type,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(262), 1,
      sym_type,
    ACTIONS(277), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(328), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4200] = 13,
    ACTIONS(261), 1,
      anon_sym_LPAREN,
    ACTIONS(263), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_table,
    ACTIONS(267), 1,
      anon_sym_fun,
    ACTIONS(269), 1,
      anon_sym_function,
    ACTIONS(271), 1,
      anon_sym_DQUOTE,
    ACTIONS(273), 1,
      anon_sym_SQUOTE,
    ACTIONS(275), 1,
      anon_sym_BQUOTE,
    ACTIONS(279), 1,
      sym_numeric_literal_type,
    ACTIONS(281), 1,
      sym_identifier,
    STATE(349), 1,
      sym_type,
    ACTIONS(277), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(328), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4258] = 13,
    ACTIONS(261), 1,
      anon_sym_LPAREN,
    ACTIONS(263), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_table,
    ACTIONS(267), 1,
      anon_sym_fun,
    ACTIONS(269), 1,
      anon_sym_function,
    ACTIONS(271), 1,
      anon_sym_DQUOTE,
    ACTIONS(273), 1,
      anon_sym_SQUOTE,
    ACTIONS(275), 1,
      anon_sym_BQUOTE,
    ACTIONS(279), 1,
      sym_numeric_literal_type,
    ACTIONS(315), 1,
      sym_identifier,
    STATE(264), 1,
      sym_type,
    ACTIONS(277), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(328), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4316] = 13,
    ACTIONS(261), 1,
      anon_sym_LPAREN,
    ACTIONS(263), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_table,
    ACTIONS(267), 1,
      anon_sym_fun,
    ACTIONS(269), 1,
      anon_sym_function,
    ACTIONS(271), 1,
      anon_sym_DQUOTE,
    ACTIONS(273), 1,
      anon_sym_SQUOTE,
    ACTIONS(275), 1,
      anon_sym_BQUOTE,
    ACTIONS(279), 1,
      sym_numeric_literal_type,
    ACTIONS(281), 1,
      sym_identifier,
    STATE(267), 1,
      sym_type,
    ACTIONS(277), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(328), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4374] = 13,
    ACTIONS(261), 1,
      anon_sym_LPAREN,
    ACTIONS(263), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_table,
    ACTIONS(267), 1,
      anon_sym_fun,
    ACTIONS(269), 1,
      anon_sym_function,
    ACTIONS(271), 1,
      anon_sym_DQUOTE,
    ACTIONS(273), 1,
      anon_sym_SQUOTE,
    ACTIONS(275), 1,
      anon_sym_BQUOTE,
    ACTIONS(279), 1,
      sym_numeric_literal_type,
    ACTIONS(317), 1,
      sym_identifier,
    STATE(251), 1,
      sym_type,
    ACTIONS(277), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(328), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4432] = 13,
    ACTIONS(261), 1,
      anon_sym_LPAREN,
    ACTIONS(263), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_table,
    ACTIONS(267), 1,
      anon_sym_fun,
    ACTIONS(269), 1,
      anon_sym_function,
    ACTIONS(271), 1,
      anon_sym_DQUOTE,
    ACTIONS(273), 1,
      anon_sym_SQUOTE,
    ACTIONS(275), 1,
      anon_sym_BQUOTE,
    ACTIONS(279), 1,
      sym_numeric_literal_type,
    ACTIONS(281), 1,
      sym_identifier,
    STATE(240), 1,
      sym_type,
    ACTIONS(277), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(328), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4490] = 13,
    ACTIONS(261), 1,
      anon_sym_LPAREN,
    ACTIONS(263), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_table,
    ACTIONS(267), 1,
      anon_sym_fun,
    ACTIONS(269), 1,
      anon_sym_function,
    ACTIONS(271), 1,
      anon_sym_DQUOTE,
    ACTIONS(273), 1,
      anon_sym_SQUOTE,
    ACTIONS(275), 1,
      anon_sym_BQUOTE,
    ACTIONS(279), 1,
      sym_numeric_literal_type,
    ACTIONS(281), 1,
      sym_identifier,
    STATE(269), 1,
      sym_type,
    ACTIONS(277), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(328), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4548] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    STATE(377), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4606] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(319), 1,
      sym_identifier,
    STATE(283), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4664] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(321), 1,
      sym_identifier,
    STATE(289), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4722] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    STATE(295), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4780] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(323), 1,
      sym_identifier,
    STATE(300), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4838] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    STATE(301), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4896] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    STATE(312), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [4954] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(175), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5012] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(325), 1,
      sym_identifier,
    STATE(361), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5070] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(327), 1,
      sym_identifier,
    STATE(318), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5128] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    STATE(271), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5186] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(329), 1,
      sym_identifier,
    STATE(272), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5244] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    STATE(273), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5302] = 13,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LBRACE,
    ACTIONS(141), 1,
      anon_sym_table,
    ACTIONS(143), 1,
      anon_sym_fun,
    ACTIONS(145), 1,
      anon_sym_function,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      sym_numeric_literal_type,
    ACTIONS(157), 1,
      sym_identifier,
    STATE(274), 1,
      sym_type,
    ACTIONS(153), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(398), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5360] = 13,
    ACTIONS(261), 1,
      anon_sym_LPAREN,
    ACTIONS(263), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_table,
    ACTIONS(267), 1,
      anon_sym_fun,
    ACTIONS(269), 1,
      anon_sym_function,
    ACTIONS(271), 1,
      anon_sym_DQUOTE,
    ACTIONS(273), 1,
      anon_sym_SQUOTE,
    ACTIONS(275), 1,
      anon_sym_BQUOTE,
    ACTIONS(279), 1,
      sym_numeric_literal_type,
    ACTIONS(281), 1,
      sym_identifier,
    STATE(201), 1,
      sym_type,
    ACTIONS(277), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(328), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5418] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(331), 1,
      sym_identifier,
    STATE(157), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5476] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(333), 1,
      sym_identifier,
    STATE(158), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5534] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(159), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5592] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(335), 1,
      sym_identifier,
    STATE(160), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5650] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(161), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5708] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(162), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5766] = 13,
    ACTIONS(167), 1,
      anon_sym_LPAREN,
    ACTIONS(169), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      anon_sym_table,
    ACTIONS(173), 1,
      anon_sym_fun,
    ACTIONS(175), 1,
      anon_sym_function,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(181), 1,
      anon_sym_BQUOTE,
    ACTIONS(185), 1,
      sym_numeric_literal_type,
    ACTIONS(187), 1,
      sym_identifier,
    STATE(317), 1,
      sym_type,
    ACTIONS(183), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(367), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5824] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(464), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5882] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(466), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5940] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(422), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [5998] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(423), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6056] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(424), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6114] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(528), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6172] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(425), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6230] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(426), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6288] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(471), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6346] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(472), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6404] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(428), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6462] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(429), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6520] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(430), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6578] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(519), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6636] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(431), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6694] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(432), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6752] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(475), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6810] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(476), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6868] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(435), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6926] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(436), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [6984] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(437), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7042] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(516), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7100] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(438), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7158] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(439), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7216] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(478), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7274] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(441), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7332] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(442), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7390] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(443), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7448] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(521), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7506] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(444), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7564] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(445), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7622] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(510), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7680] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(487), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7738] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(447), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7796] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(448), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7854] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(449), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7912] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(514), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [7970] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(450), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8028] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(451), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8086] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(493), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8144] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(494), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8202] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(453), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8260] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(454), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8318] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(455), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8376] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(518), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8434] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(456), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8492] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(457), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8550] = 13,
    ACTIONS(167), 1,
      anon_sym_LPAREN,
    ACTIONS(169), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      anon_sym_table,
    ACTIONS(173), 1,
      anon_sym_fun,
    ACTIONS(175), 1,
      anon_sym_function,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(181), 1,
      anon_sym_BQUOTE,
    ACTIONS(185), 1,
      sym_numeric_literal_type,
    ACTIONS(187), 1,
      sym_identifier,
    STATE(299), 1,
      sym_type,
    ACTIONS(183), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(367), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8608] = 13,
    ACTIONS(167), 1,
      anon_sym_LPAREN,
    ACTIONS(169), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      anon_sym_table,
    ACTIONS(173), 1,
      anon_sym_fun,
    ACTIONS(175), 1,
      anon_sym_function,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(181), 1,
      anon_sym_BQUOTE,
    ACTIONS(185), 1,
      sym_numeric_literal_type,
    ACTIONS(187), 1,
      sym_identifier,
    STATE(334), 1,
      sym_type,
    ACTIONS(183), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(367), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8666] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(523), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8724] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(524), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8782] = 13,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_table,
    ACTIONS(71), 1,
      anon_sym_fun,
    ACTIONS(73), 1,
      anon_sym_function,
    ACTIONS(77), 1,
      anon_sym_DQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_BQUOTE,
    ACTIONS(85), 1,
      sym_numeric_literal_type,
    ACTIONS(199), 1,
      sym_identifier,
    STATE(505), 1,
      sym_type,
    ACTIONS(83), 8,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
    STATE(179), 12,
      sym_array_type,
      sym_table_type,
      sym_table_literal_type,
      sym_union_type,
      sym_parenthesized_type,
      sym_tuple_type,
      sym_function_type,
      sym_member_type,
      sym_optional_type,
      sym_literal_type,
      sym_custom_type,
      sym_builtin_type,
  [8840] = 2,
    ACTIONS(337), 7,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_numeric_literal_type,
    ACTIONS(339), 12,
      anon_sym_table,
      anon_sym_fun,
      anon_sym_function,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
      sym_identifier,
  [8864] = 2,
    ACTIONS(341), 7,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_numeric_literal_type,
    ACTIONS(343), 12,
      anon_sym_table,
      anon_sym_fun,
      anon_sym_function,
      anon_sym_any,
      anon_sym_boolean,
      anon_sym_CFunction,
      anon_sym_nil,
      anon_sym_number,
      anon_sym_string,
      anon_sym_userdata,
      anon_sym_void,
      sym_identifier,
  [8888] = 3,
    ACTIONS(345), 1,
      anon_sym_COLON,
    ACTIONS(349), 1,
      anon_sym_RBRACK2,
    ACTIONS(347), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [8908] = 3,
    ACTIONS(349), 1,
      anon_sym_RBRACK2,
    ACTIONS(351), 1,
      anon_sym_COLON,
    ACTIONS(347), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [8928] = 3,
    ACTIONS(349), 1,
      anon_sym_RBRACK2,
    ACTIONS(353), 1,
      anon_sym_COLON,
    ACTIONS(347), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [8948] = 8,
    ACTIONS(355), 1,
      anon_sym_COMMA,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(367), 1,
      anon_sym_RBRACK2,
    STATE(168), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(363), 5,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_GT,
  [8978] = 8,
    ACTIONS(355), 1,
      anon_sym_COMMA,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_RBRACK2,
    STATE(169), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(369), 5,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_GT,
  [9008] = 8,
    ACTIONS(355), 1,
      anon_sym_COMMA,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(375), 1,
      anon_sym_RBRACK2,
    STATE(170), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(373), 5,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_GT,
  [9038] = 8,
    ACTIONS(355), 1,
      anon_sym_COMMA,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(379), 1,
      anon_sym_RBRACK2,
    STATE(171), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(377), 5,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_GT,
  [9068] = 8,
    ACTIONS(355), 1,
      anon_sym_COMMA,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(383), 1,
      anon_sym_RBRACK2,
    STATE(172), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(381), 5,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_GT,
  [9098] = 8,
    ACTIONS(355), 1,
      anon_sym_COMMA,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(387), 1,
      anon_sym_RBRACK2,
    STATE(173), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(385), 5,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_GT,
  [9128] = 3,
    ACTIONS(391), 1,
      anon_sym_LT,
    ACTIONS(393), 1,
      anon_sym_RBRACK2,
    ACTIONS(389), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9148] = 3,
    ACTIONS(393), 1,
      anon_sym_RBRACK2,
    ACTIONS(395), 1,
      anon_sym_LPAREN,
    ACTIONS(389), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9168] = 3,
    ACTIONS(397), 1,
      anon_sym_COLON,
    ACTIONS(401), 1,
      anon_sym_RBRACK2,
    ACTIONS(399), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9188] = 3,
    ACTIONS(403), 1,
      anon_sym_COLON,
    ACTIONS(407), 1,
      anon_sym_RBRACK2,
    ACTIONS(405), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9208] = 3,
    ACTIONS(367), 1,
      anon_sym_RBRACK2,
    ACTIONS(409), 1,
      anon_sym_COLON,
    ACTIONS(363), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9228] = 4,
    ACTIONS(355), 1,
      anon_sym_COMMA,
    ACTIONS(371), 1,
      anon_sym_RBRACK2,
    STATE(174), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(369), 10,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9250] = 4,
    ACTIONS(355), 1,
      anon_sym_COMMA,
    ACTIONS(379), 1,
      anon_sym_RBRACK2,
    STATE(174), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(377), 10,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9272] = 4,
    ACTIONS(355), 1,
      anon_sym_COMMA,
    ACTIONS(413), 1,
      anon_sym_RBRACK2,
    STATE(174), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(411), 10,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9294] = 4,
    ACTIONS(355), 1,
      anon_sym_COMMA,
    ACTIONS(417), 1,
      anon_sym_RBRACK2,
    STATE(174), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(415), 10,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9316] = 4,
    ACTIONS(355), 1,
      anon_sym_COMMA,
    ACTIONS(421), 1,
      anon_sym_RBRACK2,
    STATE(174), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(419), 10,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9338] = 4,
    ACTIONS(355), 1,
      anon_sym_COMMA,
    ACTIONS(425), 1,
      anon_sym_RBRACK2,
    STATE(174), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(423), 10,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9360] = 4,
    ACTIONS(427), 1,
      anon_sym_COMMA,
    ACTIONS(432), 1,
      anon_sym_RBRACK2,
    STATE(174), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(430), 10,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9382] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(432), 1,
      anon_sym_RBRACK2,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(430), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_GT,
  [9407] = 2,
    ACTIONS(393), 1,
      anon_sym_RBRACK2,
    ACTIONS(389), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9424] = 2,
    ACTIONS(436), 1,
      anon_sym_RBRACK2,
    ACTIONS(434), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9441] = 2,
    ACTIONS(440), 1,
      anon_sym_RBRACK2,
    ACTIONS(438), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9458] = 2,
    ACTIONS(349), 1,
      anon_sym_RBRACK2,
    ACTIONS(347), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9475] = 2,
    ACTIONS(444), 1,
      anon_sym_RBRACK2,
    ACTIONS(442), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9492] = 2,
    ACTIONS(448), 1,
      anon_sym_RBRACK2,
    ACTIONS(446), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9509] = 2,
    ACTIONS(452), 1,
      anon_sym_RBRACK2,
    ACTIONS(450), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9526] = 2,
    ACTIONS(456), 1,
      anon_sym_RBRACK2,
    ACTIONS(454), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9543] = 2,
    ACTIONS(460), 1,
      anon_sym_RBRACK2,
    ACTIONS(458), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9560] = 2,
    ACTIONS(464), 1,
      anon_sym_RBRACK2,
    ACTIONS(462), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9577] = 2,
    ACTIONS(468), 1,
      anon_sym_RBRACK2,
    ACTIONS(466), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9594] = 2,
    ACTIONS(472), 1,
      anon_sym_RBRACK2,
    ACTIONS(470), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9611] = 2,
    ACTIONS(476), 1,
      anon_sym_RBRACK2,
    ACTIONS(474), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9628] = 2,
    ACTIONS(480), 1,
      anon_sym_RBRACK2,
    ACTIONS(478), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9645] = 2,
    ACTIONS(484), 1,
      anon_sym_RBRACK2,
    ACTIONS(482), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9662] = 2,
    ACTIONS(488), 1,
      anon_sym_RBRACK2,
    ACTIONS(486), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9679] = 2,
    ACTIONS(492), 1,
      anon_sym_RBRACK2,
    ACTIONS(490), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9696] = 2,
    ACTIONS(496), 1,
      anon_sym_RBRACK2,
    ACTIONS(494), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9713] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(500), 1,
      anon_sym_RBRACK2,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(498), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_GT,
  [9738] = 2,
    ACTIONS(504), 1,
      anon_sym_RBRACK2,
    ACTIONS(502), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9755] = 2,
    ACTIONS(508), 1,
      anon_sym_RBRACK2,
    ACTIONS(506), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9772] = 2,
    ACTIONS(512), 1,
      anon_sym_RBRACK2,
    ACTIONS(510), 11,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACK_EQ_RBRACK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_POUND,
  [9789] = 3,
    ACTIONS(514), 1,
      anon_sym_LPAREN,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [9807] = 11,
    ACTIONS(516), 1,
      ts_builtin_sym_end,
    ACTIONS(518), 1,
      anon_sym_COMMA,
    ACTIONS(520), 1,
      anon_sym_QMARK,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    ACTIONS(524), 1,
      anon_sym_DOT,
    ACTIONS(526), 1,
      anon_sym_AT,
    ACTIONS(528), 1,
      sym_comment,
    ACTIONS(530), 1,
      anon_sym_LBRACK,
    ACTIONS(532), 1,
      anon_sym_POUND,
    STATE(520), 1,
      aux_sym_class_annotation_repeat1,
    STATE(828), 1,
      sym_class_at_comment,
  [9841] = 9,
    ACTIONS(363), 1,
      ts_builtin_sym_end,
    ACTIONS(534), 1,
      anon_sym_COMMA,
    ACTIONS(536), 1,
      anon_sym_QMARK,
    ACTIONS(538), 1,
      anon_sym_PIPE,
    ACTIONS(540), 1,
      anon_sym_DOT,
    ACTIONS(542), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_POUND,
    STATE(203), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(367), 3,
      anon_sym_COLON,
      anon_sym_AT,
      sym_comment,
  [9871] = 11,
    ACTIONS(520), 1,
      anon_sym_QMARK,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    ACTIONS(524), 1,
      anon_sym_DOT,
    ACTIONS(530), 1,
      anon_sym_LBRACK,
    ACTIONS(532), 1,
      anon_sym_POUND,
    ACTIONS(546), 1,
      ts_builtin_sym_end,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    ACTIONS(550), 1,
      anon_sym_AT,
    ACTIONS(552), 1,
      sym_comment,
    STATE(522), 1,
      aux_sym_type_annotation_repeat1,
    STATE(825), 1,
      sym_at_comment,
  [9905] = 9,
    ACTIONS(369), 1,
      ts_builtin_sym_end,
    ACTIONS(534), 1,
      anon_sym_COMMA,
    ACTIONS(536), 1,
      anon_sym_QMARK,
    ACTIONS(538), 1,
      anon_sym_PIPE,
    ACTIONS(540), 1,
      anon_sym_DOT,
    ACTIONS(542), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_POUND,
    STATE(206), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(371), 3,
      anon_sym_COLON,
      anon_sym_AT,
      sym_comment,
  [9935] = 4,
    ACTIONS(534), 1,
      anon_sym_COMMA,
    STATE(204), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(369), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(371), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [9955] = 4,
    ACTIONS(554), 1,
      anon_sym_COMMA,
    STATE(204), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(430), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(432), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [9975] = 3,
    ACTIONS(557), 1,
      anon_sym_LT,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [9993] = 4,
    ACTIONS(534), 1,
      anon_sym_COMMA,
    STATE(204), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(377), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(379), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10013] = 9,
    ACTIONS(373), 1,
      ts_builtin_sym_end,
    ACTIONS(534), 1,
      anon_sym_COMMA,
    ACTIONS(536), 1,
      anon_sym_QMARK,
    ACTIONS(538), 1,
      anon_sym_PIPE,
    ACTIONS(540), 1,
      anon_sym_DOT,
    ACTIONS(542), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_POUND,
    STATE(210), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(375), 3,
      anon_sym_COLON,
      anon_sym_AT,
      sym_comment,
  [10043] = 9,
    ACTIONS(377), 1,
      ts_builtin_sym_end,
    ACTIONS(534), 1,
      anon_sym_COMMA,
    ACTIONS(536), 1,
      anon_sym_QMARK,
    ACTIONS(538), 1,
      anon_sym_PIPE,
    ACTIONS(540), 1,
      anon_sym_DOT,
    ACTIONS(542), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_POUND,
    STATE(211), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(379), 3,
      anon_sym_COLON,
      anon_sym_AT,
      sym_comment,
  [10073] = 9,
    ACTIONS(381), 1,
      ts_builtin_sym_end,
    ACTIONS(534), 1,
      anon_sym_COMMA,
    ACTIONS(536), 1,
      anon_sym_QMARK,
    ACTIONS(538), 1,
      anon_sym_PIPE,
    ACTIONS(540), 1,
      anon_sym_DOT,
    ACTIONS(542), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_POUND,
    STATE(212), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(383), 3,
      anon_sym_COLON,
      anon_sym_AT,
      sym_comment,
  [10103] = 4,
    ACTIONS(534), 1,
      anon_sym_COMMA,
    STATE(204), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(411), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(413), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10123] = 4,
    ACTIONS(534), 1,
      anon_sym_COMMA,
    STATE(204), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(415), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(417), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10143] = 4,
    ACTIONS(534), 1,
      anon_sym_COMMA,
    STATE(204), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(419), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(421), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10163] = 9,
    ACTIONS(385), 1,
      ts_builtin_sym_end,
    ACTIONS(534), 1,
      anon_sym_COMMA,
    ACTIONS(536), 1,
      anon_sym_QMARK,
    ACTIONS(538), 1,
      anon_sym_PIPE,
    ACTIONS(540), 1,
      anon_sym_DOT,
    ACTIONS(542), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_POUND,
    STATE(215), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(387), 3,
      anon_sym_COLON,
      anon_sym_AT,
      sym_comment,
  [10193] = 11,
    ACTIONS(518), 1,
      anon_sym_COMMA,
    ACTIONS(520), 1,
      anon_sym_QMARK,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    ACTIONS(524), 1,
      anon_sym_DOT,
    ACTIONS(526), 1,
      anon_sym_AT,
    ACTIONS(530), 1,
      anon_sym_LBRACK,
    ACTIONS(532), 1,
      anon_sym_POUND,
    ACTIONS(559), 1,
      ts_builtin_sym_end,
    ACTIONS(561), 1,
      sym_comment,
    STATE(515), 1,
      aux_sym_class_annotation_repeat1,
    STATE(847), 1,
      sym_class_at_comment,
  [10227] = 4,
    ACTIONS(534), 1,
      anon_sym_COMMA,
    STATE(204), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(423), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(425), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10247] = 2,
    ACTIONS(494), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(496), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10262] = 2,
    ACTIONS(438), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(440), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10277] = 2,
    ACTIONS(442), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(444), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10292] = 2,
    ACTIONS(446), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(448), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10307] = 2,
    ACTIONS(450), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(452), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10322] = 2,
    ACTIONS(454), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(456), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10337] = 2,
    ACTIONS(462), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(464), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10352] = 2,
    ACTIONS(466), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(468), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10367] = 2,
    ACTIONS(474), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(476), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10382] = 2,
    ACTIONS(478), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(480), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10397] = 2,
    ACTIONS(486), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(488), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10412] = 3,
    ACTIONS(563), 1,
      anon_sym_LT,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10429] = 4,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    STATE(234), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(423), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(425), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10448] = 3,
    ACTIONS(565), 1,
      anon_sym_COLON,
    ACTIONS(399), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(401), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10465] = 3,
    ACTIONS(567), 1,
      anon_sym_COLON,
    ACTIONS(405), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(407), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10482] = 3,
    ACTIONS(569), 1,
      anon_sym_COLON,
    ACTIONS(363), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(367), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10499] = 10,
    ACTIONS(526), 1,
      anon_sym_AT,
    ACTIONS(571), 1,
      ts_builtin_sym_end,
    ACTIONS(573), 1,
      anon_sym_COLON,
    ACTIONS(575), 1,
      anon_sym_QMARK,
    ACTIONS(577), 1,
      anon_sym_PIPE,
    ACTIONS(579), 1,
      anon_sym_DOT,
    ACTIONS(581), 1,
      sym_comment,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(585), 1,
      anon_sym_POUND,
    STATE(712), 1,
      sym_class_at_comment,
  [10530] = 3,
    ACTIONS(587), 1,
      anon_sym_COLON,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10547] = 4,
    ACTIONS(589), 1,
      anon_sym_COMMA,
    STATE(234), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(430), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(432), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10566] = 4,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    STATE(234), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(411), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(413), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10585] = 3,
    ACTIONS(592), 1,
      anon_sym_LPAREN,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10602] = 3,
    ACTIONS(594), 1,
      anon_sym_COLON,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10619] = 4,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    STATE(234), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(415), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(417), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10638] = 4,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    STATE(234), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(419), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(421), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10657] = 9,
    ACTIONS(381), 1,
      ts_builtin_sym_end,
    ACTIONS(520), 1,
      anon_sym_QMARK,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    ACTIONS(524), 1,
      anon_sym_DOT,
    ACTIONS(530), 1,
      anon_sym_LBRACK,
    ACTIONS(532), 1,
      anon_sym_POUND,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    STATE(239), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(383), 2,
      anon_sym_AT,
      sym_comment,
  [10686] = 2,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10701] = 2,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10716] = 2,
    ACTIONS(458), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(460), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10731] = 3,
    ACTIONS(596), 1,
      anon_sym_COLON,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10748] = 2,
    ACTIONS(470), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(472), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10763] = 2,
    ACTIONS(482), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(484), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10778] = 3,
    ACTIONS(598), 1,
      anon_sym_COLON,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10795] = 2,
    ACTIONS(490), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(492), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10810] = 3,
    ACTIONS(600), 1,
      anon_sym_COLON,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10827] = 3,
    ACTIONS(602), 1,
      anon_sym_COLON,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10844] = 9,
    ACTIONS(377), 1,
      ts_builtin_sym_end,
    ACTIONS(520), 1,
      anon_sym_QMARK,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    ACTIONS(524), 1,
      anon_sym_DOT,
    ACTIONS(530), 1,
      anon_sym_LBRACK,
    ACTIONS(532), 1,
      anon_sym_POUND,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    STATE(238), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(379), 2,
      anon_sym_AT,
      sym_comment,
  [10873] = 7,
    ACTIONS(498), 1,
      ts_builtin_sym_end,
    ACTIONS(536), 1,
      anon_sym_QMARK,
    ACTIONS(538), 1,
      anon_sym_PIPE,
    ACTIONS(540), 1,
      anon_sym_DOT,
    ACTIONS(542), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_POUND,
    ACTIONS(500), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_comment,
  [10898] = 2,
    ACTIONS(502), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(504), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10913] = 2,
    ACTIONS(506), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(508), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10928] = 2,
    ACTIONS(510), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(512), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10943] = 3,
    ACTIONS(604), 1,
      anon_sym_LT,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10960] = 3,
    ACTIONS(606), 1,
      anon_sym_LPAREN,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10977] = 3,
    ACTIONS(608), 1,
      anon_sym_COLON,
    ACTIONS(399), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(401), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [10994] = 7,
    ACTIONS(430), 1,
      ts_builtin_sym_end,
    ACTIONS(536), 1,
      anon_sym_QMARK,
    ACTIONS(538), 1,
      anon_sym_PIPE,
    ACTIONS(540), 1,
      anon_sym_DOT,
    ACTIONS(542), 1,
      anon_sym_LBRACK,
    ACTIONS(544), 1,
      anon_sym_POUND,
    ACTIONS(432), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_comment,
  [11019] = 2,
    ACTIONS(434), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(436), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11034] = 3,
    ACTIONS(610), 1,
      anon_sym_COLON,
    ACTIONS(405), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(407), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11051] = 9,
    ACTIONS(363), 1,
      ts_builtin_sym_end,
    ACTIONS(520), 1,
      anon_sym_QMARK,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    ACTIONS(524), 1,
      anon_sym_DOT,
    ACTIONS(530), 1,
      anon_sym_LBRACK,
    ACTIONS(532), 1,
      anon_sym_POUND,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    STATE(265), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(367), 2,
      anon_sym_AT,
      sym_comment,
  [11080] = 3,
    ACTIONS(612), 1,
      anon_sym_COLON,
    ACTIONS(363), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(367), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11097] = 9,
    ACTIONS(369), 1,
      ts_builtin_sym_end,
    ACTIONS(520), 1,
      anon_sym_QMARK,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    ACTIONS(524), 1,
      anon_sym_DOT,
    ACTIONS(530), 1,
      anon_sym_LBRACK,
    ACTIONS(532), 1,
      anon_sym_POUND,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    STATE(266), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(371), 2,
      anon_sym_AT,
      sym_comment,
  [11126] = 4,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    STATE(234), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(369), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(371), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11145] = 4,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    STATE(234), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(377), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(379), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11164] = 9,
    ACTIONS(373), 1,
      ts_builtin_sym_end,
    ACTIONS(520), 1,
      anon_sym_QMARK,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    ACTIONS(524), 1,
      anon_sym_DOT,
    ACTIONS(530), 1,
      anon_sym_LBRACK,
    ACTIONS(532), 1,
      anon_sym_POUND,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    STATE(235), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(375), 2,
      anon_sym_AT,
      sym_comment,
  [11193] = 10,
    ACTIONS(526), 1,
      anon_sym_AT,
    ACTIONS(575), 1,
      anon_sym_QMARK,
    ACTIONS(577), 1,
      anon_sym_PIPE,
    ACTIONS(579), 1,
      anon_sym_DOT,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(585), 1,
      anon_sym_POUND,
    ACTIONS(614), 1,
      ts_builtin_sym_end,
    ACTIONS(616), 1,
      anon_sym_COLON,
    ACTIONS(618), 1,
      sym_comment,
    STATE(783), 1,
      sym_class_at_comment,
  [11224] = 9,
    ACTIONS(385), 1,
      ts_builtin_sym_end,
    ACTIONS(520), 1,
      anon_sym_QMARK,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    ACTIONS(524), 1,
      anon_sym_DOT,
    ACTIONS(530), 1,
      anon_sym_LBRACK,
    ACTIONS(532), 1,
      anon_sym_POUND,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    STATE(228), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(387), 2,
      anon_sym_AT,
      sym_comment,
  [11253] = 3,
    ACTIONS(620), 1,
      anon_sym_COLON,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [11269] = 9,
    ACTIONS(373), 1,
      ts_builtin_sym_end,
    ACTIONS(375), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    STATE(548), 1,
      aux_sym_type_annotation_repeat1,
  [11297] = 9,
    ACTIONS(377), 1,
      ts_builtin_sym_end,
    ACTIONS(379), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    STATE(540), 1,
      aux_sym_type_annotation_repeat1,
  [11325] = 9,
    ACTIONS(381), 1,
      ts_builtin_sym_end,
    ACTIONS(383), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    STATE(547), 1,
      aux_sym_type_annotation_repeat1,
  [11353] = 9,
    ACTIONS(385), 1,
      ts_builtin_sym_end,
    ACTIONS(387), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    STATE(538), 1,
      aux_sym_type_annotation_repeat1,
  [11381] = 9,
    ACTIONS(550), 1,
      anon_sym_AT,
    ACTIONS(634), 1,
      ts_builtin_sym_end,
    ACTIONS(636), 1,
      anon_sym_QMARK,
    ACTIONS(638), 1,
      anon_sym_PIPE,
    ACTIONS(640), 1,
      anon_sym_DOT,
    ACTIONS(642), 1,
      sym_comment,
    ACTIONS(644), 1,
      anon_sym_LBRACK,
    ACTIONS(646), 1,
      anon_sym_POUND,
    STATE(871), 1,
      sym_at_comment,
  [11409] = 2,
    ACTIONS(478), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(480), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11423] = 2,
    ACTIONS(474), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(476), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11437] = 7,
    ACTIONS(498), 1,
      ts_builtin_sym_end,
    ACTIONS(575), 1,
      anon_sym_QMARK,
    ACTIONS(577), 1,
      anon_sym_PIPE,
    ACTIONS(579), 1,
      anon_sym_DOT,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(585), 1,
      anon_sym_POUND,
    ACTIONS(500), 3,
      anon_sym_COLON,
      anon_sym_AT,
      sym_comment,
  [11461] = 3,
    ACTIONS(569), 1,
      anon_sym_COLON,
    ACTIONS(363), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(367), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11477] = 2,
    ACTIONS(502), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(504), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11491] = 2,
    ACTIONS(442), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(444), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11505] = 2,
    ACTIONS(506), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(508), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11519] = 9,
    ACTIONS(363), 1,
      ts_builtin_sym_end,
    ACTIONS(367), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    STATE(291), 1,
      aux_sym_type_annotation_repeat1,
  [11547] = 2,
    ACTIONS(486), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(488), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11561] = 2,
    ACTIONS(446), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(448), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11575] = 2,
    ACTIONS(450), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(452), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11589] = 2,
    ACTIONS(454), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(456), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11603] = 9,
    ACTIONS(550), 1,
      anon_sym_AT,
    ACTIONS(636), 1,
      anon_sym_QMARK,
    ACTIONS(638), 1,
      anon_sym_PIPE,
    ACTIONS(640), 1,
      anon_sym_DOT,
    ACTIONS(644), 1,
      anon_sym_LBRACK,
    ACTIONS(646), 1,
      anon_sym_POUND,
    ACTIONS(648), 1,
      ts_builtin_sym_end,
    ACTIONS(650), 1,
      sym_comment,
    STATE(866), 1,
      sym_at_comment,
  [11631] = 9,
    ACTIONS(369), 1,
      ts_builtin_sym_end,
    ACTIONS(371), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    STATE(293), 1,
      aux_sym_type_annotation_repeat1,
  [11659] = 7,
    ACTIONS(430), 1,
      ts_builtin_sym_end,
    ACTIONS(520), 1,
      anon_sym_QMARK,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    ACTIONS(524), 1,
      anon_sym_DOT,
    ACTIONS(530), 1,
      anon_sym_LBRACK,
    ACTIONS(532), 1,
      anon_sym_POUND,
    ACTIONS(432), 3,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_comment,
  [11683] = 4,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    STATE(360), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(369), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(371), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [11701] = 9,
    ACTIONS(550), 1,
      anon_sym_AT,
    ACTIONS(636), 1,
      anon_sym_QMARK,
    ACTIONS(638), 1,
      anon_sym_PIPE,
    ACTIONS(640), 1,
      anon_sym_DOT,
    ACTIONS(644), 1,
      anon_sym_LBRACK,
    ACTIONS(646), 1,
      anon_sym_POUND,
    ACTIONS(652), 1,
      ts_builtin_sym_end,
    ACTIONS(654), 1,
      sym_comment,
    STATE(706), 1,
      sym_at_comment,
  [11729] = 4,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    STATE(360), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(377), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(379), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [11747] = 2,
    ACTIONS(462), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(464), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11761] = 9,
    ACTIONS(373), 1,
      ts_builtin_sym_end,
    ACTIONS(375), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    STATE(308), 1,
      aux_sym_type_annotation_repeat1,
  [11789] = 2,
    ACTIONS(466), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(468), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11803] = 9,
    ACTIONS(550), 1,
      anon_sym_AT,
    ACTIONS(636), 1,
      anon_sym_QMARK,
    ACTIONS(638), 1,
      anon_sym_PIPE,
    ACTIONS(640), 1,
      anon_sym_DOT,
    ACTIONS(644), 1,
      anon_sym_LBRACK,
    ACTIONS(646), 1,
      anon_sym_POUND,
    ACTIONS(656), 1,
      ts_builtin_sym_end,
    ACTIONS(658), 1,
      sym_comment,
    STATE(707), 1,
      sym_at_comment,
  [11831] = 3,
    ACTIONS(660), 1,
      anon_sym_LT,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11847] = 9,
    ACTIONS(550), 1,
      anon_sym_AT,
    ACTIONS(636), 1,
      anon_sym_QMARK,
    ACTIONS(638), 1,
      anon_sym_PIPE,
    ACTIONS(640), 1,
      anon_sym_DOT,
    ACTIONS(644), 1,
      anon_sym_LBRACK,
    ACTIONS(646), 1,
      anon_sym_POUND,
    ACTIONS(662), 1,
      ts_builtin_sym_end,
    ACTIONS(664), 1,
      sym_comment,
    STATE(782), 1,
      sym_at_comment,
  [11875] = 9,
    ACTIONS(377), 1,
      ts_builtin_sym_end,
    ACTIONS(379), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    STATE(309), 1,
      aux_sym_type_annotation_repeat1,
  [11903] = 9,
    ACTIONS(381), 1,
      ts_builtin_sym_end,
    ACTIONS(383), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    STATE(311), 1,
      aux_sym_type_annotation_repeat1,
  [11931] = 2,
    ACTIONS(482), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(484), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11945] = 2,
    ACTIONS(474), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(476), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11959] = 3,
    ACTIONS(608), 1,
      anon_sym_COLON,
    ACTIONS(399), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(401), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11975] = 2,
    ACTIONS(478), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(480), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [11989] = 9,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    ACTIONS(666), 1,
      ts_builtin_sym_end,
    ACTIONS(668), 1,
      anon_sym_COMMA,
    ACTIONS(670), 1,
      sym_comment,
    STATE(539), 1,
      aux_sym_cast_annotation_repeat1,
  [12017] = 3,
    ACTIONS(610), 1,
      anon_sym_COLON,
    ACTIONS(405), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(407), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12033] = 4,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    STATE(360), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(411), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(413), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12051] = 4,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    STATE(360), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(415), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(417), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12069] = 3,
    ACTIONS(612), 1,
      anon_sym_COLON,
    ACTIONS(363), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(367), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12085] = 4,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    STATE(360), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(419), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(421), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12103] = 9,
    ACTIONS(385), 1,
      ts_builtin_sym_end,
    ACTIONS(387), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    STATE(313), 1,
      aux_sym_type_annotation_repeat1,
  [12131] = 4,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    STATE(360), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(423), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(425), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12149] = 3,
    ACTIONS(672), 1,
      anon_sym_COLON,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12165] = 3,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12181] = 3,
    ACTIONS(676), 1,
      anon_sym_COLON,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12197] = 9,
    ACTIONS(550), 1,
      anon_sym_AT,
    ACTIONS(636), 1,
      anon_sym_QMARK,
    ACTIONS(638), 1,
      anon_sym_PIPE,
    ACTIONS(640), 1,
      anon_sym_DOT,
    ACTIONS(644), 1,
      anon_sym_LBRACK,
    ACTIONS(646), 1,
      anon_sym_POUND,
    ACTIONS(678), 1,
      ts_builtin_sym_end,
    ACTIONS(680), 1,
      sym_comment,
    STATE(867), 1,
      sym_at_comment,
  [12225] = 9,
    ACTIONS(369), 1,
      ts_builtin_sym_end,
    ACTIONS(371), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    STATE(542), 1,
      aux_sym_type_annotation_repeat1,
  [12253] = 2,
    ACTIONS(486), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(488), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12267] = 9,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    ACTIONS(668), 1,
      anon_sym_COMMA,
    ACTIONS(682), 1,
      ts_builtin_sym_end,
    ACTIONS(684), 1,
      sym_comment,
    STATE(544), 1,
      aux_sym_cast_annotation_repeat1,
  [12295] = 3,
    ACTIONS(686), 1,
      anon_sym_LT,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12311] = 3,
    ACTIONS(688), 1,
      anon_sym_LPAREN,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12327] = 3,
    ACTIONS(567), 1,
      anon_sym_COLON,
    ACTIONS(405), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(407), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12343] = 2,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12357] = 2,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12371] = 3,
    ACTIONS(565), 1,
      anon_sym_COLON,
    ACTIONS(399), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(401), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12387] = 2,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12401] = 2,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12415] = 2,
    ACTIONS(458), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(460), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12429] = 2,
    ACTIONS(470), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(472), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12443] = 2,
    ACTIONS(470), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(472), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12457] = 2,
    ACTIONS(482), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(484), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12471] = 9,
    ACTIONS(550), 1,
      anon_sym_AT,
    ACTIONS(636), 1,
      anon_sym_QMARK,
    ACTIONS(638), 1,
      anon_sym_PIPE,
    ACTIONS(640), 1,
      anon_sym_DOT,
    ACTIONS(644), 1,
      anon_sym_LBRACK,
    ACTIONS(646), 1,
      anon_sym_POUND,
    ACTIONS(690), 1,
      ts_builtin_sym_end,
    ACTIONS(692), 1,
      sym_comment,
    STATE(754), 1,
      sym_at_comment,
  [12499] = 9,
    ACTIONS(550), 1,
      anon_sym_AT,
    ACTIONS(636), 1,
      anon_sym_QMARK,
    ACTIONS(638), 1,
      anon_sym_PIPE,
    ACTIONS(640), 1,
      anon_sym_DOT,
    ACTIONS(644), 1,
      anon_sym_LBRACK,
    ACTIONS(646), 1,
      anon_sym_POUND,
    ACTIONS(694), 1,
      ts_builtin_sym_end,
    ACTIONS(696), 1,
      sym_comment,
    STATE(872), 1,
      sym_at_comment,
  [12527] = 2,
    ACTIONS(490), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(492), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12541] = 2,
    ACTIONS(494), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(496), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12555] = 7,
    ACTIONS(498), 1,
      ts_builtin_sym_end,
    ACTIONS(520), 1,
      anon_sym_QMARK,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    ACTIONS(524), 1,
      anon_sym_DOT,
    ACTIONS(530), 1,
      anon_sym_LBRACK,
    ACTIONS(532), 1,
      anon_sym_POUND,
    ACTIONS(500), 3,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_comment,
  [12579] = 2,
    ACTIONS(502), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(504), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12593] = 2,
    ACTIONS(506), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(508), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12607] = 2,
    ACTIONS(490), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(492), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12621] = 3,
    ACTIONS(698), 1,
      anon_sym_COLON,
    ACTIONS(399), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(401), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12637] = 2,
    ACTIONS(510), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(512), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12651] = 2,
    ACTIONS(434), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(436), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12665] = 2,
    ACTIONS(434), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(436), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12679] = 2,
    ACTIONS(438), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(440), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12693] = 3,
    ACTIONS(700), 1,
      anon_sym_COLON,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12709] = 2,
    ACTIONS(494), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(496), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12723] = 2,
    ACTIONS(438), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(440), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12737] = 7,
    ACTIONS(520), 1,
      anon_sym_QMARK,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    ACTIONS(524), 1,
      anon_sym_DOT,
    ACTIONS(530), 1,
      anon_sym_LBRACK,
    ACTIONS(532), 1,
      anon_sym_POUND,
    ACTIONS(702), 1,
      ts_builtin_sym_end,
    ACTIONS(704), 3,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_comment,
  [12761] = 2,
    ACTIONS(442), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(444), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12775] = 2,
    ACTIONS(446), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(448), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12789] = 2,
    ACTIONS(450), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(452), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12803] = 2,
    ACTIONS(454), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(456), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12817] = 3,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12833] = 3,
    ACTIONS(708), 1,
      anon_sym_LPAREN,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12849] = 3,
    ACTIONS(710), 1,
      anon_sym_COLON,
    ACTIONS(405), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(407), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12865] = 2,
    ACTIONS(462), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(464), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12879] = 2,
    ACTIONS(466), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(468), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12893] = 3,
    ACTIONS(712), 1,
      anon_sym_COLON,
    ACTIONS(363), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(367), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12909] = 4,
    ACTIONS(714), 1,
      anon_sym_COMMA,
    STATE(360), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(430), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(432), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [12927] = 9,
    ACTIONS(363), 1,
      ts_builtin_sym_end,
    ACTIONS(367), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    STATE(546), 1,
      aux_sym_type_annotation_repeat1,
  [12955] = 2,
    ACTIONS(458), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(460), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [12969] = 5,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      sym_identifier,
    STATE(536), 1,
      sym_qualifier,
    STATE(12), 2,
      sym_positional_field,
      sym_indexed_field,
    ACTIONS(717), 4,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_package,
  [12989] = 2,
    ACTIONS(510), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(512), 7,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13003] = 2,
    ACTIONS(482), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(484), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13016] = 2,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13029] = 2,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13042] = 2,
    ACTIONS(458), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(460), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13055] = 2,
    ACTIONS(470), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(472), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13068] = 2,
    ACTIONS(482), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(484), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13081] = 3,
    ACTIONS(698), 1,
      anon_sym_COLON,
    ACTIONS(399), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(401), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13096] = 2,
    ACTIONS(490), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(492), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13109] = 8,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    ACTIONS(723), 1,
      ts_builtin_sym_end,
    ACTIONS(725), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      sym_comment,
  [13134] = 7,
    ACTIONS(498), 1,
      ts_builtin_sym_end,
    ACTIONS(636), 1,
      anon_sym_QMARK,
    ACTIONS(638), 1,
      anon_sym_PIPE,
    ACTIONS(640), 1,
      anon_sym_DOT,
    ACTIONS(644), 1,
      anon_sym_LBRACK,
    ACTIONS(646), 1,
      anon_sym_POUND,
    ACTIONS(500), 2,
      anon_sym_AT,
      sym_comment,
  [13157] = 2,
    ACTIONS(502), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(504), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13170] = 2,
    ACTIONS(506), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(508), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13183] = 7,
    ACTIONS(430), 1,
      ts_builtin_sym_end,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    ACTIONS(432), 2,
      anon_sym_COMMA,
      sym_comment,
  [13206] = 2,
    ACTIONS(510), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(512), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13219] = 3,
    ACTIONS(710), 1,
      anon_sym_COLON,
    ACTIONS(405), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(407), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13234] = 2,
    ACTIONS(434), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(436), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13247] = 2,
    ACTIONS(438), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(440), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13260] = 3,
    ACTIONS(712), 1,
      anon_sym_COLON,
    ACTIONS(363), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(367), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13275] = 2,
    ACTIONS(442), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(444), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13288] = 2,
    ACTIONS(446), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(448), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13301] = 2,
    ACTIONS(450), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(452), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13314] = 2,
    ACTIONS(454), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(456), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13327] = 2,
    ACTIONS(462), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(464), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13340] = 2,
    ACTIONS(466), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(468), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13353] = 2,
    ACTIONS(474), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(476), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13366] = 2,
    ACTIONS(478), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(480), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13379] = 2,
    ACTIONS(486), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(488), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [13392] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(731), 1,
      anon_sym_RPAREN,
    STATE(575), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [13415] = 3,
    ACTIONS(733), 1,
      anon_sym_LT,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13430] = 3,
    ACTIONS(735), 1,
      anon_sym_LPAREN,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13445] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(739), 1,
      anon_sym_RBRACE,
    STATE(586), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [13468] = 7,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    ACTIONS(741), 1,
      ts_builtin_sym_end,
    ACTIONS(743), 2,
      anon_sym_COMMA,
      sym_comment,
  [13491] = 2,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13504] = 2,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13517] = 2,
    ACTIONS(458), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(460), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13530] = 2,
    ACTIONS(470), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(472), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13543] = 2,
    ACTIONS(490), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(492), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13556] = 2,
    ACTIONS(494), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(496), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13569] = 7,
    ACTIONS(498), 1,
      ts_builtin_sym_end,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    ACTIONS(500), 2,
      anon_sym_COMMA,
      sym_comment,
  [13592] = 2,
    ACTIONS(502), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(504), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13605] = 2,
    ACTIONS(506), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(508), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13618] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(745), 1,
      anon_sym_RBRACE,
    STATE(564), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [13641] = 2,
    ACTIONS(510), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(512), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13654] = 2,
    ACTIONS(434), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(436), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13667] = 2,
    ACTIONS(438), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(440), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13680] = 2,
    ACTIONS(442), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(444), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13693] = 2,
    ACTIONS(446), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(448), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13706] = 2,
    ACTIONS(450), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(452), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13719] = 2,
    ACTIONS(454), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(456), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13732] = 2,
    ACTIONS(462), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(464), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13745] = 2,
    ACTIONS(466), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(468), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13758] = 2,
    ACTIONS(474), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(476), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13771] = 2,
    ACTIONS(478), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(480), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13784] = 2,
    ACTIONS(486), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(488), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [13797] = 7,
    ACTIONS(624), 1,
      anon_sym_QMARK,
    ACTIONS(626), 1,
      anon_sym_PIPE,
    ACTIONS(628), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(632), 1,
      anon_sym_POUND,
    ACTIONS(747), 1,
      ts_builtin_sym_end,
    ACTIONS(749), 2,
      anon_sym_COMMA,
      sym_comment,
  [13820] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(751), 1,
      anon_sym_RBRACE,
    STATE(577), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [13843] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(753), 1,
      anon_sym_RPAREN,
    STATE(554), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [13866] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(755), 1,
      anon_sym_RPAREN,
    STATE(556), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [13889] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(757), 1,
      anon_sym_RBRACE,
    STATE(557), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [13912] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(759), 1,
      anon_sym_RBRACE,
    STATE(559), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [13935] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(761), 1,
      anon_sym_RBRACE,
    STATE(561), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [13958] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(763), 1,
      anon_sym_RBRACE,
    STATE(563), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [13981] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(765), 1,
      anon_sym_RPAREN,
    STATE(570), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14004] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(767), 1,
      anon_sym_RPAREN,
    STATE(572), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14027] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(769), 1,
      anon_sym_RBRACE,
    STATE(573), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14050] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    STATE(574), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14073] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(773), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14096] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(775), 1,
      anon_sym_RBRACE,
    STATE(578), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14119] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(777), 1,
      anon_sym_RBRACE,
    STATE(606), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14142] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(779), 1,
      anon_sym_RPAREN,
    STATE(582), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14165] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(781), 1,
      anon_sym_RPAREN,
    STATE(584), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14188] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(783), 1,
      anon_sym_RBRACE,
    STATE(585), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14211] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(785), 1,
      anon_sym_RBRACE,
    STATE(551), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14234] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(787), 1,
      anon_sym_RBRACE,
    STATE(588), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14257] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(789), 1,
      anon_sym_RBRACE,
    STATE(589), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14280] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(791), 1,
      anon_sym_RPAREN,
    STATE(595), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14303] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(793), 1,
      anon_sym_RPAREN,
    STATE(597), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14326] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(795), 1,
      anon_sym_RBRACE,
    STATE(598), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14349] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(797), 1,
      anon_sym_RBRACE,
    STATE(601), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14372] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(799), 1,
      anon_sym_RBRACE,
    STATE(602), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14395] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(801), 1,
      anon_sym_RBRACE,
    STATE(604), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14418] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(803), 1,
      anon_sym_RPAREN,
    STATE(609), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14441] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(805), 1,
      anon_sym_RPAREN,
    STATE(611), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14464] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(807), 1,
      anon_sym_RBRACE,
    STATE(612), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14487] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    STATE(613), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14510] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(811), 1,
      anon_sym_RBRACE,
    STATE(614), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14533] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(813), 1,
      anon_sym_RBRACE,
    STATE(615), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14556] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(815), 1,
      anon_sym_RPAREN,
    STATE(620), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14579] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(817), 1,
      anon_sym_RPAREN,
    STATE(622), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14602] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(819), 1,
      anon_sym_RBRACE,
    STATE(623), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14625] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(821), 1,
      anon_sym_RBRACE,
    STATE(624), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14648] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_RBRACE,
    STATE(625), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14671] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(825), 1,
      anon_sym_RBRACE,
    STATE(627), 1,
      aux_sym_table_literal_type_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14694] = 3,
    ACTIONS(827), 1,
      anon_sym_COLON,
    ACTIONS(829), 1,
      anon_sym_QMARK,
    ACTIONS(347), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_POUND,
  [14709] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(831), 1,
      anon_sym_RPAREN,
    STATE(641), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14732] = 7,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(833), 1,
      anon_sym_RPAREN,
    STATE(639), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14755] = 2,
    ACTIONS(494), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(496), 6,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_AT,
      sym_comment,
      anon_sym_LBRACK,
  [14768] = 2,
    ACTIONS(470), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(472), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [14780] = 2,
    ACTIONS(462), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(464), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [14792] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RPAREN,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14812] = 2,
    ACTIONS(466), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(468), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [14824] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(839), 1,
      anon_sym_COMMA,
    ACTIONS(841), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14844] = 2,
    ACTIONS(474), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(476), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [14856] = 2,
    ACTIONS(478), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(480), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [14868] = 2,
    ACTIONS(486), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(488), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [14880] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(843), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14898] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(845), 1,
      anon_sym_COMMA,
    ACTIONS(847), 1,
      anon_sym_RPAREN,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14918] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(849), 1,
      anon_sym_COMMA,
    ACTIONS(851), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [14938] = 7,
    ACTIONS(853), 1,
      ts_builtin_sym_end,
    ACTIONS(855), 1,
      anon_sym_QMARK,
    ACTIONS(857), 1,
      anon_sym_PIPE,
    ACTIONS(859), 1,
      anon_sym_DOT,
    ACTIONS(861), 1,
      sym_comment,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(865), 1,
      anon_sym_POUND,
  [14960] = 7,
    ACTIONS(855), 1,
      anon_sym_QMARK,
    ACTIONS(857), 1,
      anon_sym_PIPE,
    ACTIONS(859), 1,
      anon_sym_DOT,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(865), 1,
      anon_sym_POUND,
    ACTIONS(867), 1,
      ts_builtin_sym_end,
    ACTIONS(869), 1,
      sym_comment,
  [14982] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(871), 1,
      anon_sym_COMMA,
    ACTIONS(873), 1,
      anon_sym_RPAREN,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15002] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_COMMA,
    ACTIONS(877), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15022] = 7,
    ACTIONS(855), 1,
      anon_sym_QMARK,
    ACTIONS(857), 1,
      anon_sym_PIPE,
    ACTIONS(859), 1,
      anon_sym_DOT,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(865), 1,
      anon_sym_POUND,
    ACTIONS(879), 1,
      ts_builtin_sym_end,
    ACTIONS(881), 1,
      sym_comment,
  [15044] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_COMMA,
    ACTIONS(885), 1,
      anon_sym_RPAREN,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15064] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_COMMA,
    ACTIONS(889), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15084] = 2,
    ACTIONS(389), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(393), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15096] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(891), 1,
      anon_sym_COMMA,
    ACTIONS(893), 1,
      anon_sym_RPAREN,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15116] = 2,
    ACTIONS(347), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(349), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15128] = 2,
    ACTIONS(458), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(460), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15140] = 7,
    ACTIONS(855), 1,
      anon_sym_QMARK,
    ACTIONS(857), 1,
      anon_sym_PIPE,
    ACTIONS(859), 1,
      anon_sym_DOT,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(865), 1,
      anon_sym_POUND,
    ACTIONS(895), 1,
      ts_builtin_sym_end,
    ACTIONS(897), 1,
      sym_comment,
  [15162] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(702), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15180] = 7,
    ACTIONS(855), 1,
      anon_sym_QMARK,
    ACTIONS(857), 1,
      anon_sym_PIPE,
    ACTIONS(859), 1,
      anon_sym_DOT,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(865), 1,
      anon_sym_POUND,
    ACTIONS(899), 1,
      ts_builtin_sym_end,
    ACTIONS(901), 1,
      sym_comment,
  [15202] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(903), 1,
      anon_sym_COMMA,
    ACTIONS(905), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15222] = 2,
    ACTIONS(482), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(484), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15234] = 2,
    ACTIONS(490), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(492), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15246] = 2,
    ACTIONS(494), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(496), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15258] = 7,
    ACTIONS(498), 1,
      ts_builtin_sym_end,
    ACTIONS(500), 1,
      sym_comment,
    ACTIONS(855), 1,
      anon_sym_QMARK,
    ACTIONS(857), 1,
      anon_sym_PIPE,
    ACTIONS(859), 1,
      anon_sym_DOT,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(865), 1,
      anon_sym_POUND,
  [15280] = 2,
    ACTIONS(502), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(504), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15292] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(907), 1,
      anon_sym_COMMA,
    ACTIONS(909), 1,
      anon_sym_RPAREN,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15312] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(911), 1,
      anon_sym_COMMA,
    ACTIONS(913), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15332] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(915), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15350] = 2,
    ACTIONS(506), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(508), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15362] = 2,
    ACTIONS(510), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(512), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15374] = 2,
    ACTIONS(434), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(436), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15386] = 2,
    ACTIONS(438), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(440), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15398] = 2,
    ACTIONS(442), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(444), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15410] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(917), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15428] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(919), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15446] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15464] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(923), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15482] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_COMMA,
    ACTIONS(927), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15502] = 2,
    ACTIONS(446), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(448), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15514] = 2,
    ACTIONS(450), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(452), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15526] = 7,
    ACTIONS(855), 1,
      anon_sym_QMARK,
    ACTIONS(857), 1,
      anon_sym_PIPE,
    ACTIONS(859), 1,
      anon_sym_DOT,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(865), 1,
      anon_sym_POUND,
    ACTIONS(929), 1,
      ts_builtin_sym_end,
    ACTIONS(931), 1,
      sym_comment,
  [15548] = 2,
    ACTIONS(454), 2,
      ts_builtin_sym_end,
      anon_sym_POUND,
    ACTIONS(456), 5,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DOT,
      sym_comment,
      anon_sym_LBRACK,
  [15560] = 6,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(933), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_RPAREN,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15580] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(937), 1,
      anon_sym_RBRACK2,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15597] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(939), 1,
      anon_sym_RBRACK2,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15614] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(941), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15631] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(943), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15648] = 6,
    ACTIONS(518), 1,
      anon_sym_COMMA,
    ACTIONS(526), 1,
      anon_sym_AT,
    ACTIONS(945), 1,
      ts_builtin_sym_end,
    ACTIONS(947), 1,
      sym_comment,
    STATE(535), 1,
      aux_sym_class_annotation_repeat1,
    STATE(808), 1,
      sym_class_at_comment,
  [15667] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(949), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15684] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(951), 1,
      anon_sym_RPAREN,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15701] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15718] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(955), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15735] = 6,
    ACTIONS(518), 1,
      anon_sym_COMMA,
    ACTIONS(526), 1,
      anon_sym_AT,
    ACTIONS(559), 1,
      ts_builtin_sym_end,
    ACTIONS(561), 1,
      sym_comment,
    STATE(535), 1,
      aux_sym_class_annotation_repeat1,
    STATE(847), 1,
      sym_class_at_comment,
  [15754] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(957), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15771] = 6,
    ACTIONS(548), 1,
      anon_sym_COMMA,
    ACTIONS(550), 1,
      anon_sym_AT,
    ACTIONS(959), 1,
      ts_builtin_sym_end,
    ACTIONS(961), 1,
      sym_comment,
    STATE(534), 1,
      aux_sym_type_annotation_repeat1,
    STATE(819), 1,
      sym_at_comment,
  [15790] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15807] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_RBRACK_EQ_RBRACK,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15824] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(965), 1,
      anon_sym_RBRACK2,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15841] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(967), 1,
      anon_sym_RBRACK2,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15858] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(969), 1,
      anon_sym_RBRACE,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15875] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(971), 1,
      anon_sym_GT,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15892] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(973), 1,
      anon_sym_RBRACK2,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15909] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(975), 1,
      anon_sym_RBRACK2,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15926] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(977), 1,
      anon_sym_RBRACK2,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15943] = 5,
    ACTIONS(357), 1,
      anon_sym_QMARK,
    ACTIONS(359), 1,
      anon_sym_PIPE,
    ACTIONS(365), 1,
      anon_sym_LBRACK,
    ACTIONS(979), 1,
      anon_sym_RBRACK2,
    ACTIONS(361), 2,
      anon_sym_DOT,
      anon_sym_POUND,
  [15960] = 1,
    ACTIONS(981), 5,
      anon_sym_5_DOT1,
      anon_sym_5_DOT2,
      anon_sym_5_DOT3,
      anon_sym_5_DOT4,
      anon_sym_JIT,
  [15968] = 4,
    ACTIONS(430), 1,
      ts_builtin_sym_end,
    ACTIONS(589), 1,
      anon_sym_COMMA,
    STATE(534), 1,
      aux_sym_type_annotation_repeat1,
    ACTIONS(432), 2,
      anon_sym_AT,
      sym_comment,
  [15982] = 4,
    ACTIONS(702), 1,
      ts_builtin_sym_end,
    ACTIONS(983), 1,
      anon_sym_COMMA,
    STATE(535), 1,
      aux_sym_class_annotation_repeat1,
    ACTIONS(704), 2,
      anon_sym_AT,
      sym_comment,
  [15996] = 3,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(986), 1,
      sym_identifier,
    STATE(15), 2,
      sym_positional_field,
      sym_indexed_field,
  [16007] = 4,
    ACTIONS(741), 1,
      ts_builtin_sym_end,
    ACTIONS(743), 1,
      sym_comment,
    ACTIONS(988), 1,
      anon_sym_COMMA,
    STATE(537), 1,
      aux_sym_cast_annotation_repeat1,
  [16020] = 4,
    ACTIONS(423), 1,
      ts_builtin_sym_end,
    ACTIONS(425), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    STATE(549), 1,
      aux_sym_type_annotation_repeat1,
  [16033] = 4,
    ACTIONS(668), 1,
      anon_sym_COMMA,
    ACTIONS(682), 1,
      ts_builtin_sym_end,
    ACTIONS(684), 1,
      sym_comment,
    STATE(537), 1,
      aux_sym_cast_annotation_repeat1,
  [16046] = 4,
    ACTIONS(415), 1,
      ts_builtin_sym_end,
    ACTIONS(417), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    STATE(549), 1,
      aux_sym_type_annotation_repeat1,
  [16059] = 4,
    ACTIONS(991), 1,
      ts_builtin_sym_end,
    ACTIONS(993), 1,
      anon_sym_COLON,
    ACTIONS(995), 1,
      anon_sym_COMMA,
    ACTIONS(997), 1,
      sym_comment,
  [16072] = 4,
    ACTIONS(377), 1,
      ts_builtin_sym_end,
    ACTIONS(379), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    STATE(549), 1,
      aux_sym_type_annotation_repeat1,
  [16085] = 4,
    ACTIONS(666), 1,
      ts_builtin_sym_end,
    ACTIONS(668), 1,
      anon_sym_COMMA,
    ACTIONS(670), 1,
      sym_comment,
    STATE(539), 1,
      aux_sym_cast_annotation_repeat1,
  [16098] = 4,
    ACTIONS(668), 1,
      anon_sym_COMMA,
    ACTIONS(999), 1,
      ts_builtin_sym_end,
    ACTIONS(1001), 1,
      sym_comment,
    STATE(537), 1,
      aux_sym_cast_annotation_repeat1,
  [16111] = 3,
    ACTIONS(1003), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(663), 1,
      sym_parameter,
    ACTIONS(1005), 2,
      anon_sym_self,
      sym_identifier,
  [16122] = 4,
    ACTIONS(369), 1,
      ts_builtin_sym_end,
    ACTIONS(371), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    STATE(549), 1,
      aux_sym_type_annotation_repeat1,
  [16135] = 4,
    ACTIONS(419), 1,
      ts_builtin_sym_end,
    ACTIONS(421), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    STATE(549), 1,
      aux_sym_type_annotation_repeat1,
  [16148] = 4,
    ACTIONS(411), 1,
      ts_builtin_sym_end,
    ACTIONS(413), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_COMMA,
    STATE(549), 1,
      aux_sym_type_annotation_repeat1,
  [16161] = 4,
    ACTIONS(430), 1,
      ts_builtin_sym_end,
    ACTIONS(432), 1,
      sym_comment,
    ACTIONS(714), 1,
      anon_sym_COMMA,
    STATE(549), 1,
      aux_sym_type_annotation_repeat1,
  [16174] = 4,
    ACTIONS(668), 1,
      anon_sym_COMMA,
    ACTIONS(682), 1,
      ts_builtin_sym_end,
    ACTIONS(684), 1,
      sym_comment,
    STATE(544), 1,
      aux_sym_cast_annotation_repeat1,
  [16187] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1007), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16197] = 3,
    ACTIONS(753), 1,
      anon_sym_RPAREN,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    STATE(555), 1,
      aux_sym_function_type_repeat1,
  [16207] = 3,
    ACTIONS(1011), 1,
      ts_builtin_sym_end,
    ACTIONS(1013), 1,
      anon_sym_COMMA,
    STATE(629), 1,
      aux_sym_diagnostic_annotation_repeat1,
  [16217] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1015), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16227] = 3,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    ACTIONS(1015), 1,
      anon_sym_RPAREN,
    STATE(626), 1,
      aux_sym_function_type_repeat1,
  [16237] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1017), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16247] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1019), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16257] = 2,
    ACTIONS(741), 1,
      ts_builtin_sym_end,
    ACTIONS(743), 2,
      anon_sym_COMMA,
      sym_comment,
  [16265] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1021), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16275] = 3,
    ACTIONS(1023), 1,
      anon_sym_COMMA,
    ACTIONS(1026), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16285] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1028), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16295] = 3,
    ACTIONS(1030), 1,
      anon_sym_fun,
    ACTIONS(1032), 1,
      anon_sym_function,
    STATE(651), 1,
      sym_function_type,
  [16305] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1034), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16315] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1036), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16325] = 3,
    ACTIONS(1038), 1,
      ts_builtin_sym_end,
    ACTIONS(1040), 1,
      anon_sym_COLON,
    ACTIONS(1042), 1,
      sym_comment,
  [16335] = 3,
    ACTIONS(1044), 1,
      anon_sym_RBRACE,
    ACTIONS(1046), 1,
      anon_sym_LBRACK,
    ACTIONS(1048), 1,
      sym_identifier,
  [16345] = 3,
    ACTIONS(399), 1,
      ts_builtin_sym_end,
    ACTIONS(401), 1,
      sym_comment,
    ACTIONS(1050), 1,
      anon_sym_COLON,
  [16355] = 3,
    ACTIONS(765), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_COLON,
    ACTIONS(1052), 1,
      anon_sym_QMARK,
  [16365] = 3,
    ACTIONS(765), 1,
      anon_sym_RPAREN,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    STATE(571), 1,
      aux_sym_function_type_repeat1,
  [16375] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1054), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16385] = 3,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    ACTIONS(1054), 1,
      anon_sym_RPAREN,
    STATE(626), 1,
      aux_sym_function_type_repeat1,
  [16395] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1056), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16405] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1058), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16415] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1060), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16425] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1062), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16435] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1064), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16445] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1066), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16455] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1068), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16465] = 3,
    ACTIONS(1070), 1,
      anon_sym_RBRACE,
    ACTIONS(1072), 1,
      anon_sym_LBRACK,
    ACTIONS(1074), 1,
      sym_identifier,
  [16475] = 3,
    ACTIONS(779), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_COLON,
    ACTIONS(1076), 1,
      anon_sym_QMARK,
  [16485] = 3,
    ACTIONS(779), 1,
      anon_sym_RPAREN,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    STATE(583), 1,
      aux_sym_function_type_repeat1,
  [16495] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1078), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16505] = 3,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    ACTIONS(1078), 1,
      anon_sym_RPAREN,
    STATE(626), 1,
      aux_sym_function_type_repeat1,
  [16515] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1080), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16525] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1082), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16535] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1084), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16545] = 3,
    ACTIONS(1086), 1,
      anon_sym_RBRACE,
    ACTIONS(1088), 1,
      anon_sym_LBRACK,
    ACTIONS(1090), 1,
      sym_identifier,
  [16555] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1092), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16565] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1094), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16575] = 3,
    ACTIONS(1096), 1,
      anon_sym_RBRACE,
    ACTIONS(1098), 1,
      anon_sym_LBRACK,
    ACTIONS(1100), 1,
      sym_identifier,
  [16585] = 3,
    ACTIONS(791), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_COLON,
    ACTIONS(1102), 1,
      anon_sym_QMARK,
  [16595] = 3,
    ACTIONS(405), 1,
      ts_builtin_sym_end,
    ACTIONS(407), 1,
      sym_comment,
    ACTIONS(1104), 1,
      anon_sym_COLON,
  [16605] = 3,
    ACTIONS(791), 1,
      anon_sym_RPAREN,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    STATE(596), 1,
      aux_sym_function_type_repeat1,
  [16615] = 3,
    ACTIONS(1013), 1,
      anon_sym_COMMA,
    ACTIONS(1106), 1,
      ts_builtin_sym_end,
    STATE(553), 1,
      aux_sym_diagnostic_annotation_repeat1,
  [16625] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1108), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16635] = 3,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    ACTIONS(1108), 1,
      anon_sym_RPAREN,
    STATE(626), 1,
      aux_sym_function_type_repeat1,
  [16645] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1110), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16655] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1112), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16665] = 3,
    ACTIONS(753), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_COLON,
    ACTIONS(1114), 1,
      anon_sym_QMARK,
  [16675] = 3,
    ACTIONS(363), 1,
      ts_builtin_sym_end,
    ACTIONS(367), 1,
      sym_comment,
    ACTIONS(1116), 1,
      anon_sym_COLON,
  [16685] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1118), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16695] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1120), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16705] = 3,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    ACTIONS(1122), 1,
      anon_sym_RPAREN,
    STATE(626), 1,
      aux_sym_function_type_repeat1,
  [16715] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1124), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16725] = 3,
    ACTIONS(1126), 1,
      anon_sym_RBRACE,
    ACTIONS(1128), 1,
      anon_sym_LBRACK,
    ACTIONS(1130), 1,
      sym_identifier,
  [16735] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1132), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16745] = 3,
    ACTIONS(803), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_COLON,
    ACTIONS(1134), 1,
      anon_sym_QMARK,
  [16755] = 3,
    ACTIONS(803), 1,
      anon_sym_RPAREN,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    STATE(610), 1,
      aux_sym_function_type_repeat1,
  [16765] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1136), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16775] = 3,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    ACTIONS(1136), 1,
      anon_sym_RPAREN,
    STATE(626), 1,
      aux_sym_function_type_repeat1,
  [16785] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1138), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16795] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1140), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16805] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1142), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16815] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1144), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16825] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1146), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16835] = 3,
    ACTIONS(1148), 1,
      anon_sym_RBRACE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1152), 1,
      sym_identifier,
  [16845] = 3,
    ACTIONS(815), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_COLON,
    ACTIONS(1154), 1,
      anon_sym_QMARK,
  [16855] = 3,
    ACTIONS(815), 1,
      anon_sym_RPAREN,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    STATE(621), 1,
      aux_sym_function_type_repeat1,
  [16865] = 3,
    ACTIONS(702), 1,
      anon_sym_RPAREN,
    ACTIONS(1156), 1,
      anon_sym_COMMA,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16875] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1159), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16885] = 3,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    ACTIONS(1159), 1,
      anon_sym_RPAREN,
    STATE(626), 1,
      aux_sym_function_type_repeat1,
  [16895] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1161), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [16905] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1163), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16915] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1165), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16925] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1167), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16935] = 3,
    ACTIONS(1169), 1,
      anon_sym_COMMA,
    ACTIONS(1172), 1,
      anon_sym_RPAREN,
    STATE(626), 1,
      aux_sym_function_type_repeat1,
  [16945] = 3,
    ACTIONS(737), 1,
      anon_sym_COMMA,
    ACTIONS(1174), 1,
      anon_sym_RBRACE,
    STATE(560), 1,
      aux_sym_table_literal_type_repeat1,
  [16955] = 3,
    ACTIONS(1176), 1,
      ts_builtin_sym_end,
    ACTIONS(1178), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      sym_comment,
  [16965] = 3,
    ACTIONS(1182), 1,
      ts_builtin_sym_end,
    ACTIONS(1184), 1,
      anon_sym_COMMA,
    STATE(629), 1,
      aux_sym_diagnostic_annotation_repeat1,
  [16975] = 2,
    ACTIONS(747), 1,
      ts_builtin_sym_end,
    ACTIONS(749), 2,
      anon_sym_COMMA,
      sym_comment,
  [16983] = 3,
    ACTIONS(1187), 1,
      ts_builtin_sym_end,
    ACTIONS(1189), 1,
      anon_sym_COLON,
    ACTIONS(1191), 1,
      sym_comment,
  [16993] = 3,
    ACTIONS(827), 1,
      anon_sym_COLON,
    ACTIONS(831), 1,
      anon_sym_RPAREN,
    ACTIONS(1193), 1,
      anon_sym_QMARK,
  [17003] = 3,
    ACTIONS(831), 1,
      anon_sym_RPAREN,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    STATE(603), 1,
      aux_sym_function_type_repeat1,
  [17013] = 2,
    ACTIONS(1197), 1,
      sym_number,
    ACTIONS(1195), 2,
      sym_string,
      sym_identifier,
  [17021] = 3,
    ACTIONS(1199), 1,
      anon_sym_RBRACE,
    ACTIONS(1201), 1,
      anon_sym_LBRACK,
    ACTIONS(1203), 1,
      sym_identifier,
  [17031] = 3,
    ACTIONS(1205), 1,
      ts_builtin_sym_end,
    ACTIONS(1207), 1,
      anon_sym_extends,
    ACTIONS(1209), 1,
      sym_comment,
  [17041] = 3,
    ACTIONS(827), 1,
      anon_sym_COLON,
    ACTIONS(833), 1,
      anon_sym_RPAREN,
    ACTIONS(1211), 1,
      anon_sym_QMARK,
  [17051] = 3,
    ACTIONS(833), 1,
      anon_sym_RPAREN,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    STATE(640), 1,
      aux_sym_function_type_repeat1,
  [17061] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1213), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [17071] = 3,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    ACTIONS(1213), 1,
      anon_sym_RPAREN,
    STATE(626), 1,
      aux_sym_function_type_repeat1,
  [17081] = 3,
    ACTIONS(729), 1,
      anon_sym_COMMA,
    ACTIONS(1122), 1,
      anon_sym_RPAREN,
    STATE(619), 1,
      aux_sym_class_annotation_repeat1,
  [17091] = 2,
    ACTIONS(753), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_COLON,
  [17098] = 2,
    ACTIONS(1215), 1,
      ts_builtin_sym_end,
    ACTIONS(1217), 1,
      sym_comment,
  [17105] = 2,
    ACTIONS(1219), 1,
      anon_sym_COLON,
    ACTIONS(1221), 1,
      anon_sym_LPAREN,
  [17112] = 2,
    ACTIONS(1122), 1,
      anon_sym_RPAREN,
    ACTIONS(1223), 1,
      anon_sym_COLON,
  [17119] = 2,
    ACTIONS(791), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_COLON,
  [17126] = 2,
    ACTIONS(765), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_COLON,
  [17133] = 2,
    ACTIONS(1108), 1,
      anon_sym_RPAREN,
    ACTIONS(1223), 1,
      anon_sym_COLON,
  [17140] = 2,
    ACTIONS(1225), 1,
      ts_builtin_sym_end,
    ACTIONS(1227), 1,
      sym_comment,
  [17147] = 2,
    ACTIONS(1229), 1,
      ts_builtin_sym_end,
    ACTIONS(1231), 1,
      anon_sym_COLON,
  [17154] = 2,
    ACTIONS(1233), 1,
      ts_builtin_sym_end,
    ACTIONS(1235), 1,
      sym_comment,
  [17161] = 2,
    ACTIONS(1054), 1,
      anon_sym_RPAREN,
    ACTIONS(1223), 1,
      anon_sym_COLON,
  [17168] = 2,
    ACTIONS(1015), 1,
      anon_sym_RPAREN,
    ACTIONS(1223), 1,
      anon_sym_COLON,
  [17175] = 2,
    ACTIONS(803), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_COLON,
  [17182] = 2,
    ACTIONS(1136), 1,
      anon_sym_RPAREN,
    ACTIONS(1223), 1,
      anon_sym_COLON,
  [17189] = 2,
    ACTIONS(1237), 1,
      anon_sym_LPARENkey_RPAREN,
    ACTIONS(1239), 1,
      sym_identifier,
  [17196] = 1,
    ACTIONS(1241), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [17201] = 2,
    ACTIONS(1243), 1,
      anon_sym_COLON,
    ACTIONS(1245), 1,
      anon_sym_QMARK,
  [17208] = 2,
    ACTIONS(1247), 1,
      anon_sym_COLON,
    ACTIONS(1249), 1,
      anon_sym_QMARK,
  [17215] = 2,
    ACTIONS(815), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_COLON,
  [17222] = 2,
    ACTIONS(1159), 1,
      anon_sym_RPAREN,
    ACTIONS(1223), 1,
      anon_sym_COLON,
  [17229] = 2,
    ACTIONS(827), 1,
      anon_sym_COLON,
    ACTIONS(829), 1,
      anon_sym_QMARK,
  [17236] = 1,
    ACTIONS(1172), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [17241] = 2,
    ACTIONS(1251), 1,
      anon_sym_COLON,
    ACTIONS(1253), 1,
      anon_sym_QMARK,
  [17248] = 2,
    ACTIONS(1255), 1,
      ts_builtin_sym_end,
    ACTIONS(1257), 1,
      sym_comment,
  [17255] = 2,
    ACTIONS(779), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_COLON,
  [17262] = 2,
    ACTIONS(1259), 1,
      ts_builtin_sym_end,
    ACTIONS(1261), 1,
      sym_comment,
  [17269] = 1,
    ACTIONS(1182), 2,
      ts_builtin_sym_end,
      anon_sym_COMMA,
  [17274] = 2,
    ACTIONS(1263), 1,
      ts_builtin_sym_end,
    ACTIONS(1265), 1,
      sym_comment,
  [17281] = 2,
    ACTIONS(1267), 1,
      ts_builtin_sym_end,
    ACTIONS(1269), 1,
      sym_comment,
  [17288] = 2,
    ACTIONS(1271), 1,
      ts_builtin_sym_end,
    ACTIONS(1273), 1,
      anon_sym_COLON,
  [17295] = 2,
    ACTIONS(1275), 1,
      ts_builtin_sym_end,
    ACTIONS(1277), 1,
      sym_comment,
  [17302] = 2,
    ACTIONS(1279), 1,
      ts_builtin_sym_end,
    ACTIONS(1281), 1,
      sym_comment,
  [17309] = 2,
    ACTIONS(1283), 1,
      ts_builtin_sym_end,
    ACTIONS(1285), 1,
      sym_comment,
  [17316] = 2,
    ACTIONS(827), 1,
      anon_sym_COLON,
    ACTIONS(831), 1,
      anon_sym_RPAREN,
  [17323] = 1,
    ACTIONS(1287), 2,
      anon_sym_LBRACK,
      sym_identifier,
  [17328] = 2,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1291), 1,
      sym_identifier,
  [17335] = 2,
    ACTIONS(1293), 1,
      ts_builtin_sym_end,
    ACTIONS(1295), 1,
      sym_comment,
  [17342] = 2,
    ACTIONS(1297), 1,
      ts_builtin_sym_end,
    ACTIONS(1299), 1,
      sym_comment,
  [17349] = 2,
    ACTIONS(1078), 1,
      anon_sym_RPAREN,
    ACTIONS(1223), 1,
      anon_sym_COLON,
  [17356] = 2,
    ACTIONS(1301), 1,
      ts_builtin_sym_end,
    ACTIONS(1303), 1,
      sym_comment,
  [17363] = 2,
    ACTIONS(1305), 1,
      ts_builtin_sym_end,
    ACTIONS(1307), 1,
      sym_comment,
  [17370] = 2,
    ACTIONS(1309), 1,
      anon_sym_COLON,
    ACTIONS(1311), 1,
      anon_sym_QMARK,
  [17377] = 2,
    ACTIONS(1313), 1,
      ts_builtin_sym_end,
    ACTIONS(1315), 1,
      sym_comment,
  [17384] = 2,
    ACTIONS(827), 1,
      anon_sym_COLON,
    ACTIONS(833), 1,
      anon_sym_RPAREN,
  [17391] = 2,
    ACTIONS(1317), 1,
      anon_sym_COLON,
    ACTIONS(1319), 1,
      anon_sym_QMARK,
  [17398] = 2,
    ACTIONS(1213), 1,
      anon_sym_RPAREN,
    ACTIONS(1223), 1,
      anon_sym_COLON,
  [17405] = 2,
    ACTIONS(1321), 1,
      anon_sym_COLON,
    ACTIONS(1323), 1,
      anon_sym_QMARK,
  [17412] = 2,
    ACTIONS(1325), 1,
      anon_sym_COLON,
    ACTIONS(1327), 1,
      anon_sym_QMARK,
  [17419] = 2,
    ACTIONS(1329), 1,
      anon_sym_COLON,
    ACTIONS(1331), 1,
      anon_sym_QMARK,
  [17426] = 2,
    ACTIONS(1333), 1,
      anon_sym_COLON,
    ACTIONS(1335), 1,
      anon_sym_QMARK,
  [17433] = 2,
    ACTIONS(1337), 1,
      anon_sym_COLON,
    ACTIONS(1339), 1,
      anon_sym_QMARK,
  [17440] = 2,
    ACTIONS(1341), 1,
      anon_sym_COLON,
    ACTIONS(1343), 1,
      anon_sym_QMARK,
  [17447] = 2,
    ACTIONS(1345), 1,
      anon_sym_COLON,
    ACTIONS(1347), 1,
      anon_sym_QMARK,
  [17454] = 2,
    ACTIONS(1349), 1,
      anon_sym_COLON,
    ACTIONS(1351), 1,
      anon_sym_QMARK,
  [17461] = 2,
    ACTIONS(1353), 1,
      anon_sym_COLON,
    ACTIONS(1355), 1,
      anon_sym_QMARK,
  [17468] = 2,
    ACTIONS(1357), 1,
      anon_sym_COLON,
    ACTIONS(1359), 1,
      anon_sym_QMARK,
  [17475] = 2,
    ACTIONS(1361), 1,
      anon_sym_COLON,
    ACTIONS(1363), 1,
      anon_sym_QMARK,
  [17482] = 1,
    ACTIONS(1365), 1,
      aux_sym_literal_type_token1,
  [17486] = 1,
    ACTIONS(1367), 1,
      ts_builtin_sym_end,
  [17490] = 1,
    ACTIONS(1369), 1,
      anon_sym_DQUOTE,
  [17494] = 1,
    ACTIONS(1369), 1,
      anon_sym_SQUOTE,
  [17498] = 1,
    ACTIONS(1371), 1,
      anon_sym_COLON,
  [17502] = 1,
    ACTIONS(1373), 1,
      ts_builtin_sym_end,
  [17506] = 1,
    ACTIONS(1375), 1,
      sym_identifier,
  [17510] = 1,
    ACTIONS(1377), 1,
      ts_builtin_sym_end,
  [17514] = 1,
    ACTIONS(690), 1,
      ts_builtin_sym_end,
  [17518] = 1,
    ACTIONS(1379), 1,
      anon_sym_BQUOTE,
  [17522] = 1,
    ACTIONS(1381), 1,
      sym_identifier,
  [17526] = 1,
    ACTIONS(1383), 1,
      sym_identifier,
  [17530] = 1,
    ACTIONS(1385), 1,
      anon_sym_LBRACE,
  [17534] = 1,
    ACTIONS(614), 1,
      ts_builtin_sym_end,
  [17538] = 1,
    ACTIONS(1387), 1,
      anon_sym_RBRACK,
  [17542] = 1,
    ACTIONS(1389), 1,
      sym_identifier,
  [17546] = 1,
    ACTIONS(1391), 1,
      anon_sym_RBRACK,
  [17550] = 1,
    ACTIONS(1393), 1,
      anon_sym_DQUOTE,
  [17554] = 1,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
  [17558] = 1,
    ACTIONS(1395), 1,
      anon_sym_BQUOTE,
  [17562] = 1,
    ACTIONS(1397), 1,
      sym_identifier,
  [17566] = 1,
    ACTIONS(1399), 1,
      anon_sym_RBRACK,
  [17570] = 1,
    ACTIONS(1401), 1,
      sym_number,
  [17574] = 1,
    ACTIONS(682), 1,
      ts_builtin_sym_end,
  [17578] = 1,
    ACTIONS(1403), 1,
      anon_sym_COLON,
  [17582] = 1,
    ACTIONS(1405), 1,
      anon_sym_ATas,
  [17586] = 1,
    ACTIONS(1407), 1,
      ts_builtin_sym_end,
  [17590] = 1,
    ACTIONS(1409), 1,
      anon_sym_ATlink,
  [17594] = 1,
    ACTIONS(1411), 1,
      ts_builtin_sym_end,
  [17598] = 1,
    ACTIONS(1413), 1,
      sym_identifier,
  [17602] = 1,
    ACTIONS(973), 1,
      anon_sym_RBRACK2,
  [17606] = 1,
    ACTIONS(1415), 1,
      anon_sym_DQUOTE,
  [17610] = 1,
    ACTIONS(1415), 1,
      anon_sym_SQUOTE,
  [17614] = 1,
    ACTIONS(1417), 1,
      anon_sym_BQUOTE,
  [17618] = 1,
    ACTIONS(827), 1,
      anon_sym_COLON,
  [17622] = 1,
    ACTIONS(1419), 1,
      anon_sym_RBRACK,
  [17626] = 1,
    ACTIONS(1421), 1,
      ts_builtin_sym_end,
  [17630] = 1,
    ACTIONS(1423), 1,
      sym_identifier,
  [17634] = 1,
    ACTIONS(1425), 1,
      anon_sym_RBRACK,
  [17638] = 1,
    ACTIONS(1427), 1,
      sym_diagnostic_identifier,
  [17642] = 1,
    ACTIONS(1429), 1,
      sym_comment,
  [17646] = 1,
    ACTIONS(1431), 1,
      anon_sym_SQUOTE,
  [17650] = 1,
    ACTIONS(1433), 1,
      anon_sym_LPAREN,
  [17654] = 1,
    ACTIONS(1435), 1,
      aux_sym_literal_type_token1,
  [17658] = 1,
    ACTIONS(1437), 1,
      aux_sym_literal_type_token2,
  [17662] = 1,
    ACTIONS(1439), 1,
      sym_identifier,
  [17666] = 1,
    ACTIONS(1441), 1,
      aux_sym_literal_type_token1,
  [17670] = 1,
    ACTIONS(1443), 1,
      aux_sym_literal_type_token2,
  [17674] = 1,
    ACTIONS(1445), 1,
      sym_identifier,
  [17678] = 1,
    ACTIONS(1447), 1,
      ts_builtin_sym_end,
  [17682] = 1,
    ACTIONS(1449), 1,
      ts_builtin_sym_end,
  [17686] = 1,
    ACTIONS(1451), 1,
      ts_builtin_sym_end,
  [17690] = 1,
    ACTIONS(1453), 1,
      sym_diagnostic_identifier,
  [17694] = 1,
    ACTIONS(1455), 1,
      ts_builtin_sym_end,
  [17698] = 1,
    ACTIONS(1457), 1,
      anon_sym_COLON,
  [17702] = 1,
    ACTIONS(1459), 1,
      ts_builtin_sym_end,
  [17706] = 1,
    ACTIONS(1461), 1,
      sym_identifier,
  [17710] = 1,
    ACTIONS(1463), 1,
      ts_builtin_sym_end,
  [17714] = 1,
    ACTIONS(1223), 1,
      anon_sym_COLON,
  [17718] = 1,
    ACTIONS(1465), 1,
      sym_identifier,
  [17722] = 1,
    ACTIONS(1467), 1,
      anon_sym_RBRACK2,
  [17726] = 1,
    ACTIONS(1469), 1,
      sym_identifier,
  [17730] = 1,
    ACTIONS(1471), 1,
      ts_builtin_sym_end,
  [17734] = 1,
    ACTIONS(1473), 1,
      anon_sym_LPAREN,
  [17738] = 1,
    ACTIONS(1475), 1,
      aux_sym_literal_type_token1,
  [17742] = 1,
    ACTIONS(1477), 1,
      aux_sym_literal_type_token2,
  [17746] = 1,
    ACTIONS(1479), 1,
      sym_identifier,
  [17750] = 1,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
  [17754] = 1,
    ACTIONS(1481), 1,
      sym_string,
  [17758] = 1,
    ACTIONS(1483), 1,
      sym_identifier,
  [17762] = 1,
    ACTIONS(1485), 1,
      ts_builtin_sym_end,
  [17766] = 1,
    ACTIONS(1487), 1,
      ts_builtin_sym_end,
  [17770] = 1,
    ACTIONS(1263), 1,
      ts_builtin_sym_end,
  [17774] = 1,
    ACTIONS(1489), 1,
      ts_builtin_sym_end,
  [17778] = 1,
    ACTIONS(1491), 1,
      ts_builtin_sym_end,
  [17782] = 1,
    ACTIONS(1493), 1,
      anon_sym_LPAREN,
  [17786] = 1,
    ACTIONS(1495), 1,
      ts_builtin_sym_end,
  [17790] = 1,
    ACTIONS(1497), 1,
      aux_sym_literal_type_token2,
  [17794] = 1,
    ACTIONS(1499), 1,
      sym_identifier,
  [17798] = 1,
    ACTIONS(1501), 1,
      sym_identifier,
  [17802] = 1,
    ACTIONS(1503), 1,
      sym_number,
  [17806] = 1,
    ACTIONS(1505), 1,
      sym_number,
  [17810] = 1,
    ACTIONS(1507), 1,
      anon_sym_DQUOTE,
  [17814] = 1,
    ACTIONS(1509), 1,
      ts_builtin_sym_end,
  [17818] = 1,
    ACTIONS(516), 1,
      ts_builtin_sym_end,
  [17822] = 1,
    ACTIONS(1511), 1,
      sym_identifier,
  [17826] = 1,
    ACTIONS(1513), 1,
      anon_sym_BQUOTE,
  [17830] = 1,
    ACTIONS(395), 1,
      anon_sym_LPAREN,
  [17834] = 1,
    ACTIONS(1515), 1,
      aux_sym_literal_type_token1,
  [17838] = 1,
    ACTIONS(1517), 1,
      aux_sym_literal_type_token2,
  [17842] = 1,
    ACTIONS(1519), 1,
      sym_identifier,
  [17846] = 1,
    ACTIONS(965), 1,
      anon_sym_RBRACK2,
  [17850] = 1,
    ACTIONS(1521), 1,
      anon_sym_COLON,
  [17854] = 1,
    ACTIONS(1523), 1,
      sym_identifier,
  [17858] = 1,
    ACTIONS(1525), 1,
      anon_sym_COLON,
  [17862] = 1,
    ACTIONS(1527), 1,
      ts_builtin_sym_end,
  [17866] = 1,
    ACTIONS(1529), 1,
      sym_number,
  [17870] = 1,
    ACTIONS(1531), 1,
      sym_number,
  [17874] = 1,
    ACTIONS(1533), 1,
      ts_builtin_sym_end,
  [17878] = 1,
    ACTIONS(1535), 1,
      anon_sym_LPAREN,
  [17882] = 1,
    ACTIONS(1537), 1,
      aux_sym_literal_type_token1,
  [17886] = 1,
    ACTIONS(1539), 1,
      aux_sym_literal_type_token2,
  [17890] = 1,
    ACTIONS(1541), 1,
      sym_identifier,
  [17894] = 1,
    ACTIONS(1543), 1,
      sym_identifier,
  [17898] = 1,
    ACTIONS(1545), 1,
      ts_builtin_sym_end,
  [17902] = 1,
    ACTIONS(1547), 1,
      ts_builtin_sym_end,
  [17906] = 1,
    ACTIONS(1549), 1,
      ts_builtin_sym_end,
  [17910] = 1,
    ACTIONS(1551), 1,
      sym_identifier,
  [17914] = 1,
    ACTIONS(1553), 1,
      sym_identifier,
  [17918] = 1,
    ACTIONS(1555), 1,
      ts_builtin_sym_end,
  [17922] = 1,
    ACTIONS(1557), 1,
      anon_sym_BQUOTE,
  [17926] = 1,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
  [17930] = 1,
    ACTIONS(1561), 1,
      aux_sym_literal_type_token1,
  [17934] = 1,
    ACTIONS(1563), 1,
      aux_sym_literal_type_token2,
  [17938] = 1,
    ACTIONS(1565), 1,
      sym_identifier,
  [17942] = 1,
    ACTIONS(1567), 1,
      ts_builtin_sym_end,
  [17946] = 1,
    ACTIONS(1569), 1,
      ts_builtin_sym_end,
  [17950] = 1,
    ACTIONS(1571), 1,
      anon_sym_COLON,
  [17954] = 1,
    ACTIONS(1573), 1,
      ts_builtin_sym_end,
  [17958] = 1,
    ACTIONS(1575), 1,
      anon_sym_LPAREN,
  [17962] = 1,
    ACTIONS(1577), 1,
      ts_builtin_sym_end,
  [17966] = 1,
    ACTIONS(1507), 1,
      anon_sym_SQUOTE,
  [17970] = 1,
    ACTIONS(1579), 1,
      ts_builtin_sym_end,
  [17974] = 1,
    ACTIONS(1581), 1,
      sym_diagnostic_identifier,
  [17978] = 1,
    ACTIONS(1583), 1,
      anon_sym_COLON,
  [17982] = 1,
    ACTIONS(1585), 1,
      ts_builtin_sym_end,
  [17986] = 1,
    ACTIONS(959), 1,
      ts_builtin_sym_end,
  [17990] = 1,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
  [17994] = 1,
    ACTIONS(1589), 1,
      anon_sym_ATas,
  [17998] = 1,
    ACTIONS(559), 1,
      ts_builtin_sym_end,
  [18002] = 1,
    ACTIONS(1591), 1,
      ts_builtin_sym_end,
  [18006] = 1,
    ACTIONS(999), 1,
      ts_builtin_sym_end,
  [18010] = 1,
    ACTIONS(1593), 1,
      ts_builtin_sym_end,
  [18014] = 1,
    ACTIONS(1595), 1,
      anon_sym_COLON,
  [18018] = 1,
    ACTIONS(1597), 1,
      anon_sym_DQUOTE,
  [18022] = 1,
    ACTIONS(1599), 1,
      anon_sym_COLON,
  [18026] = 1,
    ACTIONS(1597), 1,
      anon_sym_SQUOTE,
  [18030] = 1,
    ACTIONS(1601), 1,
      anon_sym_COLON,
  [18034] = 1,
    ACTIONS(1603), 1,
      anon_sym_BQUOTE,
  [18038] = 1,
    ACTIONS(1605), 1,
      anon_sym_COLON,
  [18042] = 1,
    ACTIONS(1607), 1,
      sym_identifier,
  [18046] = 1,
    ACTIONS(1609), 1,
      anon_sym_COLON,
  [18050] = 1,
    ACTIONS(1611), 1,
      anon_sym_RBRACK,
  [18054] = 1,
    ACTIONS(1613), 1,
      anon_sym_COLON,
  [18058] = 1,
    ACTIONS(1615), 1,
      anon_sym_DOT,
  [18062] = 1,
    ACTIONS(1617), 1,
      anon_sym_COLON,
  [18066] = 1,
    ACTIONS(1619), 1,
      anon_sym_RBRACK2,
  [18070] = 1,
    ACTIONS(1621), 1,
      anon_sym_COLON,
  [18074] = 1,
    ACTIONS(945), 1,
      ts_builtin_sym_end,
  [18078] = 1,
    ACTIONS(1623), 1,
      anon_sym_COLON,
  [18082] = 1,
    ACTIONS(1625), 1,
      sym_identifier,
  [18086] = 1,
    ACTIONS(1627), 1,
      anon_sym_COLON,
  [18090] = 1,
    ACTIONS(1629), 1,
      ts_builtin_sym_end,
  [18094] = 1,
    ACTIONS(1631), 1,
      anon_sym_COLON,
  [18098] = 1,
    ACTIONS(1633), 1,
      anon_sym_LPAREN,
  [18102] = 1,
    ACTIONS(967), 1,
      anon_sym_RBRACK2,
  [18106] = 1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
  [18110] = 1,
    ACTIONS(937), 1,
      anon_sym_RBRACK2,
  [18114] = 1,
    ACTIONS(1635), 1,
      anon_sym_BQUOTE,
  [18118] = 1,
    ACTIONS(975), 1,
      anon_sym_RBRACK2,
  [18122] = 1,
    ACTIONS(1637), 1,
      sym_identifier,
  [18126] = 1,
    ACTIONS(977), 1,
      anon_sym_RBRACK2,
  [18130] = 1,
    ACTIONS(1639), 1,
      anon_sym_RBRACK,
  [18134] = 1,
    ACTIONS(979), 1,
      anon_sym_RBRACK2,
  [18138] = 1,
    ACTIONS(1641), 1,
      anon_sym_DOT,
  [18142] = 1,
    ACTIONS(939), 1,
      anon_sym_RBRACK2,
  [18146] = 1,
    ACTIONS(1643), 1,
      ts_builtin_sym_end,
  [18150] = 1,
    ACTIONS(652), 1,
      ts_builtin_sym_end,
  [18154] = 1,
    ACTIONS(1645), 1,
      ts_builtin_sym_end,
  [18158] = 1,
    ACTIONS(1647), 1,
      anon_sym_DOT,
  [18162] = 1,
    ACTIONS(1649), 1,
      ts_builtin_sym_end,
  [18166] = 1,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
  [18170] = 1,
    ACTIONS(656), 1,
      ts_builtin_sym_end,
  [18174] = 1,
    ACTIONS(1653), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 70,
  [SMALL_STATE(4)] = 140,
  [SMALL_STATE(5)] = 210,
  [SMALL_STATE(6)] = 280,
  [SMALL_STATE(7)] = 350,
  [SMALL_STATE(8)] = 420,
  [SMALL_STATE(9)] = 490,
  [SMALL_STATE(10)] = 560,
  [SMALL_STATE(11)] = 627,
  [SMALL_STATE(12)] = 694,
  [SMALL_STATE(13)] = 755,
  [SMALL_STATE(14)] = 816,
  [SMALL_STATE(15)] = 877,
  [SMALL_STATE(16)] = 938,
  [SMALL_STATE(17)] = 999,
  [SMALL_STATE(18)] = 1058,
  [SMALL_STATE(19)] = 1117,
  [SMALL_STATE(20)] = 1178,
  [SMALL_STATE(21)] = 1237,
  [SMALL_STATE(22)] = 1296,
  [SMALL_STATE(23)] = 1355,
  [SMALL_STATE(24)] = 1414,
  [SMALL_STATE(25)] = 1473,
  [SMALL_STATE(26)] = 1532,
  [SMALL_STATE(27)] = 1590,
  [SMALL_STATE(28)] = 1648,
  [SMALL_STATE(29)] = 1706,
  [SMALL_STATE(30)] = 1764,
  [SMALL_STATE(31)] = 1822,
  [SMALL_STATE(32)] = 1880,
  [SMALL_STATE(33)] = 1938,
  [SMALL_STATE(34)] = 1996,
  [SMALL_STATE(35)] = 2054,
  [SMALL_STATE(36)] = 2112,
  [SMALL_STATE(37)] = 2170,
  [SMALL_STATE(38)] = 2228,
  [SMALL_STATE(39)] = 2286,
  [SMALL_STATE(40)] = 2344,
  [SMALL_STATE(41)] = 2402,
  [SMALL_STATE(42)] = 2460,
  [SMALL_STATE(43)] = 2518,
  [SMALL_STATE(44)] = 2576,
  [SMALL_STATE(45)] = 2634,
  [SMALL_STATE(46)] = 2692,
  [SMALL_STATE(47)] = 2750,
  [SMALL_STATE(48)] = 2808,
  [SMALL_STATE(49)] = 2866,
  [SMALL_STATE(50)] = 2924,
  [SMALL_STATE(51)] = 2982,
  [SMALL_STATE(52)] = 3040,
  [SMALL_STATE(53)] = 3098,
  [SMALL_STATE(54)] = 3156,
  [SMALL_STATE(55)] = 3214,
  [SMALL_STATE(56)] = 3272,
  [SMALL_STATE(57)] = 3330,
  [SMALL_STATE(58)] = 3388,
  [SMALL_STATE(59)] = 3446,
  [SMALL_STATE(60)] = 3504,
  [SMALL_STATE(61)] = 3562,
  [SMALL_STATE(62)] = 3620,
  [SMALL_STATE(63)] = 3678,
  [SMALL_STATE(64)] = 3736,
  [SMALL_STATE(65)] = 3794,
  [SMALL_STATE(66)] = 3852,
  [SMALL_STATE(67)] = 3910,
  [SMALL_STATE(68)] = 3968,
  [SMALL_STATE(69)] = 4026,
  [SMALL_STATE(70)] = 4084,
  [SMALL_STATE(71)] = 4142,
  [SMALL_STATE(72)] = 4200,
  [SMALL_STATE(73)] = 4258,
  [SMALL_STATE(74)] = 4316,
  [SMALL_STATE(75)] = 4374,
  [SMALL_STATE(76)] = 4432,
  [SMALL_STATE(77)] = 4490,
  [SMALL_STATE(78)] = 4548,
  [SMALL_STATE(79)] = 4606,
  [SMALL_STATE(80)] = 4664,
  [SMALL_STATE(81)] = 4722,
  [SMALL_STATE(82)] = 4780,
  [SMALL_STATE(83)] = 4838,
  [SMALL_STATE(84)] = 4896,
  [SMALL_STATE(85)] = 4954,
  [SMALL_STATE(86)] = 5012,
  [SMALL_STATE(87)] = 5070,
  [SMALL_STATE(88)] = 5128,
  [SMALL_STATE(89)] = 5186,
  [SMALL_STATE(90)] = 5244,
  [SMALL_STATE(91)] = 5302,
  [SMALL_STATE(92)] = 5360,
  [SMALL_STATE(93)] = 5418,
  [SMALL_STATE(94)] = 5476,
  [SMALL_STATE(95)] = 5534,
  [SMALL_STATE(96)] = 5592,
  [SMALL_STATE(97)] = 5650,
  [SMALL_STATE(98)] = 5708,
  [SMALL_STATE(99)] = 5766,
  [SMALL_STATE(100)] = 5824,
  [SMALL_STATE(101)] = 5882,
  [SMALL_STATE(102)] = 5940,
  [SMALL_STATE(103)] = 5998,
  [SMALL_STATE(104)] = 6056,
  [SMALL_STATE(105)] = 6114,
  [SMALL_STATE(106)] = 6172,
  [SMALL_STATE(107)] = 6230,
  [SMALL_STATE(108)] = 6288,
  [SMALL_STATE(109)] = 6346,
  [SMALL_STATE(110)] = 6404,
  [SMALL_STATE(111)] = 6462,
  [SMALL_STATE(112)] = 6520,
  [SMALL_STATE(113)] = 6578,
  [SMALL_STATE(114)] = 6636,
  [SMALL_STATE(115)] = 6694,
  [SMALL_STATE(116)] = 6752,
  [SMALL_STATE(117)] = 6810,
  [SMALL_STATE(118)] = 6868,
  [SMALL_STATE(119)] = 6926,
  [SMALL_STATE(120)] = 6984,
  [SMALL_STATE(121)] = 7042,
  [SMALL_STATE(122)] = 7100,
  [SMALL_STATE(123)] = 7158,
  [SMALL_STATE(124)] = 7216,
  [SMALL_STATE(125)] = 7274,
  [SMALL_STATE(126)] = 7332,
  [SMALL_STATE(127)] = 7390,
  [SMALL_STATE(128)] = 7448,
  [SMALL_STATE(129)] = 7506,
  [SMALL_STATE(130)] = 7564,
  [SMALL_STATE(131)] = 7622,
  [SMALL_STATE(132)] = 7680,
  [SMALL_STATE(133)] = 7738,
  [SMALL_STATE(134)] = 7796,
  [SMALL_STATE(135)] = 7854,
  [SMALL_STATE(136)] = 7912,
  [SMALL_STATE(137)] = 7970,
  [SMALL_STATE(138)] = 8028,
  [SMALL_STATE(139)] = 8086,
  [SMALL_STATE(140)] = 8144,
  [SMALL_STATE(141)] = 8202,
  [SMALL_STATE(142)] = 8260,
  [SMALL_STATE(143)] = 8318,
  [SMALL_STATE(144)] = 8376,
  [SMALL_STATE(145)] = 8434,
  [SMALL_STATE(146)] = 8492,
  [SMALL_STATE(147)] = 8550,
  [SMALL_STATE(148)] = 8608,
  [SMALL_STATE(149)] = 8666,
  [SMALL_STATE(150)] = 8724,
  [SMALL_STATE(151)] = 8782,
  [SMALL_STATE(152)] = 8840,
  [SMALL_STATE(153)] = 8864,
  [SMALL_STATE(154)] = 8888,
  [SMALL_STATE(155)] = 8908,
  [SMALL_STATE(156)] = 8928,
  [SMALL_STATE(157)] = 8948,
  [SMALL_STATE(158)] = 8978,
  [SMALL_STATE(159)] = 9008,
  [SMALL_STATE(160)] = 9038,
  [SMALL_STATE(161)] = 9068,
  [SMALL_STATE(162)] = 9098,
  [SMALL_STATE(163)] = 9128,
  [SMALL_STATE(164)] = 9148,
  [SMALL_STATE(165)] = 9168,
  [SMALL_STATE(166)] = 9188,
  [SMALL_STATE(167)] = 9208,
  [SMALL_STATE(168)] = 9228,
  [SMALL_STATE(169)] = 9250,
  [SMALL_STATE(170)] = 9272,
  [SMALL_STATE(171)] = 9294,
  [SMALL_STATE(172)] = 9316,
  [SMALL_STATE(173)] = 9338,
  [SMALL_STATE(174)] = 9360,
  [SMALL_STATE(175)] = 9382,
  [SMALL_STATE(176)] = 9407,
  [SMALL_STATE(177)] = 9424,
  [SMALL_STATE(178)] = 9441,
  [SMALL_STATE(179)] = 9458,
  [SMALL_STATE(180)] = 9475,
  [SMALL_STATE(181)] = 9492,
  [SMALL_STATE(182)] = 9509,
  [SMALL_STATE(183)] = 9526,
  [SMALL_STATE(184)] = 9543,
  [SMALL_STATE(185)] = 9560,
  [SMALL_STATE(186)] = 9577,
  [SMALL_STATE(187)] = 9594,
  [SMALL_STATE(188)] = 9611,
  [SMALL_STATE(189)] = 9628,
  [SMALL_STATE(190)] = 9645,
  [SMALL_STATE(191)] = 9662,
  [SMALL_STATE(192)] = 9679,
  [SMALL_STATE(193)] = 9696,
  [SMALL_STATE(194)] = 9713,
  [SMALL_STATE(195)] = 9738,
  [SMALL_STATE(196)] = 9755,
  [SMALL_STATE(197)] = 9772,
  [SMALL_STATE(198)] = 9789,
  [SMALL_STATE(199)] = 9807,
  [SMALL_STATE(200)] = 9841,
  [SMALL_STATE(201)] = 9871,
  [SMALL_STATE(202)] = 9905,
  [SMALL_STATE(203)] = 9935,
  [SMALL_STATE(204)] = 9955,
  [SMALL_STATE(205)] = 9975,
  [SMALL_STATE(206)] = 9993,
  [SMALL_STATE(207)] = 10013,
  [SMALL_STATE(208)] = 10043,
  [SMALL_STATE(209)] = 10073,
  [SMALL_STATE(210)] = 10103,
  [SMALL_STATE(211)] = 10123,
  [SMALL_STATE(212)] = 10143,
  [SMALL_STATE(213)] = 10163,
  [SMALL_STATE(214)] = 10193,
  [SMALL_STATE(215)] = 10227,
  [SMALL_STATE(216)] = 10247,
  [SMALL_STATE(217)] = 10262,
  [SMALL_STATE(218)] = 10277,
  [SMALL_STATE(219)] = 10292,
  [SMALL_STATE(220)] = 10307,
  [SMALL_STATE(221)] = 10322,
  [SMALL_STATE(222)] = 10337,
  [SMALL_STATE(223)] = 10352,
  [SMALL_STATE(224)] = 10367,
  [SMALL_STATE(225)] = 10382,
  [SMALL_STATE(226)] = 10397,
  [SMALL_STATE(227)] = 10412,
  [SMALL_STATE(228)] = 10429,
  [SMALL_STATE(229)] = 10448,
  [SMALL_STATE(230)] = 10465,
  [SMALL_STATE(231)] = 10482,
  [SMALL_STATE(232)] = 10499,
  [SMALL_STATE(233)] = 10530,
  [SMALL_STATE(234)] = 10547,
  [SMALL_STATE(235)] = 10566,
  [SMALL_STATE(236)] = 10585,
  [SMALL_STATE(237)] = 10602,
  [SMALL_STATE(238)] = 10619,
  [SMALL_STATE(239)] = 10638,
  [SMALL_STATE(240)] = 10657,
  [SMALL_STATE(241)] = 10686,
  [SMALL_STATE(242)] = 10701,
  [SMALL_STATE(243)] = 10716,
  [SMALL_STATE(244)] = 10731,
  [SMALL_STATE(245)] = 10748,
  [SMALL_STATE(246)] = 10763,
  [SMALL_STATE(247)] = 10778,
  [SMALL_STATE(248)] = 10795,
  [SMALL_STATE(249)] = 10810,
  [SMALL_STATE(250)] = 10827,
  [SMALL_STATE(251)] = 10844,
  [SMALL_STATE(252)] = 10873,
  [SMALL_STATE(253)] = 10898,
  [SMALL_STATE(254)] = 10913,
  [SMALL_STATE(255)] = 10928,
  [SMALL_STATE(256)] = 10943,
  [SMALL_STATE(257)] = 10960,
  [SMALL_STATE(258)] = 10977,
  [SMALL_STATE(259)] = 10994,
  [SMALL_STATE(260)] = 11019,
  [SMALL_STATE(261)] = 11034,
  [SMALL_STATE(262)] = 11051,
  [SMALL_STATE(263)] = 11080,
  [SMALL_STATE(264)] = 11097,
  [SMALL_STATE(265)] = 11126,
  [SMALL_STATE(266)] = 11145,
  [SMALL_STATE(267)] = 11164,
  [SMALL_STATE(268)] = 11193,
  [SMALL_STATE(269)] = 11224,
  [SMALL_STATE(270)] = 11253,
  [SMALL_STATE(271)] = 11269,
  [SMALL_STATE(272)] = 11297,
  [SMALL_STATE(273)] = 11325,
  [SMALL_STATE(274)] = 11353,
  [SMALL_STATE(275)] = 11381,
  [SMALL_STATE(276)] = 11409,
  [SMALL_STATE(277)] = 11423,
  [SMALL_STATE(278)] = 11437,
  [SMALL_STATE(279)] = 11461,
  [SMALL_STATE(280)] = 11477,
  [SMALL_STATE(281)] = 11491,
  [SMALL_STATE(282)] = 11505,
  [SMALL_STATE(283)] = 11519,
  [SMALL_STATE(284)] = 11547,
  [SMALL_STATE(285)] = 11561,
  [SMALL_STATE(286)] = 11575,
  [SMALL_STATE(287)] = 11589,
  [SMALL_STATE(288)] = 11603,
  [SMALL_STATE(289)] = 11631,
  [SMALL_STATE(290)] = 11659,
  [SMALL_STATE(291)] = 11683,
  [SMALL_STATE(292)] = 11701,
  [SMALL_STATE(293)] = 11729,
  [SMALL_STATE(294)] = 11747,
  [SMALL_STATE(295)] = 11761,
  [SMALL_STATE(296)] = 11789,
  [SMALL_STATE(297)] = 11803,
  [SMALL_STATE(298)] = 11831,
  [SMALL_STATE(299)] = 11847,
  [SMALL_STATE(300)] = 11875,
  [SMALL_STATE(301)] = 11903,
  [SMALL_STATE(302)] = 11931,
  [SMALL_STATE(303)] = 11945,
  [SMALL_STATE(304)] = 11959,
  [SMALL_STATE(305)] = 11975,
  [SMALL_STATE(306)] = 11989,
  [SMALL_STATE(307)] = 12017,
  [SMALL_STATE(308)] = 12033,
  [SMALL_STATE(309)] = 12051,
  [SMALL_STATE(310)] = 12069,
  [SMALL_STATE(311)] = 12085,
  [SMALL_STATE(312)] = 12103,
  [SMALL_STATE(313)] = 12131,
  [SMALL_STATE(314)] = 12149,
  [SMALL_STATE(315)] = 12165,
  [SMALL_STATE(316)] = 12181,
  [SMALL_STATE(317)] = 12197,
  [SMALL_STATE(318)] = 12225,
  [SMALL_STATE(319)] = 12253,
  [SMALL_STATE(320)] = 12267,
  [SMALL_STATE(321)] = 12295,
  [SMALL_STATE(322)] = 12311,
  [SMALL_STATE(323)] = 12327,
  [SMALL_STATE(324)] = 12343,
  [SMALL_STATE(325)] = 12357,
  [SMALL_STATE(326)] = 12371,
  [SMALL_STATE(327)] = 12387,
  [SMALL_STATE(328)] = 12401,
  [SMALL_STATE(329)] = 12415,
  [SMALL_STATE(330)] = 12429,
  [SMALL_STATE(331)] = 12443,
  [SMALL_STATE(332)] = 12457,
  [SMALL_STATE(333)] = 12471,
  [SMALL_STATE(334)] = 12499,
  [SMALL_STATE(335)] = 12527,
  [SMALL_STATE(336)] = 12541,
  [SMALL_STATE(337)] = 12555,
  [SMALL_STATE(338)] = 12579,
  [SMALL_STATE(339)] = 12593,
  [SMALL_STATE(340)] = 12607,
  [SMALL_STATE(341)] = 12621,
  [SMALL_STATE(342)] = 12637,
  [SMALL_STATE(343)] = 12651,
  [SMALL_STATE(344)] = 12665,
  [SMALL_STATE(345)] = 12679,
  [SMALL_STATE(346)] = 12693,
  [SMALL_STATE(347)] = 12709,
  [SMALL_STATE(348)] = 12723,
  [SMALL_STATE(349)] = 12737,
  [SMALL_STATE(350)] = 12761,
  [SMALL_STATE(351)] = 12775,
  [SMALL_STATE(352)] = 12789,
  [SMALL_STATE(353)] = 12803,
  [SMALL_STATE(354)] = 12817,
  [SMALL_STATE(355)] = 12833,
  [SMALL_STATE(356)] = 12849,
  [SMALL_STATE(357)] = 12865,
  [SMALL_STATE(358)] = 12879,
  [SMALL_STATE(359)] = 12893,
  [SMALL_STATE(360)] = 12909,
  [SMALL_STATE(361)] = 12927,
  [SMALL_STATE(362)] = 12955,
  [SMALL_STATE(363)] = 12969,
  [SMALL_STATE(364)] = 12989,
  [SMALL_STATE(365)] = 13003,
  [SMALL_STATE(366)] = 13016,
  [SMALL_STATE(367)] = 13029,
  [SMALL_STATE(368)] = 13042,
  [SMALL_STATE(369)] = 13055,
  [SMALL_STATE(370)] = 13068,
  [SMALL_STATE(371)] = 13081,
  [SMALL_STATE(372)] = 13096,
  [SMALL_STATE(373)] = 13109,
  [SMALL_STATE(374)] = 13134,
  [SMALL_STATE(375)] = 13157,
  [SMALL_STATE(376)] = 13170,
  [SMALL_STATE(377)] = 13183,
  [SMALL_STATE(378)] = 13206,
  [SMALL_STATE(379)] = 13219,
  [SMALL_STATE(380)] = 13234,
  [SMALL_STATE(381)] = 13247,
  [SMALL_STATE(382)] = 13260,
  [SMALL_STATE(383)] = 13275,
  [SMALL_STATE(384)] = 13288,
  [SMALL_STATE(385)] = 13301,
  [SMALL_STATE(386)] = 13314,
  [SMALL_STATE(387)] = 13327,
  [SMALL_STATE(388)] = 13340,
  [SMALL_STATE(389)] = 13353,
  [SMALL_STATE(390)] = 13366,
  [SMALL_STATE(391)] = 13379,
  [SMALL_STATE(392)] = 13392,
  [SMALL_STATE(393)] = 13415,
  [SMALL_STATE(394)] = 13430,
  [SMALL_STATE(395)] = 13445,
  [SMALL_STATE(396)] = 13468,
  [SMALL_STATE(397)] = 13491,
  [SMALL_STATE(398)] = 13504,
  [SMALL_STATE(399)] = 13517,
  [SMALL_STATE(400)] = 13530,
  [SMALL_STATE(401)] = 13543,
  [SMALL_STATE(402)] = 13556,
  [SMALL_STATE(403)] = 13569,
  [SMALL_STATE(404)] = 13592,
  [SMALL_STATE(405)] = 13605,
  [SMALL_STATE(406)] = 13618,
  [SMALL_STATE(407)] = 13641,
  [SMALL_STATE(408)] = 13654,
  [SMALL_STATE(409)] = 13667,
  [SMALL_STATE(410)] = 13680,
  [SMALL_STATE(411)] = 13693,
  [SMALL_STATE(412)] = 13706,
  [SMALL_STATE(413)] = 13719,
  [SMALL_STATE(414)] = 13732,
  [SMALL_STATE(415)] = 13745,
  [SMALL_STATE(416)] = 13758,
  [SMALL_STATE(417)] = 13771,
  [SMALL_STATE(418)] = 13784,
  [SMALL_STATE(419)] = 13797,
  [SMALL_STATE(420)] = 13820,
  [SMALL_STATE(421)] = 13843,
  [SMALL_STATE(422)] = 13866,
  [SMALL_STATE(423)] = 13889,
  [SMALL_STATE(424)] = 13912,
  [SMALL_STATE(425)] = 13935,
  [SMALL_STATE(426)] = 13958,
  [SMALL_STATE(427)] = 13981,
  [SMALL_STATE(428)] = 14004,
  [SMALL_STATE(429)] = 14027,
  [SMALL_STATE(430)] = 14050,
  [SMALL_STATE(431)] = 14073,
  [SMALL_STATE(432)] = 14096,
  [SMALL_STATE(433)] = 14119,
  [SMALL_STATE(434)] = 14142,
  [SMALL_STATE(435)] = 14165,
  [SMALL_STATE(436)] = 14188,
  [SMALL_STATE(437)] = 14211,
  [SMALL_STATE(438)] = 14234,
  [SMALL_STATE(439)] = 14257,
  [SMALL_STATE(440)] = 14280,
  [SMALL_STATE(441)] = 14303,
  [SMALL_STATE(442)] = 14326,
  [SMALL_STATE(443)] = 14349,
  [SMALL_STATE(444)] = 14372,
  [SMALL_STATE(445)] = 14395,
  [SMALL_STATE(446)] = 14418,
  [SMALL_STATE(447)] = 14441,
  [SMALL_STATE(448)] = 14464,
  [SMALL_STATE(449)] = 14487,
  [SMALL_STATE(450)] = 14510,
  [SMALL_STATE(451)] = 14533,
  [SMALL_STATE(452)] = 14556,
  [SMALL_STATE(453)] = 14579,
  [SMALL_STATE(454)] = 14602,
  [SMALL_STATE(455)] = 14625,
  [SMALL_STATE(456)] = 14648,
  [SMALL_STATE(457)] = 14671,
  [SMALL_STATE(458)] = 14694,
  [SMALL_STATE(459)] = 14709,
  [SMALL_STATE(460)] = 14732,
  [SMALL_STATE(461)] = 14755,
  [SMALL_STATE(462)] = 14768,
  [SMALL_STATE(463)] = 14780,
  [SMALL_STATE(464)] = 14792,
  [SMALL_STATE(465)] = 14812,
  [SMALL_STATE(466)] = 14824,
  [SMALL_STATE(467)] = 14844,
  [SMALL_STATE(468)] = 14856,
  [SMALL_STATE(469)] = 14868,
  [SMALL_STATE(470)] = 14880,
  [SMALL_STATE(471)] = 14898,
  [SMALL_STATE(472)] = 14918,
  [SMALL_STATE(473)] = 14938,
  [SMALL_STATE(474)] = 14960,
  [SMALL_STATE(475)] = 14982,
  [SMALL_STATE(476)] = 15002,
  [SMALL_STATE(477)] = 15022,
  [SMALL_STATE(478)] = 15044,
  [SMALL_STATE(479)] = 15064,
  [SMALL_STATE(480)] = 15084,
  [SMALL_STATE(481)] = 15096,
  [SMALL_STATE(482)] = 15116,
  [SMALL_STATE(483)] = 15128,
  [SMALL_STATE(484)] = 15140,
  [SMALL_STATE(485)] = 15162,
  [SMALL_STATE(486)] = 15180,
  [SMALL_STATE(487)] = 15202,
  [SMALL_STATE(488)] = 15222,
  [SMALL_STATE(489)] = 15234,
  [SMALL_STATE(490)] = 15246,
  [SMALL_STATE(491)] = 15258,
  [SMALL_STATE(492)] = 15280,
  [SMALL_STATE(493)] = 15292,
  [SMALL_STATE(494)] = 15312,
  [SMALL_STATE(495)] = 15332,
  [SMALL_STATE(496)] = 15350,
  [SMALL_STATE(497)] = 15362,
  [SMALL_STATE(498)] = 15374,
  [SMALL_STATE(499)] = 15386,
  [SMALL_STATE(500)] = 15398,
  [SMALL_STATE(501)] = 15410,
  [SMALL_STATE(502)] = 15428,
  [SMALL_STATE(503)] = 15446,
  [SMALL_STATE(504)] = 15464,
  [SMALL_STATE(505)] = 15482,
  [SMALL_STATE(506)] = 15502,
  [SMALL_STATE(507)] = 15514,
  [SMALL_STATE(508)] = 15526,
  [SMALL_STATE(509)] = 15548,
  [SMALL_STATE(510)] = 15560,
  [SMALL_STATE(511)] = 15580,
  [SMALL_STATE(512)] = 15597,
  [SMALL_STATE(513)] = 15614,
  [SMALL_STATE(514)] = 15631,
  [SMALL_STATE(515)] = 15648,
  [SMALL_STATE(516)] = 15667,
  [SMALL_STATE(517)] = 15684,
  [SMALL_STATE(518)] = 15701,
  [SMALL_STATE(519)] = 15718,
  [SMALL_STATE(520)] = 15735,
  [SMALL_STATE(521)] = 15754,
  [SMALL_STATE(522)] = 15771,
  [SMALL_STATE(523)] = 15790,
  [SMALL_STATE(524)] = 15807,
  [SMALL_STATE(525)] = 15824,
  [SMALL_STATE(526)] = 15841,
  [SMALL_STATE(527)] = 15858,
  [SMALL_STATE(528)] = 15875,
  [SMALL_STATE(529)] = 15892,
  [SMALL_STATE(530)] = 15909,
  [SMALL_STATE(531)] = 15926,
  [SMALL_STATE(532)] = 15943,
  [SMALL_STATE(533)] = 15960,
  [SMALL_STATE(534)] = 15968,
  [SMALL_STATE(535)] = 15982,
  [SMALL_STATE(536)] = 15996,
  [SMALL_STATE(537)] = 16007,
  [SMALL_STATE(538)] = 16020,
  [SMALL_STATE(539)] = 16033,
  [SMALL_STATE(540)] = 16046,
  [SMALL_STATE(541)] = 16059,
  [SMALL_STATE(542)] = 16072,
  [SMALL_STATE(543)] = 16085,
  [SMALL_STATE(544)] = 16098,
  [SMALL_STATE(545)] = 16111,
  [SMALL_STATE(546)] = 16122,
  [SMALL_STATE(547)] = 16135,
  [SMALL_STATE(548)] = 16148,
  [SMALL_STATE(549)] = 16161,
  [SMALL_STATE(550)] = 16174,
  [SMALL_STATE(551)] = 16187,
  [SMALL_STATE(552)] = 16197,
  [SMALL_STATE(553)] = 16207,
  [SMALL_STATE(554)] = 16217,
  [SMALL_STATE(555)] = 16227,
  [SMALL_STATE(556)] = 16237,
  [SMALL_STATE(557)] = 16247,
  [SMALL_STATE(558)] = 16257,
  [SMALL_STATE(559)] = 16265,
  [SMALL_STATE(560)] = 16275,
  [SMALL_STATE(561)] = 16285,
  [SMALL_STATE(562)] = 16295,
  [SMALL_STATE(563)] = 16305,
  [SMALL_STATE(564)] = 16315,
  [SMALL_STATE(565)] = 16325,
  [SMALL_STATE(566)] = 16335,
  [SMALL_STATE(567)] = 16345,
  [SMALL_STATE(568)] = 16355,
  [SMALL_STATE(569)] = 16365,
  [SMALL_STATE(570)] = 16375,
  [SMALL_STATE(571)] = 16385,
  [SMALL_STATE(572)] = 16395,
  [SMALL_STATE(573)] = 16405,
  [SMALL_STATE(574)] = 16415,
  [SMALL_STATE(575)] = 16425,
  [SMALL_STATE(576)] = 16435,
  [SMALL_STATE(577)] = 16445,
  [SMALL_STATE(578)] = 16455,
  [SMALL_STATE(579)] = 16465,
  [SMALL_STATE(580)] = 16475,
  [SMALL_STATE(581)] = 16485,
  [SMALL_STATE(582)] = 16495,
  [SMALL_STATE(583)] = 16505,
  [SMALL_STATE(584)] = 16515,
  [SMALL_STATE(585)] = 16525,
  [SMALL_STATE(586)] = 16535,
  [SMALL_STATE(587)] = 16545,
  [SMALL_STATE(588)] = 16555,
  [SMALL_STATE(589)] = 16565,
  [SMALL_STATE(590)] = 16575,
  [SMALL_STATE(591)] = 16585,
  [SMALL_STATE(592)] = 16595,
  [SMALL_STATE(593)] = 16605,
  [SMALL_STATE(594)] = 16615,
  [SMALL_STATE(595)] = 16625,
  [SMALL_STATE(596)] = 16635,
  [SMALL_STATE(597)] = 16645,
  [SMALL_STATE(598)] = 16655,
  [SMALL_STATE(599)] = 16665,
  [SMALL_STATE(600)] = 16675,
  [SMALL_STATE(601)] = 16685,
  [SMALL_STATE(602)] = 16695,
  [SMALL_STATE(603)] = 16705,
  [SMALL_STATE(604)] = 16715,
  [SMALL_STATE(605)] = 16725,
  [SMALL_STATE(606)] = 16735,
  [SMALL_STATE(607)] = 16745,
  [SMALL_STATE(608)] = 16755,
  [SMALL_STATE(609)] = 16765,
  [SMALL_STATE(610)] = 16775,
  [SMALL_STATE(611)] = 16785,
  [SMALL_STATE(612)] = 16795,
  [SMALL_STATE(613)] = 16805,
  [SMALL_STATE(614)] = 16815,
  [SMALL_STATE(615)] = 16825,
  [SMALL_STATE(616)] = 16835,
  [SMALL_STATE(617)] = 16845,
  [SMALL_STATE(618)] = 16855,
  [SMALL_STATE(619)] = 16865,
  [SMALL_STATE(620)] = 16875,
  [SMALL_STATE(621)] = 16885,
  [SMALL_STATE(622)] = 16895,
  [SMALL_STATE(623)] = 16905,
  [SMALL_STATE(624)] = 16915,
  [SMALL_STATE(625)] = 16925,
  [SMALL_STATE(626)] = 16935,
  [SMALL_STATE(627)] = 16945,
  [SMALL_STATE(628)] = 16955,
  [SMALL_STATE(629)] = 16965,
  [SMALL_STATE(630)] = 16975,
  [SMALL_STATE(631)] = 16983,
  [SMALL_STATE(632)] = 16993,
  [SMALL_STATE(633)] = 17003,
  [SMALL_STATE(634)] = 17013,
  [SMALL_STATE(635)] = 17021,
  [SMALL_STATE(636)] = 17031,
  [SMALL_STATE(637)] = 17041,
  [SMALL_STATE(638)] = 17051,
  [SMALL_STATE(639)] = 17061,
  [SMALL_STATE(640)] = 17071,
  [SMALL_STATE(641)] = 17081,
  [SMALL_STATE(642)] = 17091,
  [SMALL_STATE(643)] = 17098,
  [SMALL_STATE(644)] = 17105,
  [SMALL_STATE(645)] = 17112,
  [SMALL_STATE(646)] = 17119,
  [SMALL_STATE(647)] = 17126,
  [SMALL_STATE(648)] = 17133,
  [SMALL_STATE(649)] = 17140,
  [SMALL_STATE(650)] = 17147,
  [SMALL_STATE(651)] = 17154,
  [SMALL_STATE(652)] = 17161,
  [SMALL_STATE(653)] = 17168,
  [SMALL_STATE(654)] = 17175,
  [SMALL_STATE(655)] = 17182,
  [SMALL_STATE(656)] = 17189,
  [SMALL_STATE(657)] = 17196,
  [SMALL_STATE(658)] = 17201,
  [SMALL_STATE(659)] = 17208,
  [SMALL_STATE(660)] = 17215,
  [SMALL_STATE(661)] = 17222,
  [SMALL_STATE(662)] = 17229,
  [SMALL_STATE(663)] = 17236,
  [SMALL_STATE(664)] = 17241,
  [SMALL_STATE(665)] = 17248,
  [SMALL_STATE(666)] = 17255,
  [SMALL_STATE(667)] = 17262,
  [SMALL_STATE(668)] = 17269,
  [SMALL_STATE(669)] = 17274,
  [SMALL_STATE(670)] = 17281,
  [SMALL_STATE(671)] = 17288,
  [SMALL_STATE(672)] = 17295,
  [SMALL_STATE(673)] = 17302,
  [SMALL_STATE(674)] = 17309,
  [SMALL_STATE(675)] = 17316,
  [SMALL_STATE(676)] = 17323,
  [SMALL_STATE(677)] = 17328,
  [SMALL_STATE(678)] = 17335,
  [SMALL_STATE(679)] = 17342,
  [SMALL_STATE(680)] = 17349,
  [SMALL_STATE(681)] = 17356,
  [SMALL_STATE(682)] = 17363,
  [SMALL_STATE(683)] = 17370,
  [SMALL_STATE(684)] = 17377,
  [SMALL_STATE(685)] = 17384,
  [SMALL_STATE(686)] = 17391,
  [SMALL_STATE(687)] = 17398,
  [SMALL_STATE(688)] = 17405,
  [SMALL_STATE(689)] = 17412,
  [SMALL_STATE(690)] = 17419,
  [SMALL_STATE(691)] = 17426,
  [SMALL_STATE(692)] = 17433,
  [SMALL_STATE(693)] = 17440,
  [SMALL_STATE(694)] = 17447,
  [SMALL_STATE(695)] = 17454,
  [SMALL_STATE(696)] = 17461,
  [SMALL_STATE(697)] = 17468,
  [SMALL_STATE(698)] = 17475,
  [SMALL_STATE(699)] = 17482,
  [SMALL_STATE(700)] = 17486,
  [SMALL_STATE(701)] = 17490,
  [SMALL_STATE(702)] = 17494,
  [SMALL_STATE(703)] = 17498,
  [SMALL_STATE(704)] = 17502,
  [SMALL_STATE(705)] = 17506,
  [SMALL_STATE(706)] = 17510,
  [SMALL_STATE(707)] = 17514,
  [SMALL_STATE(708)] = 17518,
  [SMALL_STATE(709)] = 17522,
  [SMALL_STATE(710)] = 17526,
  [SMALL_STATE(711)] = 17530,
  [SMALL_STATE(712)] = 17534,
  [SMALL_STATE(713)] = 17538,
  [SMALL_STATE(714)] = 17542,
  [SMALL_STATE(715)] = 17546,
  [SMALL_STATE(716)] = 17550,
  [SMALL_STATE(717)] = 17554,
  [SMALL_STATE(718)] = 17558,
  [SMALL_STATE(719)] = 17562,
  [SMALL_STATE(720)] = 17566,
  [SMALL_STATE(721)] = 17570,
  [SMALL_STATE(722)] = 17574,
  [SMALL_STATE(723)] = 17578,
  [SMALL_STATE(724)] = 17582,
  [SMALL_STATE(725)] = 17586,
  [SMALL_STATE(726)] = 17590,
  [SMALL_STATE(727)] = 17594,
  [SMALL_STATE(728)] = 17598,
  [SMALL_STATE(729)] = 17602,
  [SMALL_STATE(730)] = 17606,
  [SMALL_STATE(731)] = 17610,
  [SMALL_STATE(732)] = 17614,
  [SMALL_STATE(733)] = 17618,
  [SMALL_STATE(734)] = 17622,
  [SMALL_STATE(735)] = 17626,
  [SMALL_STATE(736)] = 17630,
  [SMALL_STATE(737)] = 17634,
  [SMALL_STATE(738)] = 17638,
  [SMALL_STATE(739)] = 17642,
  [SMALL_STATE(740)] = 17646,
  [SMALL_STATE(741)] = 17650,
  [SMALL_STATE(742)] = 17654,
  [SMALL_STATE(743)] = 17658,
  [SMALL_STATE(744)] = 17662,
  [SMALL_STATE(745)] = 17666,
  [SMALL_STATE(746)] = 17670,
  [SMALL_STATE(747)] = 17674,
  [SMALL_STATE(748)] = 17678,
  [SMALL_STATE(749)] = 17682,
  [SMALL_STATE(750)] = 17686,
  [SMALL_STATE(751)] = 17690,
  [SMALL_STATE(752)] = 17694,
  [SMALL_STATE(753)] = 17698,
  [SMALL_STATE(754)] = 17702,
  [SMALL_STATE(755)] = 17706,
  [SMALL_STATE(756)] = 17710,
  [SMALL_STATE(757)] = 17714,
  [SMALL_STATE(758)] = 17718,
  [SMALL_STATE(759)] = 17722,
  [SMALL_STATE(760)] = 17726,
  [SMALL_STATE(761)] = 17730,
  [SMALL_STATE(762)] = 17734,
  [SMALL_STATE(763)] = 17738,
  [SMALL_STATE(764)] = 17742,
  [SMALL_STATE(765)] = 17746,
  [SMALL_STATE(766)] = 17750,
  [SMALL_STATE(767)] = 17754,
  [SMALL_STATE(768)] = 17758,
  [SMALL_STATE(769)] = 17762,
  [SMALL_STATE(770)] = 17766,
  [SMALL_STATE(771)] = 17770,
  [SMALL_STATE(772)] = 17774,
  [SMALL_STATE(773)] = 17778,
  [SMALL_STATE(774)] = 17782,
  [SMALL_STATE(775)] = 17786,
  [SMALL_STATE(776)] = 17790,
  [SMALL_STATE(777)] = 17794,
  [SMALL_STATE(778)] = 17798,
  [SMALL_STATE(779)] = 17802,
  [SMALL_STATE(780)] = 17806,
  [SMALL_STATE(781)] = 17810,
  [SMALL_STATE(782)] = 17814,
  [SMALL_STATE(783)] = 17818,
  [SMALL_STATE(784)] = 17822,
  [SMALL_STATE(785)] = 17826,
  [SMALL_STATE(786)] = 17830,
  [SMALL_STATE(787)] = 17834,
  [SMALL_STATE(788)] = 17838,
  [SMALL_STATE(789)] = 17842,
  [SMALL_STATE(790)] = 17846,
  [SMALL_STATE(791)] = 17850,
  [SMALL_STATE(792)] = 17854,
  [SMALL_STATE(793)] = 17858,
  [SMALL_STATE(794)] = 17862,
  [SMALL_STATE(795)] = 17866,
  [SMALL_STATE(796)] = 17870,
  [SMALL_STATE(797)] = 17874,
  [SMALL_STATE(798)] = 17878,
  [SMALL_STATE(799)] = 17882,
  [SMALL_STATE(800)] = 17886,
  [SMALL_STATE(801)] = 17890,
  [SMALL_STATE(802)] = 17894,
  [SMALL_STATE(803)] = 17898,
  [SMALL_STATE(804)] = 17902,
  [SMALL_STATE(805)] = 17906,
  [SMALL_STATE(806)] = 17910,
  [SMALL_STATE(807)] = 17914,
  [SMALL_STATE(808)] = 17918,
  [SMALL_STATE(809)] = 17922,
  [SMALL_STATE(810)] = 17926,
  [SMALL_STATE(811)] = 17930,
  [SMALL_STATE(812)] = 17934,
  [SMALL_STATE(813)] = 17938,
  [SMALL_STATE(814)] = 17942,
  [SMALL_STATE(815)] = 17946,
  [SMALL_STATE(816)] = 17950,
  [SMALL_STATE(817)] = 17954,
  [SMALL_STATE(818)] = 17958,
  [SMALL_STATE(819)] = 17962,
  [SMALL_STATE(820)] = 17966,
  [SMALL_STATE(821)] = 17970,
  [SMALL_STATE(822)] = 17974,
  [SMALL_STATE(823)] = 17978,
  [SMALL_STATE(824)] = 17982,
  [SMALL_STATE(825)] = 17986,
  [SMALL_STATE(826)] = 17990,
  [SMALL_STATE(827)] = 17994,
  [SMALL_STATE(828)] = 17998,
  [SMALL_STATE(829)] = 18002,
  [SMALL_STATE(830)] = 18006,
  [SMALL_STATE(831)] = 18010,
  [SMALL_STATE(832)] = 18014,
  [SMALL_STATE(833)] = 18018,
  [SMALL_STATE(834)] = 18022,
  [SMALL_STATE(835)] = 18026,
  [SMALL_STATE(836)] = 18030,
  [SMALL_STATE(837)] = 18034,
  [SMALL_STATE(838)] = 18038,
  [SMALL_STATE(839)] = 18042,
  [SMALL_STATE(840)] = 18046,
  [SMALL_STATE(841)] = 18050,
  [SMALL_STATE(842)] = 18054,
  [SMALL_STATE(843)] = 18058,
  [SMALL_STATE(844)] = 18062,
  [SMALL_STATE(845)] = 18066,
  [SMALL_STATE(846)] = 18070,
  [SMALL_STATE(847)] = 18074,
  [SMALL_STATE(848)] = 18078,
  [SMALL_STATE(849)] = 18082,
  [SMALL_STATE(850)] = 18086,
  [SMALL_STATE(851)] = 18090,
  [SMALL_STATE(852)] = 18094,
  [SMALL_STATE(853)] = 18098,
  [SMALL_STATE(854)] = 18102,
  [SMALL_STATE(855)] = 18106,
  [SMALL_STATE(856)] = 18110,
  [SMALL_STATE(857)] = 18114,
  [SMALL_STATE(858)] = 18118,
  [SMALL_STATE(859)] = 18122,
  [SMALL_STATE(860)] = 18126,
  [SMALL_STATE(861)] = 18130,
  [SMALL_STATE(862)] = 18134,
  [SMALL_STATE(863)] = 18138,
  [SMALL_STATE(864)] = 18142,
  [SMALL_STATE(865)] = 18146,
  [SMALL_STATE(866)] = 18150,
  [SMALL_STATE(867)] = 18154,
  [SMALL_STATE(868)] = 18158,
  [SMALL_STATE(869)] = 18162,
  [SMALL_STATE(870)] = 18166,
  [SMALL_STATE(871)] = 18170,
  [SMALL_STATE(872)] = 18174,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexed_field, 3, 0, 0),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexed_field, 3, 0, 0),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_field, 3, 0, 0),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_positional_field, 3, 0, 0),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 5, 0, 0),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 5, 0, 0),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 6, 0, 0),
  [371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 6, 0, 0),
  [373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 7, 0, 14),
  [375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 7, 0, 14),
  [377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 7, 0, 0),
  [379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 7, 0, 0),
  [381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 8, 0, 18),
  [383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 8, 0, 18),
  [385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 9, 0, 20),
  [387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 9, 0, 20),
  [389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_type, 1, 0, 0),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_builtin_type, 1, 0, 0),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 0),
  [407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 0),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 8, 0, 14),
  [413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 8, 0, 14),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 8, 0, 0),
  [417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 8, 0, 0),
  [419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 9, 0, 18),
  [421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 9, 0, 18),
  [423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 10, 0, 20),
  [425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 10, 0, 20),
  [427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_annotation_repeat1, 2, 0, 0),
  [432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_annotation_repeat1, 2, 0, 0),
  [434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_literal_type, 5, 0, 5),
  [440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_literal_type, 5, 0, 5),
  [442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 6, 0, 0),
  [444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 6, 0, 0),
  [446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_literal_type, 6, 0, 9),
  [448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_literal_type, 6, 0, 9),
  [450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_literal_type, 6, 0, 5),
  [452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_literal_type, 6, 0, 5),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_type, 6, 0, 11),
  [456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_type, 6, 0, 11),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_literal_type, 2, 0, 0),
  [460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_literal_type, 2, 0, 0),
  [462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_literal_type, 7, 0, 12),
  [464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_literal_type, 7, 0, 12),
  [466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_literal_type, 7, 0, 13),
  [468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_literal_type, 7, 0, 13),
  [470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_literal_type, 8, 0, 17),
  [476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_literal_type, 8, 0, 17),
  [478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_literal_type, 8, 0, 12),
  [480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_literal_type, 8, 0, 12),
  [482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_literal_type, 9, 0, 19),
  [488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_literal_type, 9, 0, 19),
  [490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 3, 0, 0),
  [492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 3, 0, 0),
  [494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_custom_type, 3, 0, 0),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_custom_type, 3, 0, 0),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3, 0, 0),
  [502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_type, 3, 0, 0),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_type, 3, 0, 0),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0),
  [508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_type, 4, 0, 4),
  [512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_type, 4, 0, 4),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_annotation, 4, 0, 0),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(70),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_annotation, 5, 0, 0),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_annotation, 2, 0, 0),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_annotation, 3, 0, 0),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_annotation, 3, 0, 0),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_annotation, 3, 0, 0),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_annotation, 4, 0, 0),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_annotation, 4, 0, 0),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continuation, 2, 0, 0),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_annotation, 3, 0, 0),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_annotation, 3, 0, 0),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_annotation, 4, 0, 0),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_annotation, 5, 0, 0),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_annotation, 2, 0, 0),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_annotation_repeat1, 2, 0, 0),
  [704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_annotation_repeat1, 2, 0, 0),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(78),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_annotation, 4, 0, 2),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cast_annotation_repeat1, 2, 0, 0),
  [743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cast_annotation_repeat1, 2, 0, 0),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cast_annotation_repeat1, 3, 0, 0),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cast_annotation_repeat1, 3, 0, 0),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 0),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_see_reference, 2, 0, 0),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_annotation, 7, 0, 0),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_annotation, 4, 0, 0),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_annotation, 8, 0, 15),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_annotation, 6, 0, 6),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 0),
  [917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_literal_type_repeat1, 4, 0, 5),
  [919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_literal_type_repeat1, 5, 0, 5),
  [921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_literal_type_repeat1, 6, 0, 12),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_literal_type_repeat1, 7, 0, 12),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vararg_annotation, 2, 0, 0),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_annotation, 6, 0, 0),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 3, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(72),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cast_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(10),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_annotation, 2, 0, 0),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_annotation, 5, 0, 0),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diagnostic_annotation, 5, 0, 0),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_literal_type_repeat1, 2, 0, 10), SHIFT_REPEAT(677),
  [1026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_literal_type_repeat1, 2, 0, 10),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_annotation, 4, 0, 0),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diagnostic_annotation, 4, 0, 0),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(48),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_type_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_type_repeat1, 2, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_annotation, 6, 0, 2),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_diagnostic_annotation_repeat1, 2, 0, 0),
  [1184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_diagnostic_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(738),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprecated_annotation, 1, 0, 0),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_at_comment, 2, 0, 0),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_async_annotation, 1, 0, 0),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference, 5, 0, 0),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_annotation, 4, 0, 3),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overload_annotation, 2, 0, 0),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_at_comment, 4, 0, 0),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_annotation, 1, 0, 0),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_annotation, 3, 0, 0),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version_annotation, 2, 0, 1),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_annotation, 6, 0, 7),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_annotation, 1, 0, 0),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nodiscard_annotation, 1, 0, 0),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_annotation, 2, 0, 0),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualifier, 1, 0, 0),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_since_annotation, 6, 0, 8),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_language_injection, 2, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_annotation, 4, 0, 0),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_at_comment, 2, 0, 0),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_annotation, 2, 0, 0),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_at_comment, 3, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_since_annotation, 7, 0, 8),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_annotation, 5, 0, 0),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualifier_annotation, 1, 0, 0),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nodiscard_annotation, 2, 0, 0),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_annotation, 7, 0, 6),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_annotation, 3, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vararg_annotation, 3, 0, 0),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_annotation, 9, 0, 15),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_annotation, 3, 0, 0),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_annotation, 6, 0, 0),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version_annotation, 3, 0, 1),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprecated_annotation, 3, 0, 0),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overload_annotation, 3, 0, 0),
  [1487] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_language_injection, 3, 0, 0),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_see_reference, 3, 0, 0),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_annotation, 4, 0, 0),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continuation, 3, 0, 0),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_annotation, 5, 0, 2),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_annotation, 6, 0, 0),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference, 6, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_annotation, 8, 0, 16),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_annotation, 8, 0, 0),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_annotation, 7, 0, 0),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_async_annotation, 2, 0, 0),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_at_comment, 5, 0, 0),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_annotation, 2, 0, 0),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 4, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_documentation, 1, 0, 0),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_annotation, 5, 0, 0),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_annotation, 5, 0, 0),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_annotation, 7, 0, 2),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprecated_annotation, 2, 0, 0),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [1643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_annotation, 5, 0, 0),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_annotation, 4, 0, 0),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_at_comment, 3, 0, 0),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_annotation, 2, 0, 0),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_annotation, 3, 0, 0),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_luadoc(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
